package com.itd.efiling.offline.ITR1.ctrl;

import static com.itd.efiling.offline.common.logging.util.LoggerManager.LOG;
import static com.itd.efiling.offline.common.onchange.util.OnChangeCommonUtil.setElementValueByTargetName;

import java.math.BigInteger;
import java.net.URL;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Properties;
import java.util.ResourceBundle;
import java.util.Set;
import java.util.logging.Level;

import com.itd.efiling.offline.ITR1.model.CreationInfo;
import com.itd.efiling.offline.ITR1.model.FilingStatus;
import com.itd.efiling.offline.ITR1.model.FormITR1;
import com.itd.efiling.offline.ITR1.model.ITR;
import com.itd.efiling.offline.ITR1.model.ITR1IncomeDeductions;
import com.itd.efiling.offline.ITR1.model.ITR1TaxComputation;
import com.itd.efiling.offline.ITR1.model.PersonalInfo;
import com.itd.efiling.offline.ITR1.model.Refund;
import com.itd.efiling.offline.ITR1.model.Schedule80G;
import com.itd.efiling.offline.ITR1.model.ScheduleTCS;
import com.itd.efiling.offline.ITR1.model.TDSDtls26QC;
import com.itd.efiling.offline.ITR1.model.TDSonOthThanSals;
import com.itd.efiling.offline.ITR1.model.TDSonSalaries;
import com.itd.efiling.offline.ITR1.model.TaxPaid;
import com.itd.efiling.offline.ITR1.model.TaxPayments;
import com.itd.efiling.offline.ITR1.model.Verification;
import com.itd.efiling.offline.ITR1.onchange.util.OnChangeUtil;
import com.itd.efiling.offline.common.config.Configs;
import com.itd.efiling.offline.common.onchange.util.OnChangeCommonUtil;
import com.itd.efiling.offline.common.player.ctrl.Form;
import com.itd.efiling.offline.common.player.ctrl.FormPlayerController;
import com.itd.efiling.offline.common.reference.holders.RefHolders;
import com.itd.efiling.offline.common.util.DataTransporter;
import com.itd.efiling.offline.common.validation.validators.ValidationUtil;
import com.itd.efiling.offline.javafx.ui.components.ValidationAware;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.control.Button;

public class ITRView extends Form implements Initializable {
	
	public static Button buttonPointer;

    private ITR itr = new ITR();
    
    private ITR1_80G itr1_80GController;

    private ITR1_80GTable1 itr1_80GController1;
    
    private commonButtonController commonButton;

    private ITR1_80GTable2 itr1_80GController2;

    private ITR1_80GTable3 itr1_80GController3;

    private ITR1_IncomeDetails itr1_IncomeDetailsController;

    private Income_Details_Table incomeDetailsController;
    
    private Nature_Income natureIncomeController;
    
    private TaxDeductedFrmIncome taxDeductedFrmIncomeController;
    
    private TaxDeductedFrmSource taxDeductedFrmSourceController;
	
	private TaxCollectedAtSource taxCollectedAtSourceController;
	
	private TaxPaymentController advancedTax;
	
	private NonResidenttBankdetails foreignBankDetailsController;
	
	 @FXML //  fx:id="myButton"
    private Button myButton; // Value injected by FXMLLoader
	
	 @FXML
	Button ePayButton;
	
	
	public ITR getItr() {
		return itr;
	}

	public void setItr(ITR itr) {
		this.itr = itr;
	}

	
	public void load(final Object entity) {
		setEntity(entity);
		RefHolders.loading = true;
		DataTransporter.updateJfxUiOnLoad(this);
        
        RefHolders.loading = false;
        RefHolders.form = Form.getForm();
        LOG.info("form in load ::"+RefHolders.form);
        
        buttonPointer = ePayButton;
        RefHolders.pan = OnChangeUtil.getElementValueByTargetName("itr.itr1.personalInfo.pan");
        RefHolders.verpan = OnChangeUtil.getElementValueByTargetName("itr.itr1.verification.declaration.assesseeVerPAN");
        String dob = OnChangeUtil.getElementValueByTargetName("itr.itr1.personalInfo.dob");
        SimpleDateFormat form1 = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
        
		Date d = null;
		try {
				d = form1.parse(dob.toString());
			
			SimpleDateFormat form = new SimpleDateFormat("dd/MM/yyyy");
	
			RefHolders.DOB = form.format(d);
	        
			OnChangeUtil.onImportVal(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.typeOfHP"));
			OnChangeUtil.onImportReturnFileSec(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnFileSec"));
			OnChangeCommonUtil.executeOnChangeMethod(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnFileSec"));
	        OnChangeCommonUtil.executeOnChangeMethod(ValidationUtil.ALL_FIELDS_MAP.get("taxDetailsTabController.type.totalTDSSal"));
	        OnChangeCommonUtil.executeOnChangeMethod(ValidationUtil.ALL_FIELDS_MAP.get("taxDeductedFrmSourceController.type.claimOutOfTotTDSOnAmtPaid"));
	        OnChangeCommonUtil.executeOnChangeMethod(ValidationUtil.ALL_FIELDS_MAP.get("taxDeductedFrmIncomeController.type.claimOutOfTotTDSOnAmtPaid"));
	        OnChangeCommonUtil.executeOnChangeMethod(ValidationUtil.ALL_FIELDS_MAP.get("taxCollectedAtSourceController.type.amtTCSClaimedThisYear"));
	        OnChangeCommonUtil.executeOnChangeMethod(ValidationUtil.ALL_FIELDS_MAP.get("advancedTax.type.amt"));
			OnChangeCommonUtil.executeOnChangeMethod(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.emailAddress"));
	        
	    	
			String  zipp=OnChangeUtil.getElementValueByTargetName("itr.itr1.personalInfo.address.zipcode");
			if(zipp.equals("XXXXXX"))
			{
				setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck",true);
	
			}
			else
			{
				setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck",false);
	
			}
	        LOG.info("After updateJfxUiOnLoad load");
	        LOG.info(" RefHolders.loading = false;"+ RefHolders.loading );
	        
	        FormPlayerController.flag = true;
	        LOG.info("FormPlayerController.flag :: "+FormPlayerController.flag);
	
	        /*if (itr.getItr1().getPersonalInfo().getPan() != null) {
				String name = "itr.itr1.verification.declaration.assesseeVerPAN";
				String partA = itr.getItr1().getPersonalInfo().getPan();
				setElementValueByTargetName(name, partA);
				
			}*/
	        
	        if( ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.verification.date").getData()==null){
	
						setElementValueByTargetName("itr.itr1.verification.date",OnChangeUtil.getCurrentDate());
	       	 
	       }
		}catch (Exception e) {
			e.printStackTrace();
		}
       
		
		
	}

	
    public ITRView() {

        LOG.info("Before loading fxmlLoader.....");
        
        final FXMLLoader fxmlLoader = new FXMLLoader(ITRView.class.getResource("/com/itd/efiling/offline/ITR1/fxml/ITR1.fxml"));

        fxmlLoader.setRoot(ITRView.this);
        fxmlLoader.setController(ITRView.this);

        try {

            fxmlLoader.load();
           
            LOG.info("After loading fxmlLoader.....");
            final Properties properties = new Properties();
	            properties.load(Configs.class.getResourceAsStream("/resources/config/targetName.properties"));
	            final Set<String> keys = properties.stringPropertyNames();

		            for (final String key : keys) {
		             if(key.equals("itr.itr1.refund.bankAccountDtls.bankDtlsFlag"))
		             {
		            	 DataTransporter.transferDataToBean(Form.getForm(),key,"Y");
		             }
		            
		             else if(key.equals("itr.itr1.filingStatus.portugeseCC5A"))
		             {
		            	 LOG.info("view");
		            	 DataTransporter.transferDataToBean(Form.getForm(),key,"N");
		             }
		             else 
		             {
		            	 DataTransporter.transferDataToBean(Form.getForm(),key,BigInteger.ZERO);
		             }
            OnChangeCommonUtil.executeOnChangeMethod(ValidationUtil.ALL_FIELDS_MAP.get(key));
		            }
		            FormPlayerController.flag=true;
		            
		            if( ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.verification.date").getData()==null){

		   				setElementValueByTargetName("itr.itr1.verification.date",OnChangeUtil.getCurrentDate());
		   		
		           	 
		           }
        } catch (final Throwable e) {
            LOG.log(Level.SEVERE, e.getLocalizedMessage(), e);
        }
        buttonPointer = ePayButton;
    }

	

    @Override
    public void initialize(final URL url, final ResourceBundle bundle) {
    	 LOG.info("hi start of initialize in itrview");
    	setElementzero();
    	try {
			itr.getItr1().setCreationInfo(new CreationInfo());
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
    	itr.getItr1().setFormITR1(new FormITR1());
    	itr.getItr1().setFilingStatus(new FilingStatus());
    	itr.getItr1().setItr1IncomeDeductions(new ITR1IncomeDeductions());
    	itr.getItr1().setITR1TaxComputation(new ITR1TaxComputation());
    	itr.getItr1().setPersonalInfo(new PersonalInfo());
    	itr.getItr1().setRefund(new Refund());
    	itr.getItr1().setSchedule80G(new Schedule80G());
    	itr.getItr1().setScheduleTCS(new ScheduleTCS());
    	itr.getItr1().setTaxPaid(new TaxPaid());
    	itr.getItr1().setTaxPayments(new TaxPayments());
    	itr.getItr1().setTdSonOthThanSals(new TDSonOthThanSals());
    	itr.getItr1().setTdsDtls26QC(new TDSDtls26QC());
    	itr.getItr1().setTdSonSalaries(new TDSonSalaries());
    	itr.getItr1().setVerification(new Verification());
    	//itr.getItr1().getItr1IncomeDeductions().setIncomeFromSal(BigInteger.valueOf(0));
        setChanged(false);
        Form.loaded = true;

        RefHolders.form = this;
        
      //  setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", BigInteger.valueOf(0));
        LOG.info("hi end of initialize in itrview");
    }
    public void setElementzero()
    {
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.incomeFromSal",new BigInteger("0"));
    	
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome",new BigInteger("0"));
    	  setElementValueByTargetName("itr.itr1.filingStatus.portugeseCC5A","N");
    	  
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.salary",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.alwnsNotExempt",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.perquisitesValue",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.profitsInSalary",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductionUs16",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.incomeFromSal",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossRentReceived",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.taxPaidlocalAuth",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.annualValue",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.standardDeduction",new BigInteger("0") );
    	  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.interestPayable",new BigInteger("0") );
    	 // setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncomeOfHPNegative",new BigInteger("0") );
    	  
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncomeOfHP",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.incomeOthSrc",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE",new BigInteger("0") );
		  
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGA",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGC",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80TTA",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployeeOrSE_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr",new BigInteger("0"));
		 
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCG_Usr",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80D_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DD_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80RRB_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80QQB_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80TTA_Usr",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80U_Usr",new BigInteger("0") );
		  
		  
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.totalChapVIADeductions_Usr",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions",new BigInteger("0"));	
		  setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncome",new BigInteger("0"));	
		  
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable",new BigInteger("0") );
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.rebate87A",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.taxPayableOnRebate",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.section89",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234C",new BigInteger("0"));

		  
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.netTaxLiability",new BigInteger("0"));  
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalIntrstPay",new BigInteger("0"));
		  
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.advanceTax",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.tds",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.selfAssessmentTax",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.tcs",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.tdsDtls26QC.totalTDSDetails26QC",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.scheduleTCS.totalSchTCS",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.totalTaxesPaid",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.refund.refundDue",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.educationCess",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.grossTaxLiability",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.section89",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.itr1TaxComputation.totTaxPlusIntrstPay",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.balTaxPayable",new BigInteger("0"));
		  //  setElementValueByTargetName("itr.itr1.verification.date",new Date());
		  //setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.othersInc.othersIncTotal",new BigInteger("0"));
		  
		  setElementValueByTargetName("itr.itr1.schedule80G.totalDonationsUs80G",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.totalEligibleDonationsUs80G",new BigInteger("0"));
		  
		  
		 
		 
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.advanceTax",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.selfAssessmentTax",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.tds",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.tcs",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.totalTaxesPaid",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPaid.balTaxPayable",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.refund.refundDue",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.bankDtlsFlag","Y");
		 // setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.excIncSec1038",new BigInteger("0"));
		  
		  setElementValueByTargetName("itr.itr1.schedule80G.don100Percent.totDon100Percent",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don100Percent.totEligibleDon100Percent",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don50PercentNoApprReqd.TotEligibleDon50Percent",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don50PercentNoApprReqd.totDon50PercentNoApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don100PercentApprReqd.totDon100PercentApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don100PercentApprReqd.totEligibleDon100PercentApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don50PercentApprReqd.totDon50PercentApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don50PercentApprReqd.totEligibleDon50PercentApprReqd",new BigInteger("0"));
		  
		  
		  setElementValueByTargetName("itr1_80GController1.type.eligibleDonationAmt",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don50PercentNoApprReqd.totDon50PercentNoApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don50PercentNoApprReqd.TotEligibleDon50Percent",new BigInteger("0"));
		  setElementValueByTargetName("itr1_80GController2.type.eligibleDonationAmt",new BigInteger("0"));
		  
	
		  setElementValueByTargetName("itr.itr1.schedule80G.don100PercentApprReqd.totDon100PercentApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don100PercentApprReqd.totEligibleDon100PercentApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr1_80GController3.type.eligibleDonationAmt",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don50PercentApprReqd.totDon50PercentApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.schedule80G.don50PercentApprReqd.totEligibleDon50PercentApprReqd",new BigInteger("0"));
		  setElementValueByTargetName("itr1_80GController.type.eligibleDonationAmt",new BigInteger("0"));
		  
		  
		  setElementValueByTargetName("itr.itr1.tdSonSalaries.totalTDSonSalaries",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.tdSonOthThanSals.totalTDSonOthThanSals",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.scheduleTCS.totalSchTCS",new BigInteger("0"));
		  setElementValueByTargetName("itr.itr1.taxPayments.totalTaxPayments",new BigInteger("0"));
		  ValidationAware field =ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.incomeFromSal");
	        OnChangeCommonUtil.executeOnChangeMethod(field);
    }

  
    
    @Override
    public Object getEntity() {
        return itr;
    }

    @Override
    public void setEntity(final Object entity) {
        this.itr = (ITR) entity;
        try {
			itr.getItr1().setCreationInfo(new CreationInfo());
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
    	itr.getItr1().setFormITR1(new FormITR1());
    	itr.getItr1().setFormITR1(new FormITR1());
    }

	@Override
	public void setDigest(final String digest) {
		itr.getItr1().getCreationInfo().setDigest(digest);
	}
	
	public Nature_Income getNatureIncomeController() {
		return natureIncomeController;
	}

	public void setNatureIncomeController(Nature_Income natureIncomeController) {
		this.natureIncomeController = natureIncomeController;
	}

	public ITR1_80G getItr1_80GController() {
		return itr1_80GController;
	}

	public void setItr1_80GController(ITR1_80G itr1_80gController) {
		itr1_80GController = itr1_80gController;
	}

	public ITR1_80GTable1 getItr1_80GController1() {
		return itr1_80GController1;
	}

	public void setItr1_80GController1(ITR1_80GTable1 itr1_80gController1) {
		itr1_80GController1 = itr1_80gController1;
	}

	public void setCommonButtonController(commonButtonController commonButto) {
		commonButton = commonButto;
	}
	
	public ITR1_80GTable2 getItr1_80GController2() {
		return itr1_80GController2;
	}

	public void setItr1_80GController2(ITR1_80GTable2 itr1_80gController2) {
		itr1_80GController2 = itr1_80gController2;
	}

	public ITR1_80GTable3 getItr1_80GController3() {
		return itr1_80GController3;
	}

	public void setItr1_80GController3(ITR1_80GTable3 itr1_80gController3) {
		itr1_80GController3 = itr1_80gController3;
	}

	public ITR1_IncomeDetails getItr1_IncomeDetailsController() {
		return itr1_IncomeDetailsController;
	}

	public void setItr1_IncomeDetailsController(ITR1_IncomeDetails itr1_IncomeDetailsController) {
		this.itr1_IncomeDetailsController = itr1_IncomeDetailsController;
	}

	public Income_Details_Table getIncomeDetailsController() {
		return incomeDetailsController;
	}

	public void setIncomeDetailsController(Income_Details_Table incomeDetailsController) {
		this.incomeDetailsController = incomeDetailsController;
	}

	private TaxDeductedFrmSal taxDetailsTabController;
    
    public TaxDeductedFrmSal getTaxDetailsTabController() {
		return taxDetailsTabController;
	}

	public void setTaxDetailsTabController(TaxDeductedFrmSal taxDetailsTabController) {
		this.taxDetailsTabController = taxDetailsTabController;
	}
	
	public TaxCollectedAtSource getTaxCollectedAtSourceController() {
		return taxCollectedAtSourceController;
	}

	public void setTaxCollectedAtSourceController(TaxCollectedAtSource taxCollectedAtSourceController) {
		this.taxCollectedAtSourceController = taxCollectedAtSourceController;
	}

	public TaxDeductedFrmIncome getTaxDeductedFrmIncomeController() {
		return taxDeductedFrmIncomeController;
	}

	public void setTaxDeductedFrmIncomeController(TaxDeductedFrmIncome taxDeductedFrmIncomeController) {
		this.taxDeductedFrmIncomeController = taxDeductedFrmIncomeController;
	}

    public TaxPaymentController getAdvancedTax() {
		return advancedTax;
	}

	public void setAdvancedTax(TaxPaymentController advancedTax) {
		this.advancedTax = advancedTax;
	}

	public NonResidenttBankdetails getForeignBankDetailsController() {
		return foreignBankDetailsController;
	}

	public void setForeignBankDetailsController(NonResidenttBankdetails foreignBankDetailsController) {
		this.foreignBankDetailsController = foreignBankDetailsController;
	}

	public TaxDeductedFrmSource getTaxDeductedFrmSourceController() {
		return taxDeductedFrmSourceController;
	}

	public void setTaxDeductedFrmSourceController(TaxDeductedFrmSource taxDeductedFrmSourceController) {
		this.taxDeductedFrmSourceController = taxDeductedFrmSourceController;
	}


	
}
