package com.itd.efiling.offline.ITR1.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import com.itd.efiling.offline.common.config.Configs;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "formName",
    "description",
    "assessmentYear",
    "schemaVer",
    "formVer"
})
@XmlRootElement(name = "Form_ITR1")
public class FormITR1 {

    @XmlElement(name = "FormName", required = true)
    private String formName;
    
    @XmlElement(name = "Description", required = true)
    private String description;
    
    @XmlElement(name = "AssessmentYear", required = true)
    private String assessmentYear;
    
    @XmlElement(name = "SchemaVer", required = true, defaultValue = "Ver1.0")
    private String schemaVer;
    
    @XmlElement(name = "FormVer", required = true)
    private String formVer;
    
	public FormITR1() {
		super();
		this.formName = Configs.getConfigProperty("xml.form.name");
	   	this.assessmentYear= Configs.getConfigProperty("xml.assessment.year");
	    this.schemaVer = Configs.getConfigProperty("xml.schema.ver");
	    this.formVer = Configs.getConfigProperty("xml.form.version");
	    this.setDescription("For Indls having Income from Salary, Pension, family pension and Interest");
	}

    public String getFormName() {
        return formName;
    }

    public void setFormName(String value) {
        this.formName = value;
    }  

    public String getDescription() {
        return description;
    }

    public void setDescription(String value) {
        this.description = value;
    }

    public String getAssessmentYear() {
        return assessmentYear;
    }

    public void setAssessmentYear(String value) {
        this.assessmentYear = value;
    }

    public String getSchemaVer() {
        return schemaVer;
    }

    public void setSchemaVer(String value) {
        this.schemaVer = value;
    }

    public String getFormVer() {
        return formVer;
    }

    public void setFormVer(String value) {
        this.formVer = value;
    }

}
