package com.itd.efiling.offline.ITR1.model;

import java.math.BigInteger;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"creationInfo", "formITR1", "personalInfo", "filingStatus", "itr1IncomeDeductions",
		"itr1TaxComputation", "taxPaid", "refund", "schedule80G", "tdSonSalaries","tdSonOthThanSals",  "tdsDtls26QC" ,"scheduleTCS",
		"taxPayments", "taxExmpIntInc", "verification","taxReturnPreparer", "itrdtls"})

@XmlRootElement(name = "ITR1", namespace = "http://incometaxindiaefiling.gov.in/ITR1")
public class ITR1 {
	
    @XmlElement(name = "CreationInfo", required = true)
    private CreationInfo creationInfo;
    
	@XmlElement(name = "ITRDtls", required = true)
    private ITRDtls itrdtls;
   
	@XmlElement(name = "Form_ITR1", required = true)
	private FormITR1 formITR1;
		
	@XmlElement(name = "PersonalInfo", required = true)
    private PersonalInfo personalInfo;
	    
    @XmlElement(name = "FilingStatus", required = true)
    private FilingStatus filingStatus;
	    
    @XmlElement(name = "ITR1_IncomeDeductions", required = true)
	private ITR1IncomeDeductions itr1IncomeDeductions;
    
	@XmlElement(name = "ITR1_TaxComputation", required = true)
    private ITR1TaxComputation itr1TaxComputation;
	
    @XmlElement(name = "TaxPaid", required = true)
    private TaxPaid taxPaid;
    
    @XmlElement(name = "Refund", required = true)
    private Refund refund;
    
    @XmlElement(name = "Schedule80G")
    private Schedule80G schedule80G;
    
	@XmlElement(name = "TDSonOthThanSals")
    private TDSonOthThanSals tdSonOthThanSals;
    
    @XmlElement(name = "TDSonSalaries")
    private TDSonSalaries tdSonSalaries;
    
    @XmlElement(name = "TDSDtls26QC")
    private TDSDtls26QC tdsDtls26QC;
    
	@XmlElement(name = "ScheduleTCS")
    private ScheduleTCS scheduleTCS;
	
    @XmlElement(name = "TaxPayments")
    private TaxPayments taxPayments;
    
    @XmlElement(name = "TaxExmpIntInc", namespace = "http://incometaxindiaefiling.gov.in/ITR1", defaultValue = "0")
    private BigInteger taxExmpIntInc;
    
    @XmlElement(name = "Verification", required = true)
    private Verification verification;
    
	@XmlElement(name = "TaxReturnPreparer")
	private TaxReturnPreparer taxReturnPreparer;

    public TaxReturnPreparer getTaxReturnPreparer() {
		return taxReturnPreparer;
	}

	public void setTaxReturnPreparer(TaxReturnPreparer taxReturnPreparer) {
		this.taxReturnPreparer = taxReturnPreparer;
	}
	
	public ITRDtls getItrdtls() {
		return itrdtls;
	}

	public void setItrdtls(ITRDtls itrdtls) {
		this.itrdtls = itrdtls;
	}

    public ITR1IncomeDeductions getItr1IncomeDeductions() {
		return itr1IncomeDeductions;
	}

	public void setItr1IncomeDeductions(ITR1IncomeDeductions itr1IncomeDeductions) {
		this.itr1IncomeDeductions = itr1IncomeDeductions;
	}

	public ITR1TaxComputation getItr1TaxComputation() {
		return itr1TaxComputation;
	}

	public void setItr1TaxComputation(ITR1TaxComputation itr1TaxComputation) {
		this.itr1TaxComputation = itr1TaxComputation;
	}

    public TDSonSalaries getTdSonSalaries() {
		return tdSonSalaries;
	}

	public void setTdSonSalaries(TDSonSalaries tdSonSalaries) {
		this.tdSonSalaries = tdSonSalaries;
	}


	
    public TDSonOthThanSals getTdSonOthThanSals() {
		return tdSonOthThanSals;
	}

	public void setTdSonOthThanSals(TDSonOthThanSals tdSonOthThanSals) {
		this.tdSonOthThanSals = tdSonOthThanSals;
	}

    public CreationInfo getCreationInfo() {
        return creationInfo;
    }

    public void setCreationInfo(CreationInfo value) {
        this.creationInfo = value;
    }

    public FormITR1 getFormITR1() {
        return formITR1;
    }

    public void setFormITR1(FormITR1 value) {
        this.formITR1 = value;
    }

    public PersonalInfo getPersonalInfo() {
        return personalInfo;
    }

    public void setPersonalInfo(PersonalInfo value) {
        this.personalInfo = value;
    }

    public FilingStatus getFilingStatus() {
        return filingStatus;
    }

    public void setFilingStatus(FilingStatus value) {
        this.filingStatus = value;
    }

    public ITR1TaxComputation getITR1TaxComputation() {
        return itr1TaxComputation;
    }

    public void setITR1TaxComputation(ITR1TaxComputation value) {
        this.itr1TaxComputation = value;
    }

    public TaxPaid getTaxPaid() {
        return taxPaid;
    }

    public void setTaxPaid(TaxPaid value) {
        this.taxPaid = value;
    }

    public Refund getRefund() {
        return refund;
    }

    public void setRefund(Refund value) {
        this.refund = value;
    }

    public Schedule80G getSchedule80G() {
        return schedule80G;
    }

    public void setSchedule80G(Schedule80G value) {
        this.schedule80G = value;
    }

    public ScheduleTCS getScheduleTCS() {
        return scheduleTCS;
    }

    public void setScheduleTCS(ScheduleTCS value) {
        this.scheduleTCS = value;
    }

    public TaxPayments getTaxPayments() {
        return taxPayments;
    }

    public void setTaxPayments(TaxPayments value) {
        this.taxPayments = value;
    }

    public BigInteger getTaxExmpIntInc() {
        return taxExmpIntInc;
    }

    public void setTaxExmpIntInc(BigInteger value) {
        this.taxExmpIntInc = value;
    }

    public Verification getVerification() {
        return verification;
    }

    public void setVerification(Verification value) {
        this.verification = value;
    }

	public TDSDtls26QC getTdsDtls26QC() {
		return tdsDtls26QC;
	}

	public void setTdsDtls26QC(TDSDtls26QC tdsDtls26QC) {
		this.tdsDtls26QC = tdsDtls26QC;
	}


    
    

}
