package com.itd.efiling.offline.ITR1.model;

import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import com.itd.efiling.offline.common.jaxb.adapters.DateAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "assesseeName",
    "pan",
    "address",
    "dob",
    "employerCategory",
    "aadhaarCardNo",
    "aadhaarEnrolmentId"
})

@XmlRootElement(name = "PersonalInfo")
public class PersonalInfo {

    @XmlElement(name = "AssesseeName", required = true)
    private AssesseeName assesseeName;
    
    @XmlElement(name = "PAN", required = true)
    private String pan;
    
    @XmlElement(name = "Address", required = true)
    private Address address;
  
    @XmlElement(name = "DOB", required = true)
    @XmlSchemaType(name = "date")
    @XmlJavaTypeAdapter(DateAdapter.class)  
    private Date dob;
    
    @XmlElement(name = "EmployerCategory", required = true, defaultValue = "OTH")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String employerCategory;
	
    /*@XmlElement(name = "Status", required = true, defaultValue = "I")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String status;*/
    
    @XmlElement(name = "AadhaarCardNo")
    private String aadhaarCardNo;
    
    @XmlElement(name = "AadhaarEnrolmentId")
    private String aadhaarEnrolmentId;
    
    public String getAadhaarEnrolmentId() {
		return aadhaarEnrolmentId;
	}

	public void setAadhaarEnrolmentId(String aadhaarEnrolmentId) {
		this.aadhaarEnrolmentId = aadhaarEnrolmentId;
	}

	public String getPan() {
		return pan;
	}

	public void setPan(String pan) {
		this.pan = pan;
	}

	public Date getDob() {
		return dob;
	}

	public void setDob(Date dob) {
		this.dob = dob;
	}

	public AssesseeName getAssesseeName() {
        return assesseeName;
    }

    public void setAssesseeName(AssesseeName value) {
        this.assesseeName = value;
    }

    public Address getAddress() {
        return address;
    }

    public void setAddress(Address value) {
        this.address = value;
    }

    public String getEmployerCategory() {
        return employerCategory;
    }

    public void setEmployerCategory(String value) {
        this.employerCategory = value;
    }

    /*public String getStatus() {
        return status;
    }

    public void setStatus(String value) {
        this.status = value;
    }*/

    public String getAadhaarCardNo() {
        return aadhaarCardNo;
    }

    public void setAadhaarCardNo(String value) {
        this.aadhaarCardNo = value;
    }

}
