package com.itd.efiling.offline.ITR1.onchange.util;

import static com.itd.efiling.offline.common.logging.util.LoggerManager.LOG;

import java.io.UnsupportedEncodingException;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.net.URLEncoder;
import java.security.GeneralSecurityException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.logging.Level;

import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.PBEParameterSpec;

import com.itd.efiling.offline.ITR1.ctrl.HyperLink;
import com.itd.efiling.offline.ITR1.model.BankDetailType;
import com.itd.efiling.offline.ITR1.model.DoneeWithPan;
import com.itd.efiling.offline.ITR1.model.ITR;
import com.itd.efiling.offline.ITR1.model.OthersIncDtls;
import com.itd.efiling.offline.ITR1.model.TCS;
import com.itd.efiling.offline.ITR1.model.TDSDetails26QC;
import com.itd.efiling.offline.ITR1.model.TDSonOthThanSal;
import com.itd.efiling.offline.ITR1.model.TDSonSalary;
import com.itd.efiling.offline.ITR1.model.TaxPayment;
import com.itd.efiling.offline.common.config.IFSC_Bank;
import com.itd.efiling.offline.common.dialog.MessageDialogCtrl;
import com.itd.efiling.offline.common.onchange.util.OnChangeCommonUtil;
import com.itd.efiling.offline.common.player.ctrl.Form;
import com.itd.efiling.offline.common.reference.holders.RefHolders;
import com.itd.efiling.offline.common.util.Base64Utils;
import com.itd.efiling.offline.common.util.DataTransporter;
import com.itd.efiling.offline.common.validation.validators.ValidationUtil;
import com.itd.efiling.offline.javafx.ui.components.ValidationAware;
import com.sun.org.apache.xerces.internal.impl.xpath.regex.ParseException;

public class OnChangeUtil {

	private OnChangeUtil() {

	}

	public static void onRecalculate(ValidationAware field) throws Exception {

		LOG.info("inside onRecalculate::");
		intialize();
		onchangeGrossTotal(field);
		onchangeHP(field);
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();
		LOG.info("after onRecalculate::");
	}

	public static void onXmlGen(ValidationAware field) throws Exception {
		RefHolders.flag234A = true;
		
		onChangeChargableIncome_table1(ValidationUtil.ALL_FIELDS_MAP.get("taxDetailsTabController.type.incChrgSal"));
		onChangeChargableIncome90(ValidationUtil.ALL_FIELDS_MAP.get("taxDetailsTabController.type.incChrgSal"));
		onImportReturnFileSec(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnFileSec"));
		
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		
		
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();
		

	}

	public static void onChangeBankDtlsFlag(ValidationAware field) {

		ValidationAware pifsc = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.refund.bankAccountDtls.priBankDetails.ifscCode");
		ValidationAware pname = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.refund.bankAccountDtls.priBankDetails.bankName");
		ValidationAware paccount = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.refund.bankAccountDtls.priBankDetails.bankAccountNo");

		ValidationAware fifsc = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.refund.bankAccountDtls.foreignBankDetails.ibanSwiftCode");
		ValidationAware fname = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.refund.bankAccountDtls.foreignBankDetails.bankName");
		ValidationAware fcountry = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.refund.bankAccountDtls.foreignBankDetails.countryCode");
		ValidationAware facount = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.refund.bankAccountDtls.foreignBankDetails.bankAccountNo");

		ValidationAware Oifsc = ValidationUtil.ALL_FIELDS_MAP.get("incomeDetailsController.type.ifscCode");
		ValidationAware Oname = ValidationUtil.ALL_FIELDS_MAP.get("incomeDetailsController.type.bankName");
		ValidationAware Oaccount = ValidationUtil.ALL_FIELDS_MAP.get("incomeDetailsController.type.bankAccountNo");
		

		if (field.getData() == null || field.getData().equals("Y")) {

			fifsc.setDisable(true);
			fifsc.setData("");
			fname.setDisable(true);
			fname.setData("");
			fcountry.setDisable(true);
			fcountry.setData("");
			facount.setDisable(true);
			facount.setData("");

			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.foreignBankDetails.ibanSwiftCode", null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.foreignBankDetails.bankName", null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.foreignBankDetails.countryCode", null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.foreignBankDetails.bankAccountNo", null);

			pifsc.setDisable(false);
			pname.setDisable(false);
			paccount.setDisable(false);

			Oifsc.setDisable(false);
			Oname.setDisable(false);
			Oaccount.setDisable(false);

		} else {
			pifsc.setDisable(true);
			pifsc.setData(null);
			pname.setDisable(true);
			pname.setData(null);
			paccount.setDisable(true);
			paccount.setData(null);
			
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.ifscCode", null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.bankName", null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.bankAccountNo", null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.cashDeposited", null);

			Oifsc.setDisable(true);
			Oifsc.setData("");
			Oname.setDisable(true);
			Oname.setData("");
			Oaccount.setDisable(true);
			Oaccount.setData("");
			
			fifsc.setDisable(false);

			fname.setDisable(false);

			fcountry.setDisable(false);
			
			facount.setDisable(false);

			@SuppressWarnings("unchecked")
			List<BankDetailType> list = (List<BankDetailType>) ValidationUtil.ALL_TVC
					.get("class com.itd.efiling.offline.ITR1.ctrl.Income_Details_Table").getTableView().getItems();

			if (list != null && !list.isEmpty()) {

				((ITR) Form.getForm().getEntity()).getItr1().getRefund().getBankAccountDtls().getAddtnlBankDetails()
						.clear();
			}

			list.clear();

		}

	}

	public static void onChangeCountry(ValidationAware field) {

		String state = String
				.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.stateCode").getData());
		if ((field.getData() != null && field.getData().equals("91") && (state.equals("99")))) {
			MessageDialogCtrl.displayInfoDialog("ERROR",
					"Country should be other than India, as you have selected state outside India.");
			setElementValueByTargetName(field.getTarget(), "-1");

		} else {
			if ((!field.getData().equals("91") && (!state.equals("99")))) {
				if (state.equals("null")) {

					String country = String.valueOf(
							ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.countryCode").getData());
					setElementValueByTargetName(field.getTarget(), country);
				} else {
					MessageDialogCtrl.displayInfoDialog("ERROR",
							"Country cannot be other than India, as you have selected an Indian state.");
					setElementValueByTargetName(field.getTarget(), "-1");
				}

			}
		}
		ValidationAware zipcode = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.zipcode");
		ValidationAware pincode = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.pincodee");
		ValidationAware zipcodeCheck = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.zipcodeCheck");
		if (field.getData() != null && field.getData().equals("91")) {
			zipcode.setData("");
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcode", "");
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck", false);
			zipcode.setDisable(false);
			zipcode.setDisable(true);
			zipcodeCheck.setDisable(true);
			pincode.setDisable(false);
		} else {
			pincode.setData("");
			setElementValueByTargetName("itr.itr1.personalInfo.address.pincodee", "");
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck", false);
			
			zipcode.setDisable(false);
			zipcodeCheck.setDisable(false);
			pincode.setDisable(true);

		}
	}

	public static void onChangePan(ValidationAware field) throws java.text.ParseException {
		setElementValueByTargetName("itr.itr1.verification.declaration.assesseeVerPAN", field.getData().toString());
		RefHolders.pan = field.getData().toString();
		RefHolders.verpan = field.getData().toString();
		String _80G1 = String.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController1.type.doneePAN").getData());
		String _80G2 = String.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController2.type.doneePAN").getData());
		String _80G3 = String.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController3.type.doneePAN").getData());
		String _80G4 = String.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController.type.doneePAN").getData());
		if (!(String.valueOf(field.getData()).equals(""))) {
			LOG.info("inside error message");
			if (field.getData().toString().equals(_80G1) || field.getData().toString().equals(_80G2)
					|| field.getData().toString().equals(_80G3) || field.getData().toString().equals(_80G4)) {
				MessageDialogCtrl.displayInfoDialog("ERROR","Donee PAN cannot be same as assesse PAN or verification PAN");

				setElementValueByTargetName(field.getTarget().toString(), "");
			}
		}
		
		ispanExist(field);
	}

	// To populate name in Verification section
	public static void onChangeName(ValidationAware field) {
		String lName = null, mName = null;
		String fName = String
				.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.assesseeName.firstName").getData());
		if (ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.assesseeName.middleName").getData() != null) {
			mName = String.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.assesseeName.middleName")
					.getData().toString());
		} else {

		}
		if (ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.assesseeName.surNameOrOrgName")
				.getData() != null) {
			lName = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.personalInfo.assesseeName.surNameOrOrgName").getData().toString());
		} else {

		}
		String verName;

		if ((!fName.equals("")) && (!mName.equals(""))) {
			verName = fName + " " + mName + " " + lName;
		}

		else if (fName.equals("") && (!mName.equals(""))) {
			verName = mName + " " + lName;
		}

		else if (!(fName.equals("")) && mName.equals("")) {
			verName = fName + " " + lName;
		} else {
			verName = lName;
		}

		setElementValueByTargetName("itr.itr1.verification.declaration.assesseeVerName", verName);

	}

	/* Validate PAN for Schedule 80G Tables */
	public static void panValidation80G(ValidationAware field) {
		String pan = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.pan").getData().toString();
		String verificationPAN = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.verification.declaration.assesseeVerPAN")
				.getData().toString();
		String tablePan = String.valueOf(field.getData());
		if (!tablePan.equals("")) {
			if (pan.equals(tablePan) || pan.equals(tablePan)) {
				LOG.info("inside table::" + tablePan);
				MessageDialogCtrl.displayInfoDialog("ERROR",
						"Enter the PAN of the person to whom the donation is made.");
				setElementValueByTargetName(field.getTarget().toString(), null);
			}
		}

	}

	public static void onChangeState(ValidationAware field) {
		ValidationAware zipcode = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.zipcode");
		ValidationAware pincode = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.pincodee");
		ValidationAware zipcodeCheck = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.zipcodeCheck");
		String country = getElementValueByTargetName("itr.itr1.personalInfo.address.countryCode");

		if (field.getData().equals("99")) {
			pincode.setData(null);
			setElementValueByTargetName("itr.itr1.personalInfo.address.pincodee", null);
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck", false);
			
			zipcode.setDisable(false);
			zipcodeCheck.setDisable(false);
			pincode.setDisable(true);
		} else {
			zipcode.setData(null);
			zipcodeCheck.setData(null);
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcode", null);
			zipcode.setDisable(true);
			pincode.setDisable(false);
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck", false);
			zipcodeCheck.setDisable(true);
		}

		if ((field.getData().equals("-1"))) {

			setElementValueByTargetName("itr.itr1.personalInfo.address.countryCode", "-1");

		} else if (field.getData().equals("99")) {
			if (country.equals("91")) {
				setElementValueByTargetName("itr.itr1.personalInfo.address.countryCode", "-1");
			}

		} else {

			setElementValueByTargetName("itr.itr1.personalInfo.address.countryCode", "91");

		}
	}

	public static void onCheckZipcode(ValidationAware field) {

		ValidationAware country = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.countryCode");
		ValidationAware state = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.stateCode");
		ValidationAware zipcode = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.zipcode");

		if (!(country.getData().equals("91")) || (state.getData().equals("99"))) {
			if (field.getData().toString() == "true") {
				setElementValueByTargetName("itr.itr1.personalInfo.address.zipcode", "XXXXXX");

				zipcode.setDisable(true);

				String k = getElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck");
				LOG.info(k);
			} else if (field.getData().toString() == "false") {
				setElementValueByTargetName("itr.itr1.personalInfo.address.zipcode", null);
				zipcode.setDisable(false);
			}
		}
	}

	public static void onChangeIFSC(ValidationAware field) {

		if (String.valueOf(field.getData()).equals("0")) {
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.ifscCode", null);
		}

		String ifsc = getElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.ifscCode");
		if (ifsc.isEmpty() || ifsc.equals("null")) {
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.bankName", null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.ifscCode", null);
		} else {

			IFSC_Bank k = new IFSC_Bank();
			String IFSCKey = "0";
			if (field.getData() != null && !field.getData().toString().isEmpty()) {

				String IFSCfield = field.getData().toString();

				IFSCKey = IFSCfield.substring(0, 4);
			}

			String IFSCValue = IFSC_Bank.getStringValue(IFSCKey);
			if (field.getTarget().equals("itr.itr1.refund.bankAccountDtls.priBankDetails.ifscCode")) {
				if (IFSCValue.equals("0")) {
					setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.bankName", null);

				} else {
					setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.bankName", IFSCValue);

				}

			} else{
			if(( !IFSCValue.equals("0") && !IFSCValue.equals("") && !IFSCValue.equals(null) && !IFSCValue.equals("empty"))){
				 
				setElementValueByTargetName("incomeDetailsController.type.bankName", IFSCValue);
				   
					}
			
			}
			
			
			
		/*	else if(field.getTarget().equals("itr.itr1.refund.bankAccountDtls.addtnlBankDetails.ifscCode")) {
                
                
				if((IFSCValue.equals("0") || IFSCValue.equals("") || IFSCValue.equals(null) || IFSCValue.equals("empty"))){
					 
					    setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.addtnlBankDetails.bankName", null);
					    setElementValueByTargetName("incomeDetailsController.type.bankName", null);
					   
					   
						}
				else
				{
					setElementValueByTargetName("incomeDetailsController.type.bankName", IFSCValue);
				}
			}*/
		}

	}

	/*
	 * If Portugese Code = Y, Enable taxDeductedSpousePAN field for TDS1 and TDS2 and TCS
	 */
	
	public static void onChangeFlag(ValidationAware field) throws java.text.ParseException {
		
		ValidationAware flag = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.panOfSpouse");
		ValidationAware portugs = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.portugeseCC5A");
		
		if(portugs.getData().equals("Y")){
		MessageDialogCtrl.displayInfoDialog("ERROR",
				"If there is any income to be apportioned in accordance with provisions of section 5A, please use ITR 2");
		}
		if (field.getData() != null && field.getData().toString().equals("Y")) {
			flag.setDisable(false);
			
			
		} else {
			List<TCS> list = (List<TCS>) ValidationUtil.ALL_TVC
					.get("class com.itd.efiling.offline.ITR1.ctrl.TaxCollectedAtSource").getTableView().getItems();
			
			setElementValueByTargetName("form1.form1Dtls.liabilityLinkedFlag", null);
			setElementValueByTargetName("itr.itr1.filingStatus.panOfSpouse", null);
			flag.setDisable(true);
			
		}
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onchangeReturnType(ValidationAware field) {
		ValidationAware flag = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnFileSec");
		if (String.valueOf(flag.getData()).equals("17")) {
			field.setData('R');

		} else {
			field.setData('O');
		}
	}

	public static void onChangeReturnFileSec(ValidationAware field) throws java.text.ParseException {
		
		RefHolders.flag234A = false;
		ValidationAware flag = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.ackNoOriginalReturn");
		ValidationAware flag1 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.defRetOrigRetFiledDate");
		ValidationAware flag2 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.noticeNo");
		ValidationAware flag3 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.noticeDateUnderSec");
		ValidationAware flag4 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.receiptNo");
		ValidationAware flag5 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.origRetFiledDate");
		ValidationAware flag6 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnType");
		ValidationAware flag7 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.portugeseCC5A");
		ValidationAware flag8 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.panOfSpouse");
		ValidationAware interest_234A = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A");
		ValidationAware interest_234B = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B");
		ValidationAware interest_234C = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234C");

		flag.setDisable(true);
		flag1.setDisable(true);
		flag2.setDisable(true);
		flag3.setDisable(true);
		flag4.setDisable(true);
		flag5.setDisable(true);

		if (field.getData().toString().equals("18")) {
			flag.setDisable(false);
			flag1.setDisable(false);
			flag2.setDisable(false);
			flag3.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.receiptNo", null);
			flag4.setDisable(true);
			flag5.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.origRetFiledDate", null);
			flag5.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.returnType", "O");
			flag6.setData('O');
			interest_234A.setDisable(true);
			interest_234B.setDisable(true);

		} else if (field.getData().toString().equals("20")) {
			flag.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.ackNoOriginalReturn", null);
			
			flag1.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.defRetOrigRetFiledDate", null);
			flag1.setDisable(true);
			
			flag2.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.noticeNo", null);
			
			flag3.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.noticeDateUnderSec", null);
			flag3.setDisable(true);
			
			flag4.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.receiptNo", null);
			
			flag5.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.origRetFiledDate", null);
			flag5.setDisable(true);
			
			interest_234A.setDisable(false);
			interest_234B.setDisable(false);
			MessageDialogCtrl.displayInfoDialog("INFO",
					"Sec139(4) read with section 119(2)(b) should be filed after expiry of due date mentioned in 139(1)/139(4).");
		}
		
		else if (field.getData().toString().equals("17")) {
			setElementValueByTargetName("itr.itr1.filingStatus.returnType", "R");
			flag.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.ackNoOriginalReturn", null);
			flag1.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.defRetOrigRetFiledDate", null);
			flag1.setDisable(true);
			flag2.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.noticeNo", null);
			flag4.setDisable(false);
			interest_234A.setDisable(true);
			interest_234B.setDisable(true);
			flag5.setDisable(false);
			flag3.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.noticeDateUnderSec", null);
			flag3.setDisable(true);
		} else {
			if (field.getData().toString().equals("13") || field.getData().toString().equals("14")
					|| field.getData().toString().equals("15") || field.getData().toString().equals("16")) {
				flag3.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.ackNoOriginalReturn", null);
				flag.setDisable(true);
				flag1.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.defRetOrigRetFiledDate", null);
				flag1.setDisable(true);
				flag2.setDisable(true);
				setElementValueByTargetName("itr.itr1.filingStatus.noticeNo", null);
				interest_234A.setDisable(false);
				interest_234B.setDisable(false);
				flag4.setDisable(true);
				setElementValueByTargetName("itr.itr1.filingStatus.receiptNo", null);
				flag5.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.origRetFiledDate", null);
				flag5.setDisable(true);
			} else {
				setElementValueByTargetName("itr.itr1.filingStatus.ackNoOriginalReturn", null);
				flag.setDisable(true);
				flag1.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.defRetOrigRetFiledDate", null);
				flag1.setDisable(true);
				flag2.setDisable(true);
				setElementValueByTargetName("itr.itr1.filingStatus.noticeNo", null);
				flag3.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.noticeDateUnderSec", null);
				flag3.setDisable(true);
				interest_234A.setDisable(true);
				interest_234B.setDisable(true);
				flag4.setDisable(true);
				setElementValueByTargetName("itr.itr1.filingStatus.receiptNo", null);
				flag5.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.origRetFiledDate", null);
				flag5.setDisable(true);
			}
			setElementValueByTargetName("itr.itr1.filingStatus.returnType", "O");
		}

		String x = String.valueOf(flag7.getData());
		if (x == "null" || x.equals(null)) {
			x = "-1";

		}
		if (x.equals("Y")) {
			flag8.setDisable(false);
		}
		if (x.equals("N") || x.equals("-1")) {
			flag8.setDisable(true);
			flag8.setData("");
		}
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		onchangeGrossTotal(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.salary"));
		onChangeSection89(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1TaxComputation.section89"));
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();
		calcInterestPayable();

	}

	public static void onChangeOrigRetFiledDate(ValidationAware field) throws java.text.ParseException {
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	// *********TAX DETAILS***********

	public static void onChangeChargableIncome_table1(ValidationAware field) {

		BigInteger incomeFromSal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
		
		BigInteger incChrgSal = getElementValueByTargetNameBig("taxDetailsTabController.type.incChrgSal");
		long total = 0;
		
		if (incChrgSal != null && !incomeFromSal.equals("11000")) {
			
			List<TDSonSalary> list = (List<TDSonSalary>) ValidationUtil.ALL_TVC
					.get("class com.itd.efiling.offline.ITR1.ctrl.TaxDeductedFrmSal").getTableView().getItems();
		
			for (TDSonSalary tdsonSalary : list) {

				total = total + tdsonSalary.getIncChrgSal().longValue();

			}

		//	chargableinc = new BigInteger(field.getData().toString());
			BigInteger income = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
			BigInteger OthersIncTotal = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.othersInc.othersIncTotal");
			
			
			long TDS1 = (long) (total * 0.90);
			
			BigInteger sum = income.add(OthersIncTotal);
			
			if (income.longValue() < TDS1) {
				
				RefHolders.flagincm = true;
			}
			else{
				RefHolders.flagincm = false;
			}
			
		/*	if (sum.longValue() < TDS1) {
				
				MessageDialogCtrl.displayInfoDialog("Info",
						"The amount of Salary disclosed in Income details is less than 90% of salary reported in Schedule TDS 1.");
				
				if (OnChangeCommonUtil.flagtable == "false") {
					MessageDialogCtrl.displayInfoDialog("Info",
							"The amount of Salary disclosed in Income details is less than 90% of salary reported in Schedule TDS 1.");
					OnChangeCommonUtil.flagtable = "true";
					
				}
			}*/

		} else {
			incChrgSal = new BigInteger("0");
		}

		BigInteger x = new BigInteger("90");
		BigInteger y = new BigInteger("100");
		BigInteger mul = x.multiply(incChrgSal).divide(y);
		if (incomeFromSal.compareTo(mul) < 0) {

		}

	}

	public static void onChangeTaxDeducted_table1(String s) {
		BigInteger incomeFromSal = getElementValueByTargetNameBig("taxDetailsTabController.type.incChrgSal");
		BigInteger taxDeducted = getElementValueByTargetNameBig(s);
		if (incomeFromSal.compareTo(taxDeducted) < 0) {
			MessageDialogCtrl.displayErrorDialog("ERROR",
					"Total tax deducted cannot be more than Income chargeable under Salaries");
			ValidationUtil.ALL_FIELDS_MAP.get("taxDetailsTabController.type.totalTDSSal").setData(null);
			setElementValueByTargetName("taxDetailsTabController.type.totalTDSSal", null);
		}
	}


	public static void onChangeAmntClaimed(ValidationAware field) throws java.text.ParseException {
		
		BigInteger AmntClaimed = null;
		if (field.getData() != null) {
			
			AmntClaimed = new BigInteger(field.getData().toString());
			} else {
			AmntClaimed = new BigInteger("0");
		}

		BigInteger TaxDeduct = getElementValueByTargetNameBig("taxDeductedFrmIncomeController.type.totTDSOnAmtPaid");
		if (AmntClaimed.compareTo(TaxDeduct) > 0) {
			MessageDialogCtrl.displayInfoDialog("ERROR",
					"Amount claimed for this year cannot be more than total tax deducted");
			field.setData(null);
			setElementValueByTargetName("taxDeductedFrmIncomeController.type.claimOutOfTotTDSOnAmtPaid", null);
		}
		
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}
	
	public static void onChangeAmntClaimed_QC(ValidationAware field) throws java.text.ParseException {

		BigInteger AmntClaimed = null;
		if (field.getData() != null) {
			
			AmntClaimed = new BigInteger(field.getData().toString());
			} else {
			AmntClaimed = new BigInteger("0");
		}

		BigInteger TaxDeduct = getElementValueByTargetNameBig("taxDeductedFrmSourceController.type.taxDeducted");
		if (AmntClaimed.compareTo(TaxDeduct) > 0) {
			MessageDialogCtrl.displayInfoDialog("ERROR",
					"Amount claimed for this year cannot be more than total tax deducted");
			field.setData(null);
			setElementValueByTargetName("taxDeductedFrmSourceController.type.claimOutOfTotTDSOnAmtPaid", null);
		}
		
		
		
		
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	
	public static void onChangeAmountClaimed(ValidationAware field) throws java.text.ParseException {
		BigInteger AmntClaimed = null;
		if (field.getData() != null) {
			AmntClaimed = new BigInteger(field.getData().toString());

		} else {
			AmntClaimed = new BigInteger("0");
		}

		BigInteger TaxCollect = getElementValueByTargetNameBig("taxCollectedAtSourceController.type.totalTCS");
		if (AmntClaimed.compareTo(TaxCollect) > 0) {
			MessageDialogCtrl.displayInfoDialog("ERROR",
					"Amount claimed for this year cannot be more than total tax collected");
			field.setData(null);
			setElementValueByTargetName("taxCollectedAtSourceController.type.amtTCSClaimedThisYear", null);
		}

		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeAmntClaimedSpouse(String s) throws java.text.ParseException {
		String AmntClaimedSpouse = String.valueOf(ValidationUtil.ALL_FIELDS_MAP.get(s).getData());
		if (AmntClaimedSpouse == "null" || AmntClaimedSpouse.equals(null)) {
			AmntClaimedSpouse = "0";
		}

		long AmntClaimed = ValidationUtil.getNvlLongValue(
				getElementValueByTarget("taxDeductedFrmIncomeController.type.claimOutOfTotTDSOnAmtPaid"));
		long TaxDeduct = ValidationUtil
				.getNvlLongValue(getElementValueByTarget("taxDeductedFrmIncomeController.type.totTDSOnAmtPaid"));
		long sumOf = AmntClaimed + Long.valueOf(AmntClaimedSpouse);
		;
		if (sumOf > TaxDeduct) {
			MessageDialogCtrl.displayInfoDialog("ERROR", "Amount in col[6] and col[5] cannot exceed tax deducted");
			ValidationUtil.ALL_FIELDS_MAP.get(s).setData(new BigDecimal(0));
			ValidationUtil.ALL_FIELDS_MAP.get("taxDeductedFrmIncomeController.type.claimOutOfTotTDSOnAmtPaid")
					.setData(new BigDecimal(0));

			setElementValueByTargetName("taxDeductedFrmIncomeController.type.claimOutOfTotTDSOnAmtPaid",
					BigInteger.valueOf(0));
			setElementValueByTargetName("taxDeductedFrmIncomeController.type.amtClaimedBySpouse",
					BigInteger.valueOf(0));

			BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
			intialize();
			GrossIncome();
			onChangeSection80C_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
			onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
			onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
			onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
			onChangeSection80E_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
			onChangeSection80EE_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
			onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
			onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
			checkSum80C80CCC();
			onChangeSection80G_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
			sumUserEntrdDed();
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
					new BigInteger("0"));
			sumDeductionsWithout80GG();
			check80GGAgain(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
			sumDeductions();

		}

	}

	public static void onChangeAmountClaimedSpouse(String s) {
		String AmntClaimedSpouse = String.valueOf(ValidationUtil.ALL_FIELDS_MAP.get(s).getData());
		if (AmntClaimedSpouse == "null" || AmntClaimedSpouse.equals(null)) {
			AmntClaimedSpouse = "0";
		}

		long AmntClaimed = ValidationUtil
				.getNvlLongValue(getElementValueByTarget("taxCollectedAtSourceController.type.amtTCSClaimedThisYear"));
		long TaxDeduct = ValidationUtil
				.getNvlLongValue(getElementValueByTarget("taxCollectedAtSourceController.type.totalTCS"));
		long sumOf = AmntClaimed + Long.valueOf(AmntClaimedSpouse);
		if (sumOf > TaxDeduct) {
			MessageDialogCtrl.displayInfoDialog("ERROR", "Amount in col[6] and col[5] cannot exceed tax collected");
			ValidationUtil.ALL_FIELDS_MAP.get(s).setData(new BigDecimal(0));
			ValidationAware amntClaimedPaid = ValidationUtil.ALL_FIELDS_MAP
					.get("taxCollectedAtSourceController.type.amtTCSClaimedThisYear");
			amntClaimedPaid.setData(BigInteger.valueOf(0));

			setElementValueByTargetName("taxCollectedAtSourceController.type.amtTCSClaimedThisYear",
					BigInteger.valueOf(0));
			setElementValueByTargetName("taxCollectedAtSourceController.type.amtClaimedBySpouse",
					BigInteger.valueOf(0));
		}

	}

	// To calculate total Tax

	public static void calculateTotalTax(ValidationAware field) throws java.text.ParseException {

		if (field.getTarget().equals("taxDetailsTabController.type.totalTDSSal")) {

			onChangeTaxDeducted_table1("taxDetailsTabController.type.totalTDSSal");
			calculateTotal("itr.itr1.tdSonSalaries.totalTDSonSalaries");
		}
		if (field.getTarget().equals("taxDeductedFrmIncomeController.type.claimOutOfTotTDSOnAmtPaid")) {
			onChangeAmntClaimed(field);
			calculateTotal_claim("itr.itr1.tdSonOthThanSals.totalTDSonOthThanSals");
		}
		if (field.getTarget().equals("taxDeductedFrmSourceController.type.claimOutOfTotTDSOnAmtPaid")) {
			onChangeAmntClaimed_QC(field);
			calculateTotal_source("itr.itr1.tdsDtls26QC.totalTDSDetails26QC");
		}
		if (field.getTarget().equals("taxCollectedAtSourceController.type.amtTCSClaimedThisYear")) {
			
			onChangeAmountClaimed(field);
			calculateTotal_TCS("itr.itr1.scheduleTCS.totalSchTCS");
		}

		if (field.getTarget().equals("advancedTax.type.amt")) {
			calculateTotal_tax("itr.itr1.taxPayments.totalTaxPayments");
		}
		
	}

	// 4th table total Tax

	public static void calculateTotal_TCS(final String dest) throws java.text.ParseException {
		List<TCS> list = (List<TCS>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxCollectedAtSource").getTableView().getItems();

		long total = 0;

		for (TCS tcs : list) {

			total = total + tcs.getAmtTCSClaimedThisYear().longValue();

		}

		ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);
		destination.setData(BigInteger.valueOf(total));

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.scheduleTCS.totalSchTCS");

		point7.setData(BigInteger.valueOf(roundToNearestTenthDigit(total)));

		setElementValueByTargetName(dest, BigInteger.valueOf((long) (total)));

		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	// 3rd Table total Tax
	public static void calculateTotal_tax(final String dest) throws java.text.ParseException {
		List<TaxPayment> list = (List<TaxPayment>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxPaymentController").getTableView().getItems();

		long total = 0;
		for (TaxPayment taxpay : list) {

			total = total + taxpay.getAmt().longValue();

		}

		ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);
		destination.setData(BigInteger.valueOf(total));

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.taxPayments.totalTaxPayments");

		point7.setData(BigInteger.valueOf(roundToNearestTenthDigit(total)));

		setElementValueByTargetName(dest, BigInteger.valueOf((long) (total)));

		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	// 1st Table total Tax
	public static void calculateTotal(final String dest) throws java.text.ParseException {
		List<TDSonSalary> list = (List<TDSonSalary>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxDeductedFrmSal").getTableView().getItems();

		long total = 0;

		for (TDSonSalary tdsonsalary : list) {

			total = total + tdsonsalary.getTotalTDSSal().longValue();

		}

		ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);
		destination.setData(BigInteger.valueOf(total));

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.tdSonSalaries.totalTDSonSalaries");

		point7.setData(BigInteger.valueOf(roundToNearestTenthDigit(total)));
		setElementValueByTargetName(dest, BigInteger.valueOf((total)));


		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();
	}

	// 2nd Table total Tax
	public static void calculateTotal_claim(final String dest) {
		LOG.info("total11::");
		List<TDSonOthThanSal> list = (List<TDSonOthThanSal>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxDeductedFrmIncome").getTableView().getItems();
		
		
		long total = 0;

		
		
		for (TDSonOthThanSal tdsonOththanSal : list) {

			total = total + tdsonOththanSal.getClaimOutOfTotTDSOnAmtPaid().longValue();

		}

		ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);

		destination.setData(BigInteger.valueOf(total));

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.tdSonOthThanSals.totalTDSonOthThanSals");

		point7.setData(BigInteger.valueOf(roundToNearestTenthDigit(total)));

		setElementValueByTargetName(dest, BigInteger.valueOf((total)));

	}
	
	// 3rd Table total Tax
		public static void calculateTotal_source(final String dest) {
			
			List<TDSDetails26QC> list = (List<TDSDetails26QC>) ValidationUtil.ALL_TVC
					.get("class com.itd.efiling.offline.ITR1.ctrl.TaxDeductedFrmSource").getTableView().getItems();
			
			
			long total = 0;

			
			for (TDSDetails26QC tdsDetails26QC : list) {

				total = total + tdsDetails26QC.getClaimOutOfTotTDSOnAmtPaid().longValue();

			}

			BigInteger gross=getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossRentReceived");
			
			if(gross.compareTo(new BigInteger("0"))== 0  && total != 0)
			{
				/*MessageDialogCtrl.displayErrorDialog("WARNING",
						"If TDS3(26QC) is filled ,then please ensure the 'Type of house property' is Let out & 'Gross rent received /receivable /letable value' is greater then zero");
				*/
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossRentReceived", null);
				
			}
			
			ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);

			destination.setData(BigInteger.valueOf(total));

			ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.tdsDtls26QC.totalTDSDetails26QC");

			point7.setData(BigInteger.valueOf(roundToNearestTenthDigit(total)));

			setElementValueByTargetName(dest, BigInteger.valueOf((total)));

		}
	

	// 80G CALCULATIONS
	// Calculate Total Amount Donation and Total eligible amount

	public static void calculateTotalTax_80G(ValidationAware field) {

		if (field.getTarget().equals("itr1_80GController1.type.eligibleDonationAmt")) {
			calculateTotal_don100("itr.itr1.schedule80G.don100Percent.totDon100Percent");

		}
		if (field.getTarget().equals("itr1_80GController2.type.eligibleDonationAmt")) {
			calculateTotal_don50("itr.itr1.schedule80G.don50PercentNoApprReqd.totDon50PercentNoApprReqd");

		}
		if (field.getTarget().equals("itr1_80GController3.type.eligibleDonationAmt")) {
			calculateTotal_don100appr("itr.itr1.schedule80G.don100PercentApprReqd.totDon100PercentApprReqd");

		}
		if (field.getTarget().equals("itr1_80GController.type.eligibleDonationAmt")) {

			calculateTotal_don50appr("itr.itr1.schedule80G.don50PercentApprReqd.totDon50PercentApprReqd");

		}

	}

	// ----- Calculate total donations of all the tables ----
	public static void calculateTotalDonations(ValidationAware field) {

		String TotalDon_100, TotalDon_50, TotalDon_100appr, TotalDon_50appr;
		if (ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.schedule80G.don100Percent.totDon100Percent")
				.getData() == null) {
			TotalDon_100 = "0";
		} else {

			TotalDon_100 = getElementValueByTarget("itr.itr1.schedule80G.don100Percent.totDon100Percent").toString();

		}

		if (ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.schedule80G.don50PercentNoApprReqd.totDon50PercentNoApprReqd")
				.getData() == null) {
			TotalDon_50 = "0";
		} else {

			TotalDon_50 = getElementValueByTarget(
					"itr.itr1.schedule80G.don50PercentNoApprReqd.totDon50PercentNoApprReqd").toString();

		}

		if (ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.schedule80G.don100PercentApprReqd.totDon100PercentApprReqd")
				.getData() == null) {
			TotalDon_100appr = "0";
		} else {
			TotalDon_100appr = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.schedule80G.don100PercentApprReqd.totDon100PercentApprReqd").getData());

		}

		if (ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.schedule80G.don50PercentApprReqd.totDon50PercentApprReqd")
				.getData() == null) {
			TotalDon_50appr = "0";
		} else {
			TotalDon_50appr = getElementValueByTarget(
					"itr.itr1.schedule80G.don50PercentApprReqd.totDon50PercentApprReqd").toString();

		}

		if (TotalDon_100.isEmpty()) {
			TotalDon_100 = "0";
		}
		if (TotalDon_50.isEmpty()) {
			TotalDon_50 = "0";
		}
		if (TotalDon_100appr.isEmpty()) {
			TotalDon_100appr = "0";
		}
		if (TotalDon_50appr.isEmpty()) {
			TotalDon_50appr = "0";
		}

		Long total1 = Long.valueOf(TotalDon_100) + Long.valueOf(TotalDon_50) + Long.valueOf(TotalDon_100appr)
				+ Long.valueOf(TotalDon_50appr);
		ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.schedule80G.totalDonationsUs80G")
				.setData(BigInteger.valueOf(total1));
		setElementValueByTargetName("itr.itr1.schedule80G.totalDonationsUs80G", BigInteger.valueOf((total1)));
		
		
	}

	// ----- Calculate total eligible donations of all the tables ----
	public static void calculateTotalEligibleDonations() {
		String TotalEligibleDon_100, TotalEligibleDon_50, TotalEligibleDon_100appr, TotalEligibleDon_50appr;
		if (ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.schedule80G.don100Percent.totEligibleDon100Percent")
				.getData() == null) {
			TotalEligibleDon_100 = "0";
		} else {
			TotalEligibleDon_100 = ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.schedule80G.don100Percent.totEligibleDon100Percent").getData().toString();
		}

		if (ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.schedule80G.don50PercentNoApprReqd.TotEligibleDon50Percent")
				.getData() == null) {
			TotalEligibleDon_50 = "0";
		} else {
			TotalEligibleDon_50 = ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.schedule80G.don50PercentNoApprReqd.TotEligibleDon50Percent").getData().toString();
		}

		if (ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don100PercentApprReqd.totEligibleDon100PercentApprReqd").getData() == null) {
			TotalEligibleDon_100appr = "0";
		} else {
			TotalEligibleDon_100appr = ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.schedule80G.don100PercentApprReqd.totEligibleDon100PercentApprReqd").getData()
					.toString();
		}

		if (ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don50PercentApprReqd.totEligibleDon50PercentApprReqd").getData() == null) {
			TotalEligibleDon_50appr = "0";
		} else {
			TotalEligibleDon_50appr = ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.schedule80G.don50PercentApprReqd.totEligibleDon50PercentApprReqd").getData()
					.toString();
		}

		if (TotalEligibleDon_100.isEmpty()) {
			TotalEligibleDon_100 = "0";
		}
		if (TotalEligibleDon_50.isEmpty()) {
			TotalEligibleDon_50 = "0";
		}
		if (TotalEligibleDon_100appr.isEmpty()) {
			TotalEligibleDon_100appr = "0";
		}
		if (TotalEligibleDon_50appr.isEmpty()) {
			TotalEligibleDon_50appr = "0";
		}
		Long total1 = Long.valueOf(TotalEligibleDon_100) + Long.valueOf(TotalEligibleDon_50)
				+ Long.valueOf(TotalEligibleDon_100appr) + Long.valueOf(TotalEligibleDon_50appr);

		BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		if (grossincome.toString().isEmpty() || grossincome == null
				|| grossincome.compareTo(new BigInteger("0")) == -1) {
			grossincome = new BigInteger("0");
		}

		// String temp =donationamount.toString();

		if ((grossincome.compareTo(BigInteger.valueOf(total1)) == -1)) {
			total1 = Long.valueOf(grossincome.toString());
		}

		ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.schedule80G.totalEligibleDonationsUs80G")
				.setData(BigInteger.valueOf(total1));
		setElementValueByTargetName("itr.itr1.schedule80G.totalEligibleDonationsUs80G", BigInteger.valueOf((total1)));

	}

	// Calculate total amount donation for don 100

	public static void calculateTotal_don100(final String dest) {
		List<DoneeWithPan> list = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable1").getTableView().getItems();

		long total = 0;

		for (DoneeWithPan doneewithpan : list) {
			total = total + doneewithpan.getDonationAmt().longValue();
		}

		ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);
		destination.setData(BigInteger.valueOf(total));

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don100Percent.totDon100Percent");

		point7.setData(BigInteger.valueOf(total));

		setElementValueByTargetName(dest, BigInteger.valueOf((long) (total)));

		calculateTotalDonations(ValidationUtil.ALL_FIELDS_MAP.get(dest));
		try {
			changeoftable2();
			changeoftable3();
			changeoftable4();
		} catch (java.text.ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	// Calculate total amount donation for don 50
	public static void calculateTotal_don50(final String dest) {
		List<DoneeWithPan> list = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable2").getTableView().getItems();

		long total = 0;

		for (DoneeWithPan doneewithpan : list) {
			total = total + doneewithpan.getDonationAmt().longValue();
		}

		ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);
		destination.setData(BigInteger.valueOf(total));

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don50PercentNoApprReqd.totDon50PercentNoApprReqd");

		point7.setData(BigInteger.valueOf(roundToNearestTenthDigit(total)));

		setElementValueByTargetName(dest, BigInteger.valueOf((long) (total)));

		calculateTotalDonations(ValidationUtil.ALL_FIELDS_MAP.get(dest));
		try {
			changeoftable1();
			changeoftable3();
			changeoftable4();
		} catch (java.text.ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	// Calculate total amount donation for don 100 Appr
	public static void calculateTotal_don100appr(final String dest) {
		List<DoneeWithPan> list = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable3").getTableView().getItems();

		long total = 0;

		for (DoneeWithPan doneewithpan : list) {

			total = total + doneewithpan.getDonationAmt().longValue();
		}

		ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);
		destination.setData(BigInteger.valueOf(total));

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don100PercentApprReqd.totDon100PercentApprReqd");

		point7.setData(BigInteger.valueOf(roundToNearestTenthDigit(total)));

		setElementValueByTargetName(dest, BigInteger.valueOf((long) (total)));

		calculateTotalDonations(ValidationUtil.ALL_FIELDS_MAP.get(dest));
		try {
			changeoftable1();
			changeoftable2();
			changeoftable4();
		} catch (java.text.ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}

	// Calculate total amount donation for don 50 Appr
	public static void calculateTotal_don50appr(final String dest) {
		List<DoneeWithPan> list = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80G").getTableView().getItems();
		long total = 0;

		for (DoneeWithPan doneewithpan : list) {
			total = total + doneewithpan.getDonationAmt().longValue();
		}

		ValidationAware destination = ValidationUtil.ALL_FIELDS_MAP.get(dest);
		destination.setData(BigInteger.valueOf(total));

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don50PercentApprReqd.totDon50PercentApprReqd");

		point7.setData(BigInteger.valueOf(roundToNearestTenthDigit(total)));

		setElementValueByTargetName(dest, BigInteger.valueOf((long) (total)));

		calculateTotalDonations(ValidationUtil.ALL_FIELDS_MAP.get(dest));
		try {
			changeoftable1();
			changeoftable2();
			changeoftable3();
			changeoftable2();
		} catch (java.text.ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}

	// Calculate total eligible amount for don 100

	public static void calculateSumEligibleAmnt_don100() {
		List<DoneeWithPan> list = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable1").getTableView().getItems();

		long total = 0;

		for (DoneeWithPan doneewithpan : list) {

			total = total + doneewithpan.getEligibleDonationAmt().longValue();

		}

		BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		if (grossincome.toString().isEmpty() || grossincome == null
				|| grossincome.compareTo(new BigInteger("0")) == -1) {
			grossincome = new BigInteger("0");
		}

		if (grossincome.compareTo(BigInteger.valueOf(total)) == -1) {

			total = Long.valueOf(grossincome.toString());

		}

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don100Percent.totEligibleDon100Percent");

		point7.setData(BigInteger.valueOf(total));
		setElementValueByTargetName("itr.itr1.schedule80G.don100Percent.totEligibleDon100Percent",
				BigInteger.valueOf(total));

	}

	// Calculate eligible amount for don 100

	public static void calculateEligibleAmnt_don100(ValidationAware field) throws java.text.ParseException {
		String grossincome = String
				.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.grossTotIncome").getData());

		if (grossincome.isEmpty() || grossincome == "null" || Integer.parseInt(grossincome) < 0) {
			grossincome = "0";
		}
		String temp = "0";
		if (field.getData() != null) {
			temp = field.getData().toString();
		}
		if ((Integer.parseInt(grossincome)) < (Integer.parseInt(temp))) {
			temp = grossincome;
		}
		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController1.type.eligibleDonationAmt");

		point7.setData(new BigInteger(temp));

		setElementValueByTargetName("itr1_80GController1.type.eligibleDonationAmt",
				BigInteger.valueOf(Long.valueOf(temp)));

		// --- To calculate total eligible amount of this table--
		calculateSumEligibleAmnt_don100();

		// --- To calculate total eligible amount of all tables ---
		calculateTotalEligibleDonations();

		// onChangeIncome(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.incomeFromSal"));

		GrossIncome();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	// Calculate total eligible amount for don 50

	public static void calculateSumEligibleAmnt_don50() {
		List<DoneeWithPan> list = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable2").getTableView().getItems();

		long total = 0;

		for (DoneeWithPan doneewithpan : list) {

			total = total + doneewithpan.getEligibleDonationAmt().longValue();

		}

		BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		if (grossincome.toString().isEmpty() || grossincome == null
				|| grossincome.compareTo(new BigInteger("0")) == -1) {
			grossincome = new BigInteger("0");
		}


		if ((grossincome.compareTo(BigInteger.valueOf(total)) == -1)) {
			total = Long.valueOf(grossincome.toString());
		}

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don50PercentNoApprReqd.TotEligibleDon50Percent");

		point7.setData(BigInteger.valueOf(total));

		setElementValueByTargetName("itr.itr1.schedule80G.don50PercentNoApprReqd.TotEligibleDon50Percent",
				BigInteger.valueOf((long) (total)));

	}

	// Calculate eligible amount for don 50

	public static void calculateEligibleAmnt_don50(ValidationAware field)
			throws java.text.ParseException, InstantiationException, IllegalAccessException {
		String grossincome = String
				.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.grossTotIncome").getData());

		if (grossincome.isEmpty() || grossincome == "null" || Integer.parseInt(grossincome) < 0) {
			grossincome = "0";
		}
		String temp = "0";
		if (field.getData() != null) {
			temp = field.getData().toString();
		}
		Long temp_don50 = Long.valueOf(temp) / 2;
		if ((Long.valueOf(grossincome)) < temp_don50) {
			temp_don50 = Long.valueOf(grossincome);
		}

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController2.type.eligibleDonationAmt");

		point7.setData(BigInteger.valueOf(temp_don50));

		setElementValueByTargetName("itr1_80GController2.type.eligibleDonationAmt", BigInteger.valueOf(temp_don50));

		// --- To calculate eligible amount of this table ---
		calculateSumEligibleAmnt_don50();

		// ---To calculate eligible amount of all the tables ---
		calculateTotalEligibleDonations();

		GrossIncome();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	// Calculate total eligible amount for don 100 APPER

	public static void calculateSumEligibleAmnt_don100appr(Long qualifyingLimit) {
		List<DoneeWithPan> list = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable3").getTableView().getItems();
		DoneeWithPan values[] = list.toArray(new DoneeWithPan[list.size()]);

		long total = 0;

		for (int i = 0; i < values.length; i++) {

			total = total + values[i].getEligibleDonationAmt().longValue();

		}

		BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		if (grossincome.toString().isEmpty() || grossincome == null
				|| grossincome.compareTo(new BigInteger("0")) == -1) {
			grossincome = new BigInteger("0");
		}


		if ((grossincome.compareTo(BigInteger.valueOf(total)) == -1)) {
			total = Long.valueOf(grossincome.toString());
		}

		if (total > qualifyingLimit) {
			total = qualifyingLimit;
		}

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don100PercentApprReqd.totEligibleDon100PercentApprReqd");

		point7.setData(BigInteger.valueOf(total));

		setElementValueByTargetName("itr.itr1.schedule80G.don100PercentApprReqd.totEligibleDon100PercentApprReqd",
				BigInteger.valueOf((long) (total)));

	}

	// Calculate eligible amount for don 100 Appr

	public static long calculateEligibleAmnt_don100Appr(ValidationAware field) throws java.text.ParseException {

		String grossincome = String
				.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.grossTotIncome").getData());

		if (grossincome.isEmpty() || grossincome == "null" || Integer.parseInt(grossincome) < 0) {
			grossincome = "0";
		}
		Long adjstGTI;
		Long qualifyingLimit;

		String deductionsSysTotal = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions").getData());
		String sys80G = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G").getData());
		String sys80GG = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG").getData());
		String usr80GG = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr").getData());
		if (deductionsSysTotal.equals("null")) {
			deductionsSysTotal = "0";
		}
		if (sys80G.equals("null")) {
			sys80G = "0";
		}
		if (sys80GG.equals("null")) {
			sys80GG = "0";
		}
		if (usr80GG.equals("null")) {
			usr80GG = "0";
		}

		if (Long.valueOf(grossincome) == (Long.valueOf(deductionsSysTotal) - Long.valueOf(sys80G))) {

			adjstGTI = (long) 0;
		} else {

			adjstGTI = Long.valueOf(grossincome) - (Long.valueOf(deductionsSysTotal) - Long.valueOf(sys80G)
					- Long.valueOf(sys80GG) + Long.valueOf(usr80GG));

		}
		qualifyingLimit = (long) (adjstGTI * 0.10);

		if (qualifyingLimit < 0) {
			qualifyingLimit = (long) 0;
		}

		if (grossincome.isEmpty() || grossincome == "null") {
			grossincome = "0";
		}
		Long temp = (long) 0;
		if (field.getData() != null) {
			temp = Long.valueOf(field.getData().toString());
		}
		if (qualifyingLimit < temp) {
			temp = qualifyingLimit;
		}

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController3.type.eligibleDonationAmt");

		point7.setData(BigInteger.valueOf(temp));

		setElementValueByTargetName("itr1_80GController3.type.eligibleDonationAmt", BigInteger.valueOf(temp));

		// --- To calculate eligible amount of this table ---
		calculateSumEligibleAmnt_don100appr(qualifyingLimit);

		// --- To calculate eligible amount of all the tables ---
		calculateTotalEligibleDonations();


		GrossIncome();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

		return temp;

	}

	// Calculate total eligible amount for don 50 APPER

	public static void calculateSumEligibleAmnt_don50appr(Long residue50Perc) {
		List<DoneeWithPan> list = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80G").getTableView().getItems();

		long total = 0;

		for (DoneeWithPan doneewithpan : list) {

			total = total + doneewithpan.getEligibleDonationAmt().longValue();

		}

		BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		if (grossincome.toString().isEmpty() || grossincome == null
				|| grossincome.compareTo(new BigInteger("0")) == -1) {
			grossincome = new BigInteger("0");
		}


		if ((grossincome.compareTo(BigInteger.valueOf(total)) == -1)) {
			total = Long.valueOf(grossincome.toString());
		}
		if (total > residue50Perc) {
			total = residue50Perc;
		}

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don50PercentApprReqd.totEligibleDon50PercentApprReqd");

		point7.setData(BigInteger.valueOf(total));
		setElementValueByTargetName("itr.itr1.schedule80G.don50PercentApprReqd.totEligibleDon50PercentApprReqd",
				BigInteger.valueOf((long) (total)));

	}

	// Calculate eligible amount for don 50 Appr

	public static void calculateEligibleAmnt_don50Appr(ValidationAware field) throws java.text.ParseException {
		String grossincome = String
				.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.grossTotIncome").getData());
		if (grossincome.isEmpty() || grossincome == "null" || Integer.parseInt(grossincome) < 0) {
			grossincome = "0";
		}
		String totEligAmtTableC = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.schedule80G.don100PercentApprReqd.totEligibleDon100PercentApprReqd").getData());
		if (totEligAmtTableC.isEmpty()) {
			totEligAmtTableC = "0";
		}
		Long adjstGTI;
		Long qualifyingLimit;
		String deductionsSysTotal = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions").getData());
		String sys80G = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G").getData());
		String sys80GG = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG").getData());
		String usr80GG = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr").getData());
		if (usr80GG.equals("null")) {
			deductionsSysTotal = "0";
		}
		if (usr80GG.equals("null")) {
			sys80G = "0";
		}
		if (usr80GG.equals("null")) {
			sys80GG = "0";
		}
		if (usr80GG.equals("null")) {
			usr80GG = "0";
		}
		if (Long.valueOf(grossincome) == (Long.valueOf(deductionsSysTotal) - Long.valueOf(sys80G))) {
			adjstGTI = (long) 0;
		} else {
			adjstGTI = Long.valueOf(grossincome) - (Long.valueOf(deductionsSysTotal) - Long.valueOf(sys80G)
					- Long.valueOf(sys80GG) + Long.valueOf(usr80GG));
		}
		String temp = "0";
		if (field.getData() != null) {
			temp = field.getData().toString();
		}
		qualifyingLimit = (long) (adjstGTI * 0.10);

		if (qualifyingLimit < 0) {
			qualifyingLimit = (long) 0;
		}

		Long residue, residue50Perc;
		if (qualifyingLimit > Long.valueOf(totEligAmtTableC)) {
			residue = qualifyingLimit - Long.valueOf(totEligAmtTableC);
		} else {
			residue = (long) 0;
		}
		residue50Perc = (long) (residue * 0.50);
		Long temp_don50appr = Long.valueOf(temp) / 2;
		if (temp_don50appr > residue50Perc) {
			temp_don50appr = residue50Perc;
		}

		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController.type.eligibleDonationAmt");

		point7.setData(BigInteger.valueOf(temp_don50appr));

		setElementValueByTargetName("itr1_80GController.type.eligibleDonationAmt", BigInteger.valueOf(temp_don50appr));

		// --- To calculate eligible amount of this table ---
		calculateSumEligibleAmnt_don50appr(residue50Perc);

		// --- To calculate eligible amount of all the tables ---
		calculateTotalEligibleDonations();

		GrossIncome();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeInterst(ValidationAware field) {

		if(field.getData()==null)
		{
			field.setData(new BigInteger("0"));
			setElementValueByTargetName(field.getTarget(), new BigInteger("0"));
			}
		
		BigInteger input234A = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A");
		BigInteger input234B = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B");
		BigInteger input234C = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234C");
		BigInteger input234F = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.intrstPay.lateFilingFee234F");

		Double intrstPayable = (Math.round(input234A.doubleValue()) + input234B.doubleValue() + input234C.doubleValue()
				+ input234F.doubleValue());

		setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalIntrstPay",
				BigInteger.valueOf(intrstPayable.longValue()));

		calcIntrstPayable();

	}

	public static void PopulateZero(ValidationAware field) {
		setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.advanceTax", BigInteger.valueOf(0));

	}

	public static long roundToNearestTenthDigit(long value) {

		if (value % 10 >= 5) {
			value = value + (10 - value % 10);
		} else {
			value = value - value % 10;
		}
		return value;
	}

	public static long returnZeroIfNegative(final long value) {

		if (value < 0) {
			return 0;
		} else {
			return value;
		}
	}

	public static void setElementValueByTargetName(final String target, final Object data) {

		if (ValidationUtil.ALL_FIELDS_MAP.containsKey(target)) {

			ValidationUtil.ALL_FIELDS_MAP.get(target).setData(data);

			setTargetValueByTargetName(target, data);
		}

	}

	public static Object getElementValueByTarget(final String target) {

		if (ValidationUtil.ALL_FIELDS_MAP.containsKey(target)) {
			return ValidationUtil.ALL_FIELDS_MAP.get(target).getData();
		}

		return null;
	}

	public static void setTargetValueByTargetName(final String target, final Object data) {

		DataTransporter.transferDataToBean(Form.getForm(), target, data);
	}

	public static void returnType_change(ValidationAware field) {
		ValidationAware retType = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnType");

		ValidationAware retFile = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnFileSec");
		ValidationAware ReceiptNo = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.receiptNo");
		ValidationAware OrigDate = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.origRetFiledDate");
		if (retType.getData().toString().equals("O")) {
			if (retFile.getData().toString().equals("17")) {
				setElementValueByTargetName("itr.itr1.filingStatus.returnType", "R");
				ReceiptNo.setDisable(false);
				OrigDate.setDisable(false);
			} else {
				ReceiptNo.setDisable(true);
				OrigDate.setDisable(true);
				ReceiptNo.setData(null);
				OrigDate.setData("");
			}
		} else if (retType.getData().toString().equals("R")) {
			if (!retFile.getData().toString().equals("17")) {
				setElementValueByTargetName("itr.itr1.filingStatus.returnType", "O");
				ReceiptNo.setDisable(true);
				OrigDate.setDisable(true);
				ReceiptNo.setData(null);
				OrigDate.setData("");
			} else {
				ReceiptNo.setDisable(false);
				OrigDate.setDisable(false);
			}
		}

	}

	public static void Onchange_PCC5A(ValidationAware field) {
		ValidationAware pcc5A = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.portugeseCC5A");
		ValidationAware spousePan = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.panOfSpouse");
		if (pcc5A.getData().toString().equals("Y")) {
			spousePan.setDisable(false);
		} else {

			spousePan.setDisable(true);
			spousePan.setData("");
		}
	}

	public static void onChangeStatus(ValidationAware field) throws java.text.ParseException {

		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
		
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();


	}

	public static void onChangeDate(ValidationAware field) throws java.text.ParseException {

		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
		String dob = field.getData().toString();
		SimpleDateFormat form1 = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
		Date d = null;
		try {
			d = form1.parse(dob.toString());
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		SimpleDateFormat form = new SimpleDateFormat("dd/MM/yyyy");

		RefHolders.DOB = form.format(d);
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeIncome(ValidationAware field) throws java.text.ParseException {

		

	}

	public static void onChangeTotalIncomeOfHP(ValidationAware field) throws java.text.ParseException {

		if (field.getData() != null) {
			BigInteger totalincofHP = BigInteger.valueOf(Long.valueOf(field.getData().toString()));
			
			OnChangeCommonUtil.flagtable3 = "true";
			OnChangeCommonUtil.flagtable4 = "true";
		}
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeIncomeFromOther(ValidationAware field) throws java.text.ParseException {

		if (field.getData() == null) {
			
			BigInteger incomeFromOther = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeOthSrc");
			if (incomeFromOther == null || incomeFromOther.compareTo(new BigInteger("0"))== 0) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.incomeOthSrc", new BigInteger("0"));
			}
		}
		if (field.getData() != null) {
			
			BigInteger incomeFromOther = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeOthSrc");
			BigInteger totalincofHP = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncomeOfHP");
			BigInteger incomeFromSal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
			BigInteger sum = totalincofHP.add(incomeFromOther).add(incomeFromSal);

		} 
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void GrossIncome() throws java.text.ParseException {
		
		BigInteger incomeFromSal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
		BigInteger totalIncomeOfHp = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncomeOfHP");
		BigInteger incomeFromOther = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeOthSrc");

		
		BigInteger grossTotIncome1 = incomeFromSal.add(totalIncomeOfHp).add(incomeFromOther);
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", grossTotIncome1);
	}

	public static void onChangeSection80C_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
			{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr",
					new BigInteger("0"));
				}
		if (field.getData() != null) {

			BigInteger section80_User = new BigInteger(String.valueOf(field.getData()));
			BigInteger grossTotIncome = new BigInteger(
					getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome"));

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (grossTotIncome.compareTo(new BigInteger("100000")) == 1) {

					if (section80_User.compareTo(new BigInteger("150000")) == 1) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C",
								new BigInteger("150000"));
					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C",
								field.getData());

					}
				} else {

					if (section80_User.compareTo(grossTotIncome) == 1) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C",
								grossTotIncome);

					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C",
								field.getData());

					}

				}

				BigInteger section80C = new BigInteger(
						getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C"));

				if (grossTotIncome.compareTo(section80C) == -1) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C",
							grossTotIncome);

				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C",
						new BigInteger("0"));

			}

			checkSum80C80CCC();
			changeoftable1();
			changeoftable2();
			changeoftable3();
			changeoftable4();

			GrossIncome();
			onChangeSection80CCC_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr"));
			onChangeSection80G_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
			sumUserEntrdDed();
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
					new BigInteger("0"));
			sumDeductionsWithout80GG();
			check80GGAgain(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));

			sumDeductions();

		} else {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr",
					new BigInteger("0"));

		}

	}

	public static void onChangeSection80CCC_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr",new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger section80CCC_User = new BigInteger(field.getData().toString());
			BigInteger grossTotIncome = new BigInteger(
					getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome"));

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (grossTotIncome.compareTo(new BigInteger("100000")) == 1) {
					int val = section80CCC_User.compareTo(new BigInteger("150000"));
					if (val == 1) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
								new BigInteger("150000"));
					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
								section80CCC_User);

					}
				} else {

					if (section80CCC_User.compareTo(grossTotIncome) == 1) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
								grossTotIncome);

					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
								field.getData());

					}

				}

				BigInteger section80CCC = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC");

				if (grossTotIncome.compareTo(section80CCC) == -1) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
							grossTotIncome);

				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
						new BigInteger("0"));

			}
		}
		checkSum80C80CCC();

		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80CCD(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployeeOrSE_Usr"));
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80CCD(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName(
					"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployeeOrSE_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger section80CCD1_User1 = (new BigInteger(field.getData().toString()))
					.multiply(new BigInteger("10"));
			BigInteger section80CCD = new BigInteger(field.getData().toString());
			BigInteger incomeFromSal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
			BigInteger temp1 = incomeFromSal.multiply(new BigInteger("10"));
			BigInteger temp2 = temp1.divide(new BigInteger("100"));
			BigInteger section80CCD1_User = section80CCD1_User1.divide(new BigInteger("100"));
			BigInteger grossTotIncome = new BigInteger(
					getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome"));
			BigInteger grossTotIncome1 = grossTotIncome.multiply(new BigInteger("20"));
			BigInteger grossTotIncome2 = grossTotIncome1.divide(new BigInteger("100"));

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (incomeFromSal.compareTo(new BigInteger("0")) == 0) {
					if (grossTotIncome2.compareTo(new BigInteger("150000")) == 1) {
						if (section80CCD.compareTo(new BigInteger("150000")) == 1) {
							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									new BigInteger("150000"));
						} else {
							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									section80CCD);

						}

					} else {

						if (section80CCD.compareTo(grossTotIncome2) == 1) {
							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									grossTotIncome2);
						} else {
							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									section80CCD);

						}
						BigInteger section80CCD1 = getElementValueByTargetNameBig(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");

						if (grossTotIncome.compareTo(section80CCD1) == -1) {

							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									grossTotIncome);

						}

					}
				} else {
					if (temp2.compareTo(new BigInteger("150000")) == 1) {
						if (section80CCD.compareTo(new BigInteger("150000")) == 1) {
							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									new BigInteger("150000"));
						} else {
							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									section80CCD);

						}
					} else {
						if (section80CCD.compareTo(temp2) == 1) {
							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									temp2);

						} else {
							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									section80CCD);

						}
						BigInteger section80CCD1 = getElementValueByTargetNameBig(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");

						if (grossTotIncome.compareTo(section80CCD1) == -1) {

							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
									grossTotIncome);

						}
					}
				}

			} else {

				setElementValueByTargetName(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
						new BigInteger("0"));

			}
		}

		checkSum80C80CCC();

		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80CCG_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCG_Usr"));
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80CCD1B_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {

			BigInteger section80CCD1B_User = new BigInteger(field.getData().toString());
			BigInteger grossTotIncome = new BigInteger(
					getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome"));
			BigInteger section80CCD1B_User1 = getElementValueByTargetNameBig(
					"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr");
			BigInteger temp = new BigInteger("0");

			if (section80CCD1B_User1 == null) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B",
						new BigInteger("0"));

			}

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (grossTotIncome.compareTo(section80CCD1B_User) == 1) {
					temp = section80CCD1B_User;
				} else {
					temp = grossTotIncome;
				}
				if (temp.compareTo(new BigInteger("50000")) == 1) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B",
							new BigInteger("50000"));
				} else {

					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B",
							temp);
				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B",
						new BigInteger("0"));
			}
		}

		GrossIncome();
		onChangeSection80CCC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr"));
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));

	}

	public static void onChangeSection80CCDEmployer_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger incomeFromSal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
			BigInteger temp1 = incomeFromSal.multiply(new BigInteger("10"));
			BigInteger temp2 = temp1.divide(new BigInteger("100"));

			BigInteger grossTotIncome = new BigInteger(
					getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome"));
			BigInteger section80CCDEmp = new BigInteger(field.getData().toString());

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (section80CCDEmp.compareTo(temp2) == 1) {

					setElementValueByTargetName(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer", temp2);

				} else {

					setElementValueByTargetName(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer", section80CCDEmp);

				}

				BigInteger section80D_User = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer");

				if (grossTotIncome.compareTo(section80D_User) == -1) {
					setElementValueByTargetName(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer", grossTotIncome);
				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer",
						new BigInteger("0"));
			}

		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80CCC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr"));
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
	}

	public static void onChangeSection80CCG_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCG_Usr",new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger grossTotIncome = new BigInteger(
					getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome"));
			BigInteger section80CCG_User = new BigInteger(field.getData().toString());

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

					if (grossTotIncome.compareTo(new BigInteger("1200000")) == -1
							|| grossTotIncome.compareTo(new BigInteger("1200000")) == 0) {

						if (section80CCG_User.compareTo(new BigInteger("25000")) == 1) {

							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG",
									new BigInteger("25000"));

						} else {

							setElementValueByTargetName(
									"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG",
									section80CCG_User);

						}
					} else {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG",
								new BigInteger("0"));

					}

				BigInteger section80CCG = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG");

				if (section80CCG.compareTo(new BigInteger("0")) == 1 && grossTotIncome.compareTo(section80CCG) == -1) {

					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG",
							grossTotIncome);

				}

			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG",new BigInteger("0"));
			}

		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80D_User(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80D_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80D_User(ValidationAware field) throws java.text.ParseException {
			if(field.getData()==null)
			{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80D_Usr",
					new BigInteger("0"));
			}
		String option80Dchk = getElementValueByTargetName(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DUsrType");
		 
		if (option80Dchk.equals("empty") || option80Dchk.equals("0")) {
             
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DUsrType", null);
		}
		if (field.getData() != null) {

			BigInteger section80D = getElementValueByTargetNameBig(
					"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80D_Usr");
			BigInteger grossTotIncome = new BigInteger(
					getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome"));

			Date dob = (Date) ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.dob").getData();

			if (dob == null) {
				Calendar cal = Calendar.getInstance();
				cal.set(Calendar.HOUR_OF_DAY, 0);
				cal.set(Calendar.MINUTE, 0);
				cal.set(Calendar.SECOND, 0);
				cal.set(Calendar.MILLISECOND, 0);

				dob = cal.getTime();
			}

			// Age Calculator
			int years = 0;
			int months = 0;
			int days = 0;

			// create calendar object for birth day
			Calendar birthDay = Calendar.getInstance();
			birthDay.setTimeInMillis(dob.getTime());

			// create calendar object for current day
			long currentTime = System.currentTimeMillis();
			Calendar now = Calendar.getInstance();
			now.setTimeInMillis(currentTime);

			// Get difference between years
			years = now.get(Calendar.YEAR) - birthDay.get(Calendar.YEAR);
			int currMonth = now.get(Calendar.MONTH) + 1;
			int birthMonth = birthDay.get(Calendar.MONTH) + 1;

			// Get difference between months
			months = currMonth - birthMonth;

			// if month difference is in negative then reduce years by one and
			// calculate the number of months.
			if (months < 0) {
				//years--;
				months = 12 - birthMonth + currMonth;
				if (now.get(Calendar.DATE) < birthDay.get(Calendar.DATE))
					months--;
			} else if (months == 0 && now.get(Calendar.DATE) < birthDay.get(Calendar.DATE)) {
				//years--;
				months = 11;
			}
			// Calculate the days
			if (now.get(Calendar.DATE) > birthDay.get(Calendar.DATE))
				days = now.get(Calendar.DATE) - birthDay.get(Calendar.DATE);
			else if (now.get(Calendar.DATE) < birthDay.get(Calendar.DATE)) {
				int today = now.get(Calendar.DAY_OF_MONTH);
				now.add(Calendar.MONTH, -1);
				days = now.getActualMaximum(Calendar.DAY_OF_MONTH) - birthDay.get(Calendar.DAY_OF_MONTH) + today;
			} else {
				days = 0;
				if (months == 12) {
					years++;
					months = 0;
				}
			}
			
			SimpleDateFormat form1 = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
			Date d1 = form1.parse(dob.toString());
			SimpleDateFormat form = new SimpleDateFormat("dd/MM/yyyy");
			String d2 = form.format(d1);
			Date date1 = form.parse(d2);

			String option80D = getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DUsrType");
			if((option80D.equals("2") || option80D.equals("7")) && (date1.after(form.parse("02/04/1958")) || date1.equals(form.parse("02/04/1958"))))
			{
				MessageDialogCtrl.displayInfoDialog("ERROR",
						"Please select a valid option from the dropdown of Sec.80D under Chapter VIA.");
				setElementValueByTargetName("itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DUsrType", "-1");
			}
			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (option80D.equals("1")) {
					if (section80D.compareTo(new BigInteger("25000")) == 1) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								new BigInteger("25000"));
					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								section80D);
					}
				} else if (option80D.equals("2")) {
						if (section80D.compareTo(new BigInteger("30000")) == 1) {
							setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
									new BigInteger("30000"));
						} else {
							setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
									section80D);
						}

				} else if (option80D.equals("3")) {
					if (section80D.compareTo(new BigInteger("25000")) == 1) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								new BigInteger("25000"));
					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								section80D);
					}
				} else if (option80D.equals("4")) {
					if (section80D.compareTo(new BigInteger("30000")) == 1) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								new BigInteger("30000"));
					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								section80D);
					}
				} else if (option80D.equals("5")) {
					if (section80D.compareTo(new BigInteger("50000")) == 1) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								new BigInteger("50000"));
					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								section80D);
					}
				} else if (option80D.equals("6")) {
					if (section80D.compareTo(new BigInteger("55000")) == 1) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								new BigInteger("55000"));
					} else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
								section80D);
					}
				} else if (option80D.equals("7")) {
					if (years > 59 ) {
						if (section80D.compareTo(new BigInteger("60000")) == 1) {
							setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
									new BigInteger("60000"));
						} else {
							setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
									section80D);
						}
					}
					
				} else {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
							new BigInteger("0"));
				}

				BigInteger section80D_User = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D");

				if (grossTotIncome.compareTo(section80D_User) == -1) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
							grossTotIncome);
				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
						new BigInteger("0"));
			}

		}
		if (option80Dchk.equals("empty")) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
					new BigInteger("0"));

		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80DD_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DD_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void changeoftable1() throws java.text.ParseException {
		List<DoneeWithPan> list2 = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable1").getTableView().getItems();
		DoneeWithPan values[] = list2.toArray(new DoneeWithPan[list2.size()]);

		for (int i = 0; i < values.length; i++) {
			BigInteger donationamount = values[i].getDonationAmt();


			BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

			if (grossincome.toString().isEmpty() || grossincome == null
					|| grossincome.compareTo(new BigInteger("0")) == -1) {
				grossincome = new BigInteger("0");
			}


			if ((grossincome.compareTo(donationamount) == -1)) {
				donationamount = grossincome;
			}
			ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController1.type.eligibleDonationAmt");

			point7.setData(donationamount);

			
			values[i].setEligibleDonationAmt(donationamount);
			DataTransporter.updat(Form.getForm());

			// --- To calculate total eligible amount of this table--
			calculateSumEligibleAmnt_don100();

			// --- To calculate total eligible amount of all tables ---
			calculateTotalEligibleDonations();
			GrossIncome();
			onChangeSection80G_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
			sumUserEntrdDed();
			sumDeductionsWithout80GG();
			check80GGAgain(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
			sumDeductions();

		}
	}

	public static void changeoftable2() throws java.text.ParseException {
		List<DoneeWithPan> list2 = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable2").getTableView().getItems();
		DoneeWithPan values[] = list2.toArray(new DoneeWithPan[list2.size()]);

		for (int i = 0; i < values.length; i++) {
			BigInteger donationamount = values[i].getDonationAmt();

			BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

			if (grossincome.toString().isEmpty() || grossincome == null
					|| grossincome.compareTo(new BigInteger("0")) == -1) {
				grossincome = new BigInteger("0");
			}

			String temp = donationamount.toString();

			Long temp_don50 = Long.valueOf(temp) / 2;
			if ((Long.valueOf(grossincome.toString())) < temp_don50) {
				temp_don50 = Long.valueOf(grossincome.toString());
			}

			ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController2.type.eligibleDonationAmt");

			point7.setData(BigInteger.valueOf(temp_don50));

			setElementValueByTargetName("itr1_80GController2.type.eligibleDonationAmt", BigInteger.valueOf(temp_don50));

			values[i].setEligibleDonationAmt(BigInteger.valueOf(temp_don50));
			DataTransporter.updat(Form.getForm());

			// --- To calculate eligible amount of this table ---
			calculateSumEligibleAmnt_don50();

			// ---To calculate eligible amount of all the tables ---
			calculateTotalEligibleDonations();

			GrossIncome();
			onChangeSection80G_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
			sumUserEntrdDed();
			sumDeductionsWithout80GG();
			check80GGAgain(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
			sumDeductions();

		}
	}

	public static void changeoftable3() throws java.text.ParseException {
		List<DoneeWithPan> list2 = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80GTable3").getTableView().getItems();
		DoneeWithPan values[] = list2.toArray(new DoneeWithPan[list2.size()]);

		for (int i = 0; i < values.length; i++) {
			BigInteger donationamount = values[i].getDonationAmt();
			ValidationAware donation = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController3.type.donationAmt");
			donation.setData(donationamount);

			BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

			if (grossincome.toString().isEmpty() || grossincome == null
					|| grossincome.compareTo(new BigInteger("0")) == -1) {
				grossincome = new BigInteger("0");
			}

			Long adjstGTI;
			Long qualifyingLimit;

			String deductionsSysTotal = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions").getData());
			String sys80G = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G").getData());
			String sys80GG = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG").getData());
			String usr80GG = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr").getData());
			if (deductionsSysTotal.equals("null")) {
				deductionsSysTotal = "0";
			}
			if (sys80G.equals("null")) {
				sys80G = "0";
			}
			if (sys80GG.equals("null")) {
				sys80GG = "0";
			}
			if (usr80GG.equals("null")) {
				usr80GG = "0";
			}

			if (Long.valueOf(grossincome.toString()) == (Long.valueOf(deductionsSysTotal) - Long.valueOf(sys80G))) {

				adjstGTI = (long) 0;
			} else {

				adjstGTI = Long.valueOf(grossincome.toString()) - (Long.valueOf(deductionsSysTotal)
						- Long.valueOf(sys80G) - Long.valueOf(sys80GG) + Long.valueOf(usr80GG));

			}
			qualifyingLimit = (long) (adjstGTI * 0.10);

			if (qualifyingLimit < 0) {
				qualifyingLimit = (long) 0;
			}

			if (grossincome.toString().isEmpty() || grossincome == null) {
				grossincome = new BigInteger("0");
			}
			Long temp = donationamount.longValue();

			if (qualifyingLimit < temp) {
				temp = qualifyingLimit;
			}

			ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController3.type.eligibleDonationAmt");

			point7.setData(BigInteger.valueOf(temp));

			setElementValueByTargetName("itr1_80GController3.type.eligibleDonationAmt", BigInteger.valueOf(temp));
			values[i].setEligibleDonationAmt(BigInteger.valueOf(temp));
			DataTransporter.updat(Form.getForm());

			// --- To calculate eligible amount of this table ---
			calculateSumEligibleAmnt_don100appr(qualifyingLimit);

			// --- To calculate eligible amount of all the tables ---
			calculateTotalEligibleDonations();

			GrossIncome();
			onChangeSection80G_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
			sumUserEntrdDed();
			sumDeductionsWithout80GG();
			check80GGAgain(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
			sumDeductions();

		}
	}

	public static void changeoftable4() throws java.text.ParseException {
		List<DoneeWithPan> list2 = (List<DoneeWithPan>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.ITR1_80G").getTableView().getItems();
		DoneeWithPan values[] = list2.toArray(new DoneeWithPan[list2.size()]);

		for (int i = 0; i < values.length; i++) {
			BigInteger donationamount = values[i].getDonationAmt();

			BigInteger grossincome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

			if (grossincome.toString().isEmpty() || grossincome == null
					|| grossincome.compareTo(new BigInteger("0")) == -1) {
				grossincome = new BigInteger("0");
			}

			String temp = donationamount.toString();
			String totEligAmtTableC = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.schedule80G.don100PercentApprReqd.totEligibleDon100PercentApprReqd").getData());
			if (totEligAmtTableC.isEmpty()) {
				totEligAmtTableC = "0";
			}
			Long adjstGTI;
			Long qualifyingLimit;
			String deductionsSysTotal = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions").getData());
			String sys80G = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G").getData());
			String sys80GG = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG").getData());
			String usr80GG = String.valueOf(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr").getData());
			if (usr80GG.equals("null")) {
				deductionsSysTotal = "0";
			}
			if (usr80GG.equals("null")) {
				sys80G = "0";
			}
			if (usr80GG.equals("null")) {
				sys80GG = "0";
			}
			if (usr80GG.equals("null")) {
				usr80GG = "0";
			}
			if (Long.valueOf(grossincome.toString()) == (Long.valueOf(deductionsSysTotal) - Long.valueOf(sys80G))) {
				adjstGTI = (long) 0;
			} else {
				adjstGTI = Long.valueOf(grossincome.toString()) - (Long.valueOf(deductionsSysTotal)
						- Long.valueOf(sys80G) - Long.valueOf(sys80GG) + Long.valueOf(usr80GG));
			}
			qualifyingLimit = (long) (adjstGTI * 0.10);

			if (qualifyingLimit < 0) {
				qualifyingLimit = (long) 0;
			}

			Long residue, residue50Perc;
			if (qualifyingLimit > Long.valueOf(totEligAmtTableC)) {
				residue = qualifyingLimit - Long.valueOf(totEligAmtTableC);
			} else {
				residue = (long) 0;
			}
			residue50Perc = (long) (residue * 0.50);
			Long temp_don50appr = Long.valueOf(temp) / 2;
			if (temp_don50appr > residue50Perc) {
				temp_don50appr = residue50Perc;
			}

			ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr1_80GController.type.eligibleDonationAmt");

			point7.setData(BigInteger.valueOf(temp_don50appr));

			setElementValueByTargetName("itr1_80GController.type.eligibleDonationAmt",
					BigInteger.valueOf(temp_don50appr));

			values[i].setEligibleDonationAmt(BigInteger.valueOf(temp_don50appr));
			DataTransporter.updat(Form.getForm());

			// --- To calculate eligible amount of this table ---
			calculateSumEligibleAmnt_don50appr(residue50Perc);

			// --- To calculate eligible amount of all the tables ---
			calculateTotalEligibleDonations();

			GrossIncome();
			onChangeSection80G_User(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
			sumUserEntrdDed();
			sumDeductionsWithout80GG();
			check80GGAgain(ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
			sumDeductions();

		}
	}

	public static void onChangeSection80DD_User(ValidationAware field) throws java.text.ParseException {
		if (field.getData() == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DD_Usr",new BigInteger("0"));
		}

		String option80DDchk = getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDUsrType");

		if (option80DDchk.equals("empty") || option80DDchk.equals("0")) {

			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDUsrType", null);
		}

		if (field.getData() != null) {
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			BigInteger section80DD_Usr = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DD_Usr");

			String option80DD = getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDUsrType");
			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
			
				if ((option80DD.equals("1")) && (section80DD_Usr.compareTo(new BigInteger("75000")) == 1)) {
					
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD",new BigInteger("75000"));
				}

				else if ((option80DD.equals("2")) &&  (section80DD_Usr.compareTo(new BigInteger("125000")) == 1)) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD",new BigInteger("125000"));

				} else {
					
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD",section80DD_Usr);

				}

				BigInteger section80D = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD");

				if (grossTotIncome.compareTo(section80D) == -1) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD",
							grossTotIncome);
				}

			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD",
						new BigInteger("0"));
			}
		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80RRB_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80RRB_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80E_User(ValidationAware field) throws java.text.ParseException {

		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			BigInteger section80E_User = new BigInteger(field.getData().toString());

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (grossTotIncome.compareTo(section80E_User) == 1) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E",
							section80E_User);

				} else {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E",
							grossTotIncome);

				}

				BigInteger section80E = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E");

				if (grossTotIncome.compareTo(section80E) == -1) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E",
							grossTotIncome);

				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E",
						new BigInteger("0"));

			}
		}

		GrossIncome();
		onChangeSection80RRB_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80RRB_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80EE_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {

			BigInteger section80EE_User = new BigInteger(field.getData().toString());
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (section80EE_User.compareTo(new BigInteger("50000")) == 1) {

					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE",
							new BigInteger("50000"));

				} else {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE",
							section80EE_User);

				}

				BigInteger section80EE = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE");

				if (section80EE.compareTo(grossTotIncome) == 1) {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE",
							grossTotIncome);

				} else {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE",
							section80EE);

				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE",
						new BigInteger("0"));

			}
		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80RRB_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80RRB_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80G_User(ValidationAware field) throws java.text.ParseException {

		
		
		BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
		BigInteger sec80Geligdonations = new BigInteger("0");

		if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

			sec80Geligdonations = getElementValueByTargetNameBig("itr.itr1.schedule80G.totalEligibleDonationsUs80G");

			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr",
					sec80Geligdonations);

		} else {

			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr",
					new BigInteger("0"));

		}

		if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G",
					sec80Geligdonations);

			BigInteger section80G = getElementValueByTargetNameBig(
					"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G");

			if (grossTotIncome.compareTo(section80G) == -1) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G",
						grossTotIncome);

			}
		} else {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G",
					new BigInteger("0"));
		}

		GrossIncome();
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();

		sumDeductions();

	}

	public static void onChangeSection80D1(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			
			String option80DDchk = getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDBUsrType");

			if (option80DDchk.equals("empty") || option80DDchk.equals("0")) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDBUsrType", null);
			}
			
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			BigInteger section80DDB_User = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr");

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

					if ((option80DDchk.equals("1")) && (section80DDB_User.compareTo(new BigInteger("40000")) == 1)) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB",
								new BigInteger("40000"));

					} 
					else if ((option80DDchk.equals("2")) && (section80DDB_User.compareTo(new BigInteger("60000")) == 1)) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB",
								new BigInteger("60000"));

					}
					else if ((option80DDchk.equals("3")) && (section80DDB_User.compareTo(new BigInteger("80000")) == 1)) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB",
								new BigInteger("80000"));

					}
					else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB",
								section80DDB_User);

					}

					BigInteger section80DDB = getElementValueByTargetNameBig(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB");

					if (grossTotIncome.compareTo(section80DDB) == -1) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB",
								grossTotIncome);

					}


			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB",
						new BigInteger("0"));

			}

		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80CCC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr"));
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));

		sumDeductions();

	}

	public static void onChangeSection80GGA_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

			BigInteger section80G_User = new BigInteger(field.getData().toString());

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (section80G_User.compareTo(grossTotIncome) == 1 || section80G_User.compareTo(grossTotIncome) == 0) {

					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGA",
							grossTotIncome);

				} else {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGA",
							section80G_User);

				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGA",
						new BigInteger("0"));
			}

		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();
		GrossIncome();
		onChangeSection80CCC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr"));
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));

		sumDeductions();

	}

	public static void onChangeSection80GGC_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			BigInteger section80GGC_User = new BigInteger(field.getData().toString());

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

				if (section80GGC_User.compareTo(grossTotIncome) == 1
						|| section80GGC_User.compareTo(grossTotIncome) == 0) {

					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGC",
							grossTotIncome);

				} else {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGC",
							section80GGC_User);

				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGC",
						new BigInteger("0"));

			}

		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80CCC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr"));
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));

		sumDeductions();

	}

	public static void onChangeSection80RRB_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80RRB_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			BigInteger section80RRB_User = new BigInteger(field.getData().toString());

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {


					if (section80RRB_User.compareTo(new BigInteger("300000")) == -1) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB",
								section80RRB_User);
					} else {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB",
								new BigInteger("300000"));

					}


				BigInteger section80RRB = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB");

				if ((section80RRB.compareTo(new BigInteger("0")) == 1
						&& grossTotIncome.compareTo(section80RRB) == -1)) {

					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB",
							grossTotIncome);

				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB",
						new BigInteger("0"));
			}

		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80QQB(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80QQB_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80QQB(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80QQB_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {

			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			BigInteger section80QQB = new BigInteger(field.getData().toString());

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

					if (section80QQB.compareTo(new BigInteger("300000")) == -1) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB",
								section80QQB);

					} else {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB",
								new BigInteger("300000"));

					}
					BigInteger section80QQBsys = getElementValueByTargetNameBig(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB");

					if ((section80QQBsys.compareTo(new BigInteger("0")) == 1
							&& grossTotIncome.compareTo(section80QQBsys) == -1)) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB",
								grossTotIncome);
					}
				

			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB",
						new BigInteger("0"));

			}

		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80TTA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80TTA_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80TTA_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80TTA_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			BigInteger incomeFromSal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeOthSrc");
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			BigInteger section80TTA_User = new BigInteger(field.getData().toString());

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				if (section80TTA_User.compareTo(new BigInteger("0")) == 1) {

					Math.min(incomeFromSal.longValue(), grossTotIncome.longValue());
					BigInteger b1 = BigInteger.valueOf(Math.min(incomeFromSal.longValue(), grossTotIncome.longValue()));

					BigInteger b2 = BigInteger.valueOf(Math.min(b1.longValue(), section80TTA_User.longValue()));
					BigInteger b3 = BigInteger.valueOf(Math.min(b2.longValue(), new BigInteger("10000").longValue()));

					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80TTA", b3);

				} else {
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80TTA",
							new BigInteger("0"));
				}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80TTA",
						new BigInteger("0"));
			}
		}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

		GrossIncome();
		onChangeSection80U_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80U_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection80U_User(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80U_Usr",
					new BigInteger("0"));
			}
		if (field.getData() != null) {
			
			String option80Uchk = getElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80UUsrType");

			if (option80Uchk.equals("empty") || option80Uchk.equals("0")) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80UUsrType", null);
			}
			
			
			BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			BigInteger section80U_User = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80U_Usr");

			if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
				
					if ((option80Uchk.equals("1")) && (section80U_User.compareTo(new BigInteger("75000")) == 1)) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U",
								new BigInteger("75000"));

					}
					else if ((option80Uchk.equals("2")) && (section80U_User.compareTo(new BigInteger("125000")) == 1)) {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U",
								new BigInteger("125000"));
					} 
					
					else {
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U",
								section80U_User);

					}

					BigInteger section80U = getElementValueByTargetNameBig(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U");
					if (grossTotIncome.compareTo(section80U) == -1) {

						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U",
								grossTotIncome);

					}
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U",
						new BigInteger("0"));
			}

		}
		

		GrossIncome();
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();
		
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();

	}

	public static void check80CCd() {

		BigInteger grossTotIncome1 = (getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome"))
				.multiply(new BigInteger("10"));
		BigInteger grossTotIncome = grossTotIncome1.divide(new BigInteger("100"));
		BigInteger incomeFromSal1 = (getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal"))
				.multiply(new BigInteger("10"));
		BigInteger incomeFromSal = incomeFromSal1.divide(new BigInteger("100"));
		BigInteger sectionCCDEmployee = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployeeOrSE_Usr");

		if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {
			if (incomeFromSal.compareTo(new BigInteger("0")) == 0) {
				if (grossTotIncome.compareTo(new BigInteger("150000")) == 1) {

					if (sectionCCDEmployee.compareTo(new BigInteger("150000")) == 1) {

						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								new BigInteger("150000"));

					} else {
						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								sectionCCDEmployee);

					}

					BigInteger sectionCCDEmployeesys = getElementValueByTargetNameBig(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");

					if (grossTotIncome.compareTo(sectionCCDEmployeesys) == -1) {
						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								grossTotIncome);

					}

				} else {
					if (sectionCCDEmployee.compareTo(grossTotIncome) == 1) {
						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								grossTotIncome);

					} else {
						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								sectionCCDEmployee);

					}
					BigInteger sectionCCDEmployeesys = getElementValueByTargetNameBig(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");

					if (grossTotIncome.compareTo(sectionCCDEmployeesys) == -1) {
						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								grossTotIncome);

					}

				}

			} else {

				if (incomeFromSal.compareTo(new BigInteger("150000")) == 1)

				{

					if (sectionCCDEmployee.compareTo(new BigInteger("150000")) == 1) {

						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								new BigInteger("150000"));

					} else {
						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								sectionCCDEmployee);

					}

				} else {
					if (sectionCCDEmployee.compareTo(incomeFromSal) == 1) {
						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								incomeFromSal);

					} else {
						setElementValueByTargetName(
								"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
								sectionCCDEmployee);

					}

				}

				BigInteger sectionCCDEmployeesys = getElementValueByTargetNameBig(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");

				if (grossTotIncome.compareTo(sectionCCDEmployeesys) == -1) {
					setElementValueByTargetName(
							"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
							grossTotIncome);

				}

			}

		} else {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
					new BigInteger("0"));

		}

	}

	public static void onChangeVerification(ValidationAware field) throws java.text.ParseException {

		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeCashDeposit(ValidationAware field) throws java.text.ParseException {
		if (field.getData() != null && field.getData().toString() == "0") {
			ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.refund.bankAccountDtls.priBankDetails.cashDeposited")
					.setData(null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.priBankDetails.cashDeposited", null);
		}

	}

	public static void onChangeCashDeposit1(ValidationAware field) throws java.text.ParseException {
		if (field.getData() != null && field.getData().toString() == "0") {
			ValidationUtil.ALL_FIELDS_MAP.get("incomeDetailsController.type.cashDeposited").setData(null);
			setElementValueByTargetName("incomeDetailsController.type.cashDeposited", null);
		}

	}

	public static void onChangeBankAccntNo(ValidationAware field) throws java.text.ParseException {
		if (field.getData() != null && field.getData().toString() == "0") {
			field.setData(null);
			setElementValueByTargetName("itr.itr1.refund.bankAccountDtls.foreignBankDetails.bankAccountNo", null);
		}

	}

	public static void onChangeRevised(ValidationAware field) throws java.text.ParseException {

		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void onChangeSection89(ValidationAware field) throws java.text.ParseException {
		if(field == null || field.getData()==null)
		{
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.section89",
				new BigInteger("0"));
			}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void checkSum80C80CCC() {

		BigInteger section80C = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C");
		BigInteger section80CCC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC");
		BigInteger section80CCD = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");

		BigInteger netSum1 = section80C.add(section80CCC);
		BigInteger netSum2 = netSum1.add(section80CCD);

		BigInteger maxAmount = getMaxLimitAmount();

		if (netSum2.compareTo(maxAmount) == 1) {
			BigInteger residue = netSum2.subtract(maxAmount);

			if (section80CCD.compareTo(residue) == 1 || section80CCD.compareTo(residue) == 0) {
				section80CCD = section80CCD.subtract(residue);
				setElementValueByTargetName(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE", section80CCD);

			} else {
				residue = residue.subtract(section80CCD);
				setElementValueByTargetName(
						"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
						new BigInteger("0"));

				if (section80CCC.compareTo(residue) == 1 || section80CCC.compareTo(residue) == 0) {
					section80CCC = section80CCC.subtract(residue);
					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
							section80CCC);

				} else {
					residue = residue.subtract(section80CCC);

					setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
							new BigInteger("0"));

				}

			}
		}

	}

	public static void sumUserEntrdDed() {

		BigInteger sum = new BigInteger("0");

		BigInteger section80C = new BigInteger("0"), section80CCC = new BigInteger("0"),
				section80CCCDEmp = new BigInteger("0"), section80CCD1B = new BigInteger("0"),
				section80CCDEmp1 = new BigInteger("0"), section80CCG = new BigInteger("0"),
				section80D = new BigInteger("0"), section80DD = new BigInteger("0"), section80DDB = new BigInteger("0"),
				section80E = new BigInteger("0"), section80EE = new BigInteger("0"), section80G = new BigInteger("0"),
				section80GG = new BigInteger("0"), section80GGA = new BigInteger("0"),
				section80GGC = new BigInteger("0"), section80RRB = new BigInteger("0"),
				section80QQB = new BigInteger("0"), section80TTA = new BigInteger("0"),
				section80U = new BigInteger("0");
		section80C = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr");
		section80CCC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr");
		section80CCCDEmp = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployeeOrSE_Usr");
		section80CCD1B = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr");
		section80CCDEmp1 = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr");
		section80CCG = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCG_Usr");
		section80D = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80D_Usr");
		section80DD = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DD_Usr");
		section80DDB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr");
		section80E = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr");
		section80EE = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr");
		section80G = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr");
		section80GG = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr");
		section80GGA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr");
		section80GGC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr");
		section80RRB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80RRB_Usr");
		section80QQB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80QQB_Usr");
		section80TTA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80TTA_Usr");
		section80U = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80U_Usr");

		if (section80C != null) {
			sum = sum.add(section80C);
		}
		if (section80CCC != null) {
			sum = sum.add(section80CCC);

		}
		if (section80CCCDEmp != null) {
			sum = sum.add(section80CCCDEmp);

		}
		if (section80CCD1B != null) {
			sum = sum.add(section80CCD1B);

		}
		if (section80CCDEmp1 != null) {
			sum = sum.add(section80CCDEmp1);

		}
		if (section80CCG != null) {
			sum = sum.add(section80CCG);

		}
		if (section80D != null) {
			sum = sum.add(section80D);

		}
		if (section80DD != null) {
			sum = sum.add(section80DD);

		}
		if (section80DDB != null) {
			sum = sum.add(section80DDB);

		}
		if (section80EE != null) {
			sum = sum.add(section80EE);

		}
		if (section80E != null) {
			sum = sum.add(section80E);

		}
		if (section80G != null) {
			sum = sum.add(section80G);

		}
		if (section80GG != null) {
			sum = sum.add(section80GG);

		}
		if (section80GGA != null) {
			sum = sum.add(section80GGA);

		}
		if (section80GGC != null) {
			sum = sum.add(section80GGC);

		}
		if (section80RRB != null) {
			sum = sum.add(section80RRB);

		}
		if (section80QQB != null) {
			sum = sum.add(section80QQB);

		}
		if (section80TTA != null) {
			sum = sum.add(section80TTA);

		}
		if (section80U != null) {
			sum = sum.add(section80U);

		}

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.totalChapVIADeductions_Usr",
				sum);

	}

	public static void sumDeductionsWithout80GG() {

		BigInteger sum = new BigInteger("0");
		BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		BigInteger section80C = new BigInteger("0"), section80CCC = new BigInteger("0"),
				section80GG = new BigInteger("0"), section80CCCDEmp = new BigInteger("0"),
				section80CCD1B = new BigInteger("0"), section80CCDEmp1 = new BigInteger("0"),
				section80CCG = new BigInteger("0"), section80D = new BigInteger("0"), section80DD = new BigInteger("0"),
				section80DDB = new BigInteger("0"), section80E = new BigInteger("0"), section80EE = new BigInteger("0"),
				section80G = new BigInteger("0"), section80GGA = new BigInteger("0"),
				section80GGC = new BigInteger("0"), section80RRB = new BigInteger("0"),
				section80QQB = new BigInteger("0"), section80TTA = new BigInteger("0"),
				section80U = new BigInteger("0");
		section80C = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C");
		section80CCC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC");
		section80CCCDEmp = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");
		section80CCD1B = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B");
		section80CCDEmp1 = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer");
		section80CCG = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG");
		section80D = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D");
		section80DD = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD");
		section80DDB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB");
		section80E = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E");
		section80EE = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE");
		section80G = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G");
		section80GG = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG");
		section80GGA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGA");
		section80GGC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGC");
		section80RRB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB");
		section80QQB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB");
		section80TTA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80TTA");
		section80U = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U");

		if (section80C != null) {
			sum = sum.add(section80C);
		}
		if (section80CCC != null) {
			sum = sum.add(section80CCC);

		}
		if (section80CCCDEmp != null) {
			sum = sum.add(section80CCCDEmp);

		}
		if (section80CCD1B != null) {
			sum = sum.add(section80CCD1B);

		}
		if (section80CCDEmp1 != null) {
			sum = sum.add(section80CCDEmp1);

		}
		if (section80CCG != null) {
			sum = sum.add(section80CCG);

		}
		if (section80D != null) {
			sum = sum.add(section80D);

		}
		if (section80DD != null) {
			sum = sum.add(section80DD);

		}
		if (section80DDB != null) {
			sum = sum.add(section80DDB);

		}
		if (section80E != null) {
			sum = sum.add(section80E);

		}
		if (section80EE != null) {
			sum = sum.add(section80EE);

		}
		if (section80G != null) {
			sum = sum.add(section80G);

		}
		if (section80GG != null) {
			sum = sum.add(section80GG);

		}
		if (section80GGA != null) {
			sum = sum.add(section80GGA);

		}
		if (section80GGC != null) {
			sum = sum.add(section80GGC);

		}
		if (section80RRB != null) {
			sum = sum.add(section80RRB);

		}
		if (section80QQB != null) {
			sum = sum.add(section80QQB);

		}
		if (section80TTA != null) {
			sum = sum.add(section80TTA);

		}
		if (section80U != null) {
			sum = sum.add(section80U);

		}

		if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

			if (sum.compareTo(grossTotIncome) == 1) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions",
						grossTotIncome);

			} else {
				if (sum.longValue() > 100) {
					sum = BigInteger.valueOf((long) (Math.floor(sum.longValue() / 100) * 100));
				}
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions",
						sum);

			}
		} else {
			if (sum.longValue() > 100) {
				sum = BigInteger.valueOf((long) (Math.floor(sum.longValue() / 100) * 100));
			}
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions",
					sum);

		}

		BigInteger totInc = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions");

		BigInteger nettotInc = grossTotIncome.subtract(totInc);
		if (nettotInc.compareTo(new BigInteger("0")) == 1 || nettotInc.compareTo(new BigInteger("0")) == 0) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncome",
					BigInteger.valueOf(nettotInc.longValue()));

		} else {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncome", new BigInteger("0"));

		}

	}

	public static void check80GGAgain(ValidationAware field) throws java.text.ParseException {

		BigInteger totInc = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome");

		if(field == null ||field.getData()== null)
		{
			setElementValueByTargetName(field.getTarget(), new BigInteger("0"));
		}
		if (totInc.compareTo(new BigInteger("0")) == 1) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncome",
					BigInteger.valueOf(totInc.longValue()));

		}

		BigInteger oneFrth1 = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome")
				.multiply(new BigInteger("25"));

		BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		BigInteger oneFrth2 = oneFrth1.divide(new BigInteger("100"));
		BigInteger sec80GG = new BigInteger(field.getData().toString());

		if (oneFrth2.compareTo(new BigInteger("60000")) == -1) {

			if (sec80GG.compareTo(oneFrth2) == 1) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG", oneFrth2);
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG", sec80GG);

			}
		} else {
			if (sec80GG.compareTo(new BigInteger("60000")) == 1) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
						new BigInteger("60000"));

			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG", sec80GG);

			}
		}

		if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

			BigInteger sec80GGsys = getElementValueByTargetNameBig(
					"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG");
			if (sec80GGsys.compareTo(new BigInteger("0")) == -1) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
						new BigInteger("0"));

			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
						sec80GGsys);

			}

			if (grossTotIncome.compareTo(sec80GGsys) == -1) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
						grossTotIncome);

			}

		} else {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
					new BigInteger("0"));

		}

		if (grossTotIncome.compareTo(new BigInteger("0")) == -1) {

			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
					new BigInteger("0"));

		}

	}

	public static void check80GGAgain1(ValidationAware field) throws java.text.ParseException {
		if(field.getData()==null)
		{
			field.setData(new BigInteger("0"));
			setElementValueByTargetName(field.getTarget(), new BigInteger("0"));
			}
		changeoftable1();
		changeoftable2();
		changeoftable3();
		changeoftable4();
		BigInteger incomesal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");

		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", incomesal);
		intialize();
		GrossIncome();
		onChangeSection80C_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr"));
		onChangeSection80CCD1B_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr"));
		onChangeSection80CCDEmployer_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr"));
		onChangeSection80D1(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr"));
		onChangeSection80E_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr"));
		onChangeSection80EE_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr"));
		onChangeSection80GGA_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr"));
		onChangeSection80GGC_User(ValidationUtil.ALL_FIELDS_MAP
				.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr"));
		checkSum80C80CCC();
		onChangeSection80G_User(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr"));
		sumUserEntrdDed();
		setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
				new BigInteger("0"));
		sumDeductionsWithout80GG();
		check80GGAgain(
				ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr"));
		sumDeductions();

	}

	public static void intialize() {
		BigInteger incomeFrmSal = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
		BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
		BigInteger incomeOthSrc = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeOthSrc");
		BigInteger totalIncomeOfHP = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncomeOfHP");
		BigInteger section80C = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C");
		BigInteger section80CCC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC");
		BigInteger section80CCDEmployeeOrSE = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");
		BigInteger section80CCD1B = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B");
		BigInteger section80CCDEmployer = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer");
		BigInteger section80CCG = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG");
		BigInteger section80D = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D");
		BigInteger section80DD = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD");
		BigInteger section80DDB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB");
		BigInteger section80E = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E");
		BigInteger section80EE = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE");
		BigInteger section80G = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G");
		BigInteger section80GG = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG");
		BigInteger section80GGA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGA");
		BigInteger section80GGC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGC");
		BigInteger section80RRB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB");
		BigInteger section80QQB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB");
		BigInteger section80TTA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80TTA");
		BigInteger section80U = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U");
		BigInteger section80C_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr");
		BigInteger section80CCC_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr");
		BigInteger section80CCDEmployeeOrSE_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployeeOrSE_Usr");
		BigInteger section80CCD1B_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr");
		BigInteger section80CCDEmployer_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr");
		BigInteger totalChapVIADeductions_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.totalChapVIADeductions_Usr");
		BigInteger totalChapVIADeductions = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions");
		BigInteger totalIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome");
		BigInteger totalTaxPayable = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.totalTaxPayable");
		BigInteger rebate87A = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.rebate87A");
		BigInteger taxPayableOnRebate = getElementValueByTargetNameBig(
				"itr.itr1.itr1TaxComputation.taxPayableOnRebate");
		BigInteger section89 = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.section89");
		BigInteger intrstPayUs234B = getElementValueByTargetNameBig(
				"itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B");
		BigInteger intrstPayUs234C = getElementValueByTargetNameBig(
				"itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234C");
		BigInteger netTaxLiability = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.netTaxLiability");
		BigInteger totalIntrstPay = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.totalIntrstPay");
		BigInteger advanceTax = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.advanceTax");
		BigInteger tds = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.tds");
		BigInteger selfAssessmentTax = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.selfAssessmentTax");
		BigInteger tcs = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.tcs");
		BigInteger totalSchTCS = getElementValueByTargetNameBig("itr.itr1.scheduleTCS.totalSchTCS");
		BigInteger totalTaxesPaid = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.totalTaxesPaid");
		BigInteger refundDue = getElementValueByTargetNameBig("itr.itr1.refund.refundDue");
		BigInteger educationCess = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.educationCess");
		BigInteger grossTaxLiability = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.grossTaxLiability");
		BigInteger intrstPayUs234A = getElementValueByTargetNameBig(
				"itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A");
		BigInteger totTaxPlusIntrstPay = getElementValueByTargetNameBig(
				"itr.itr1.itr1TaxComputation.totTaxPlusIntrstPay");
		BigInteger balTaxPayable = getElementValueByTargetNameBig("itr.itr1.taxPaid.balTaxPayable");
		BigInteger totalDonationsUs80G = getElementValueByTargetNameBig("itr.itr1.schedule80G.totalDonationsUs80G");
		BigInteger totalEligibleDonationsUs80G = getElementValueByTargetNameBig(
				"itr.itr1.schedule80G.totalEligibleDonationsUs80G");
		BigInteger section80CCG_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCG_Usr");
		BigInteger section80D_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80D_Usr");
		BigInteger section80DD_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DD_Usr");
		BigInteger section80DDB_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr");
		BigInteger section80E_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr");
		BigInteger section80EE_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr");
		BigInteger section80G_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr");
		BigInteger section80GG_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr");
		BigInteger section80GGA_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr");
		BigInteger section80GGC_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr");
		BigInteger section80RRB_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80RRB_Usr");
		BigInteger section80QQB_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80QQB_Usr");
		BigInteger section80TTA_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80TTA_Usr");
		BigInteger section80U_Usr = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80U_Usr");

		if (grossTotIncome == null) {

			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossTotIncome", new BigInteger("0"));
		}

		if (incomeFrmSal == null) {

			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.incomeFromSal", new BigInteger("0"));
		}

		if (totalIncomeOfHP == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncomeOfHP", new BigInteger("0"));
		}
		if (incomeOthSrc == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.incomeOthSrc", new BigInteger("0"));
		}
		if (section80C == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C",
					new BigInteger("0"));
		}
		if (section80CCC == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC",
					new BigInteger("0"));
		}
		if (section80CCDEmployeeOrSE == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE",
					new BigInteger("0"));
		}
		if (section80CCD1B == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B",
					new BigInteger("0"));
		}
		if (section80CCDEmployer == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer",
					new BigInteger("0"));

		}
		if (section80CCG == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG",
					new BigInteger("0"));
		}
		if (section80D == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D",
					new BigInteger("0"));
		}
		if (section80DD == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD",
					new BigInteger("0"));
		}
		if (section80DDB == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB",
					new BigInteger("0"));
		}
		if (section80E == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E",
					new BigInteger("0"));
		}
		if (section80EE == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE",
					new BigInteger("0"));
		}
		if (section80G == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G",
					new BigInteger("0"));
		}
		if (section80GG == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG",
					new BigInteger("0"));
		}
		if (section80GGA == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGA",
					new BigInteger("0"));
		}
		if (section80GGC == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGC",
					new BigInteger("0"));
		}
		if (section80RRB == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB",
					new BigInteger("0"));
		}
		if (section80QQB == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB",
					new BigInteger("0"));
		}
		if (section80TTA == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80TTA",
					new BigInteger("0"));
		}
		if (section80U == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U",
					new BigInteger("0"));
		}
		if (section80C_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80C_Usr",
					new BigInteger("0"));
		}
		if (section80CCC_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCC_Usr",
					new BigInteger("0"));
		}
		if (section80CCDEmployeeOrSE_Usr == null) {
			setElementValueByTargetName(
					"itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployeeOrSE_Usr",
					new BigInteger("0"));
		}
		if (section80CCD1B_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCD1B_Usr",
					new BigInteger("0"));
		}
		if (section80CCDEmployer_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCDEmployer_Usr",
					new BigInteger("0"));
		}
		if (section80CCG_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80CCG_Usr",
					new BigInteger("0"));
		}
		if (section80D_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80D_Usr",
					new BigInteger("0"));
		}
		if (section80DD_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DD_Usr",
					new BigInteger("0"));
		}
		if (section80DDB_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDB_Usr",
					new BigInteger("0"));
		}
		if (section80E_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80E_Usr",
					new BigInteger("0"));
		}
		if (section80EE_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80EE_Usr",
					new BigInteger("0"));
		}
		if (section80G_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80G_Usr",
					new BigInteger("0"));
		}
		if (section80GG_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GG_Usr",
					new BigInteger("0"));
		}
		if (section80GGA_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGA_Usr",
					new BigInteger("0"));
		}
		if (section80GGC_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80GGC_Usr",
					new BigInteger("0"));
		}
		if (section80RRB_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80RRB_Usr",
					new BigInteger("0"));
		}
		if (section80QQB_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80QQB_Usr",
					new BigInteger("0"));
		}
		if (section80TTA_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80TTA_Usr",
					new BigInteger("0"));
		}
		if (section80U_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.section80U_Usr",
					new BigInteger("0"));

		}
		if (totalChapVIADeductions_Usr == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.usrDeductUndChapVIA.totalChapVIADeductions_Usr",
					new BigInteger("0"));
		}
		if (totalChapVIADeductions == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions",
					new BigInteger("0"));
		}
		if (totalIncome == null) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncome", new BigInteger("0"));
		}
		if (totalTaxPayable == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", new BigInteger("0"));
		}
		if (rebate87A == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.rebate87A", new BigInteger("0"));
		}
		if (taxPayableOnRebate == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.taxPayableOnRebate", new BigInteger("0"));
		}
		if (section89 == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.section89", new BigInteger("0"));
		}
		if (intrstPayUs234B == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B", new BigInteger("0"));
		}
		if (intrstPayUs234C == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234C", new BigInteger("0"));
		}
		if (netTaxLiability == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.netTaxLiability", new BigInteger("0"));
		}
		if (totalIntrstPay == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalIntrstPay", new BigInteger("0"));
		}
		if (advanceTax == null) {
			setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.advanceTax", new BigInteger("0"));
		}
		if (tds == null) {
			setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.tds", new BigInteger("0"));
		}
		if (selfAssessmentTax == null) {
			setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.selfAssessmentTax", new BigInteger("0"));
		}
		if (tcs == null) {
			setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.tcs", new BigInteger("0"));
		}
		if (totalSchTCS == null) {
			setElementValueByTargetName("itr.itr1.scheduleTCS.totalSchTCS", new BigInteger("0"));
		}
		if (totalTaxesPaid == null) {
			setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.totalTaxesPaid", new BigInteger("0"));
		}
		if (refundDue == null) {
			setElementValueByTargetName("itr.itr1.refund.refundDue", new BigInteger("0"));
		}
		if (educationCess == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.educationCess", new BigInteger("0"));
		}
		if (grossTaxLiability == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.grossTaxLiability", new BigInteger("0"));
		}
		if (section89 == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.section89", new BigInteger("0"));
		}
		if (intrstPayUs234A == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A", new BigInteger("0"));
		}
		if (totTaxPlusIntrstPay == null) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.totTaxPlusIntrstPay", new BigInteger("0"));
		}
		if (balTaxPayable == null) {
			setElementValueByTargetName("itr.itr1.taxPaid.balTaxPayable", new BigInteger("0"));
		}
		if (totalDonationsUs80G == null) {
			setElementValueByTargetName("itr.itr1.schedule80G.totalDonationsUs80G", new BigInteger("0"));
		}

		if (totalEligibleDonationsUs80G == null) {
			setElementValueByTargetName("itr.itr1.schedule80G.totalEligibleDonationsUs80G", new BigInteger("0"));

		}

	}

	public static void sumDeductions() throws java.text.ParseException {

		BigInteger sum = new BigInteger("0");
		BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		BigInteger section80C = new BigInteger("0"), section80GG = new BigInteger("0"),
				section80CCC = new BigInteger("0"), section80CCCDEmp = new BigInteger("0"),
				section80CCD1B = new BigInteger("0"), section80CCDEmp1 = new BigInteger("0"),
				section80CCG = new BigInteger("0"), section80D = new BigInteger("0"), section80DD = new BigInteger("0"),
				section80DDB = new BigInteger("0"), section80E = new BigInteger("0"), section80EE = new BigInteger("0"),
				section80G = new BigInteger("0"), section80GGA = new BigInteger("0"),
				section80GGC = new BigInteger("0"), section80RRB = new BigInteger("0"),
				section80QQB = new BigInteger("0"), section80TTA = new BigInteger("0"),
				section80U = new BigInteger("0");

		section80C = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80C");
		section80CCC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCC");
		section80CCCDEmp = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployeeOrSE");
		section80CCD1B = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCD1B");
		section80CCDEmp1 = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCDEmployer");
		section80CCG = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80CCG");
		section80D = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80D");
		section80DD = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DD");
		section80DDB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80DDB");
		section80E = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80E");
		section80EE = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80EE");
		section80G = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80G");
		section80GG = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GG");
		section80GGA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGA");
		section80GGC = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80GGC");
		section80RRB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80RRB");
		section80QQB = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80QQB");
		section80TTA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80TTA");
		section80U = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.section80U");

		if (section80C != null) {
			sum = sum.add(section80C);
		}
		if (section80CCC != null) {
			sum = sum.add(section80CCC);

		}
		if (section80CCCDEmp != null) {
			sum = sum.add(section80CCCDEmp);

		}
		if (section80CCD1B != null) {
			sum = sum.add(section80CCD1B);

		}
		if (section80CCDEmp1 != null) {
			sum = sum.add(section80CCDEmp1);

		}
		if (section80CCG != null) {
			sum = sum.add(section80CCG);

		}
		if (section80D != null) {
			sum = sum.add(section80D);

		}
		if (section80DD != null) {
			sum = sum.add(section80DD);

		}
		if (section80DDB != null) {
			sum = sum.add(section80DDB);

		}
		if (section80E != null) {
			sum = sum.add(section80E);

		}
		if (section80EE != null) {
			sum = sum.add(section80EE);

		}
		if (section80G != null) {
			sum = sum.add(section80G);

		}
		if (section80GG != null) {
			sum = sum.add(section80GG);

		}
		if (section80GGA != null) {
			sum = sum.add(section80GGA);

		}
		if (section80GGC != null) {
			sum = sum.add(section80GGC);

		}
		if (section80RRB != null) {
			sum = sum.add(section80RRB);

		}
		if (section80QQB != null) {
			sum = sum.add(section80QQB);

		}
		if (section80TTA != null) {
			sum = sum.add(section80TTA);

		}
		if (section80U != null) {
			sum = sum.add(section80U);

		}

		if (grossTotIncome.compareTo(new BigInteger("0")) == 1) {

			if (sum.compareTo(grossTotIncome) == 1) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions",
						grossTotIncome);

			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions",
						sum);

			}
		} else {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions",
					sum);

		}

		BigInteger totInc = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions");

		BigInteger nettotInc = grossTotIncome.subtract(totInc);
		if (nettotInc.longValue() > 100) {
			long nettotInc1 = (long) (Math.floor(nettotInc.longValue() / 100) * 100);
			nettotInc = BigInteger.valueOf(nettotInc1);
		}

		if (nettotInc.compareTo(new BigInteger("0")) == 1 || nettotInc.compareTo(new BigInteger("0")) == 0) {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncome",
					BigInteger.valueOf(roundToNearestTenthDigit(nettotInc.longValue())));

		} else {
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncome", new BigInteger("0"));

		}
		calcTI();
	}

	public static void calcTI() throws java.text.ParseException {

		BigInteger dedVIA = getElementValueByTargetNameBig(
				"itr.itr1.itr1IncomeDeductions.deductUndChapVIAType.totalChapVIADeductions");
		BigInteger totInc = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome");
		BigInteger grossTotIncome = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");

		if (grossTotIncome.compareTo(dedVIA) == 1) {
			totInc = BigInteger.valueOf(grossTotIncome.subtract(dedVIA).longValue());

			if (totInc.longValue() > 100) {
				long totInc1 = roundToNearestTenthDigit(totInc.longValue());
				totInc = BigInteger.valueOf(totInc1);
			}
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncome",
					BigInteger.valueOf(roundToNearestTenthDigit(totInc.longValue())));

		}
		calcTaxPayableOnTI();
		calcRebate();

	}

	public static void calcRebate() throws java.text.ParseException {
		BigInteger taxPayable = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.totalTaxPayable");
		BigInteger totInc = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome");

		BigInteger rebate87A = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.rebate87A");
		taxPayable = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.totalTaxPayable");
		BigInteger taxPayableOnRebate = getElementValueByTargetNameBig(
				"itr.itr1.itr1TaxComputation.taxPayableOnRebate");

			if ((totInc.compareTo(new BigInteger("350000")) == -1|| totInc.compareTo(new BigInteger("350000")) == 0)) {

			if (taxPayable.compareTo(new BigInteger("2500")) == -1) {
				setElementValueByTargetName("itr.itr1.itr1TaxComputation.rebate87A", taxPayable);

			} else {
				setElementValueByTargetName("itr.itr1.itr1TaxComputation.rebate87A", new BigInteger("2500"));

			}
		} else {

			setElementValueByTargetName("itr.itr1.itr1TaxComputation.rebate87A", new BigInteger("0"));

		}

		rebate87A = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.rebate87A");
		taxPayableOnRebate = taxPayable.subtract(rebate87A);
		setElementValueByTargetName("itr.itr1.itr1TaxComputation.taxPayableOnRebate", taxPayableOnRebate);

	}

	public static void calcTaxPayableOnTI() throws java.text.ParseException {

	
		BigInteger totInc = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome");

		BigInteger taxPayable = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.totalTaxPayable");

		Date dob = (Date) ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.dob").getData();

		if (dob == null) {
			Calendar cal = Calendar.getInstance();
			cal.set(Calendar.HOUR_OF_DAY, 0);
			cal.set(Calendar.MINUTE, 0);
			cal.set(Calendar.SECOND, 0);
			cal.set(Calendar.MILLISECOND, 0);

			dob = cal.getTime();
		}

		int years = 0;
		int months = 0;
		int days = 0;

		// create calendar object for birth day
		Calendar birthDay = Calendar.getInstance();

		birthDay.setTimeInMillis(dob.getTime());

		// create calendar object for current day
		long currentTime = System.currentTimeMillis();
		Calendar now = Calendar.getInstance();
		now.setTimeInMillis(currentTime);

		// Get difference between years
		years = now.get(Calendar.YEAR) - birthDay.get(Calendar.YEAR);
		int currMonth = now.get(Calendar.MONTH) + 1;
		int birthMonth = birthDay.get(Calendar.MONTH) + 1;

		// Get difference between months
		months = currMonth - birthMonth;

		// if month difference is in negative then reduce years by one and
		// calculate the number of months.
		if (months < 0) {
			//years--;
			months = 12 - birthMonth + currMonth;
			if (now.get(Calendar.DATE) < birthDay.get(Calendar.DATE))
				months--;
		} else if (months == 0 && now.get(Calendar.DATE) < birthDay.get(Calendar.DATE)) {
			//years--;
			months = 11;
		}
		// Calculate the days
		if (now.get(Calendar.DATE) > birthDay.get(Calendar.DATE))
			days = now.get(Calendar.DATE) - birthDay.get(Calendar.DATE);
		else if (now.get(Calendar.DATE) < birthDay.get(Calendar.DATE)) {
			int today = now.get(Calendar.DAY_OF_MONTH);
			now.add(Calendar.MONTH, -1);
			days = now.getActualMaximum(Calendar.DAY_OF_MONTH) - birthDay.get(Calendar.DAY_OF_MONTH) + today;
		} else {
			days = 0;
			if (months == 12) {
				years++;
				months = 0;
			}
		}

		String assessment = "2018";

		SimpleDateFormat form1 = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
		Date d1 = form1.parse(dob.toString());
		SimpleDateFormat form = new SimpleDateFormat("dd/MM/yyyy");

		String d2 = form.format(d1);

		Date date1 = form.parse(d2);

		Calendar cal = Calendar.getInstance();
		cal.setTime(date1);
		int k = cal.get(Calendar.MONTH);
		int k1 = cal.get(Calendar.DAY_OF_MONTH);
		if (k + 1 > 4) {
			years = years - 1;

		}

		else if ((k + 1 == 4) && (k1 > 1)) {
			years = years - 1;
		}

		// Create new Age object
		// return new Age(days, months, years);

			
		if ((years > 59 && years <= 79)) {

			if (totInc.compareTo(new BigInteger("300000")) == -1 || totInc.compareTo(new BigInteger("300000")) == 0) {

				setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", new BigInteger("0"));
			} else {
				if ((totInc.compareTo(new BigInteger("300001")) == 1 || totInc.compareTo(new BigInteger("300001")) == 0)
						&& (totInc.compareTo(new BigInteger("500000")) == -1
								|| totInc.compareTo(new BigInteger("500000")) == 0)) {

					BigInteger temp = ((totInc.subtract(new BigInteger("300000"))).multiply(new BigInteger("5")))
							.divide(new BigInteger("100"));
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", temp);

				} else if ((totInc.compareTo(new BigInteger("500001")) == 1
						|| totInc.compareTo(new BigInteger("500001")) == 0)
						&& (totInc.compareTo(new BigInteger("1000000")) == -1
								|| totInc.compareTo(new BigInteger("1000000")) == 0)) {

					long totInc1 = totInc.longValue();
					long temp = (long) (((totInc1 - 500000) * 0.20) + 10000);
					BigInteger netTemp = BigInteger.valueOf(temp);
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", netTemp);

				} else if ((totInc.compareTo(new BigInteger("1000001")) == 1
						|| totInc.compareTo(new BigInteger("1000001")) == 0)) {

					long totInc1 = totInc.longValue();
					long temp = (long) (((totInc1 - 1000000) * 0.30) + 110000);
					BigInteger netTemp = BigInteger.valueOf(temp);
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", netTemp);

				}
			}
		} else if (years > 79) {
			if (totInc.compareTo(new BigInteger("500000")) == -1 || totInc.compareTo(new BigInteger("500000")) == 0) {

				setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", new BigInteger("0"));
			} else {
				if ((totInc.compareTo(new BigInteger("500001")) == 1 || totInc.compareTo(new BigInteger("500001")) == 0)
						&& (totInc.compareTo(new BigInteger("1000000")) == -1
								|| totInc.compareTo(new BigInteger("1000000")) == 0)) {

					long totInc1 = totInc.longValue();
					long temp = (long) ((totInc1 - 500000) * 0.20);
					BigInteger netTemp = BigInteger.valueOf(temp);
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", netTemp);
				} else if ((totInc.compareTo(new BigInteger("1000001")) == 1
						|| totInc.compareTo(new BigInteger("1000001")) == 0)) {

					long totInc1 = totInc.longValue();
					long temp = (long) (((totInc1 - 1000000) * 0.30) + 100000);
					BigInteger netTemp = BigInteger.valueOf(temp);
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", netTemp);
				}
			}
		}

		else {
			if ((totInc.compareTo(new BigInteger("250000")) == -1 || totInc.compareTo(new BigInteger("250000")) == 0)) {
				setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", new BigInteger("0"));
			} else {
				if ((totInc.compareTo(new BigInteger("250001")) == 1 || totInc.compareTo(new BigInteger("250001")) == 0)
						&& (totInc.compareTo(new BigInteger("500000")) == -1
								|| totInc.compareTo(new BigInteger("500000")) == 0)) {

					long totInc1 = totInc.longValue();
					long temp = (long) ((totInc1 - 250000) * 0.05);
					BigInteger netTemp = BigInteger.valueOf(temp);
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", netTemp);

				} else if ((totInc.compareTo(new BigInteger("500001")) == 1
						|| totInc.compareTo(new BigInteger("500001")) == 0)
						&& (totInc.compareTo(new BigInteger("1000000")) == -1
								|| totInc.compareTo(new BigInteger("1000000")) == 0)) {

					long totInc1 = totInc.longValue();
					long temp = (long) (((totInc1 - 500000) * 0.20) + 12500);
					BigInteger netTemp = BigInteger.valueOf(temp);
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", netTemp);

				} else if ((totInc.compareTo(new BigInteger("1000001")) == 1
						|| totInc.compareTo(new BigInteger("1000001")) == 0)) {

					long totInc1 = totInc.longValue();
					long temp = (long) (((totInc1 - 1000000) * 0.30) + 112500);
					BigInteger netTemp = BigInteger.valueOf(temp);
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalTaxPayable", netTemp);
				}
			}
		}

		calcRebate();
		calcEduCess();

	}

	public static void calcEduCess() throws java.text.ParseException {

		BigInteger taxPayableOnRebate = getElementValueByTargetNameBig(
				"itr.itr1.itr1TaxComputation.taxPayableOnRebate");

		long eduCess1 = (long) ((taxPayableOnRebate.longValue()) * 0.03);
		BigInteger neteduCess = BigInteger.valueOf(eduCess1);

		setElementValueByTargetName("itr.itr1.itr1TaxComputation.educationCess", neteduCess);

		calcBalTaxPay();

	}

	public static void calcBalTaxPay() throws java.text.ParseException {

		BigInteger sec89 = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.section89");
		BigInteger taxPayableOnRebate = getElementValueByTargetNameBig(
				"itr.itr1.itr1TaxComputation.taxPayableOnRebate");
		BigInteger eduCess = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.educationCess");

		BigInteger totTaxWithEduCess = (eduCess.add(taxPayableOnRebate));
		setElementValueByTargetName("itr.itr1.itr1TaxComputation.grossTaxLiability", totTaxWithEduCess);

		BigInteger balTaxPay = totTaxWithEduCess.subtract(sec89);

		setElementValueByTargetName("itr.itr1.itr1TaxComputation.netTaxLiability", balTaxPay);

		if (balTaxPay.compareTo(new BigInteger("0")) == -1) {
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.netTaxLiability", new BigInteger("0"));
		}

		try {
			calcInterestPayable();
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		calcIntrstPayable();

	}

	public static void calcInterestPayable() throws ParseException, java.text.ParseException {

		BigInteger advanceTaxToDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.advanceTax");
		BigInteger TDSToDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.tds");
		BigInteger SATtoDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.selfAssessmentTax");
		BigInteger TCStoDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.tcs");

		BigInteger balTaxPayable = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.netTaxLiability");

		long advanceTax = 0;
		long selfAssessmentTax = 0;
		long TDS = 0;
		Boolean bool = false;

		List<TDSonSalary> list = (List<TDSonSalary>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxDeductedFrmSal").getTableView().getItems();
		TDSonSalary values[] = list.toArray(new TDSonSalary[list.size()]);

		for (int i = 0; i < values.length; i++) {

			if (values[i].getTotalTDSSal().compareTo(values[i].getIncChrgSal()) == 1) {

				setElementValueByTargetName("taxDetailsTabController.type.totalTDSSal", new BigInteger("0"));

				TDS = TDS + values[i].getTotalTDSSal().longValue();
			} else {
				TDS = TDS + values[i].getTotalTDSSal().longValue();

			}
		}


		List<TDSonOthThanSal> list1 = (List<TDSonOthThanSal>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxDeductedFrmIncome").getTableView().getItems();
		TDSonOthThanSal values1[] = list1.toArray(new TDSonOthThanSal[list1.size()]);

			for (int i = 0; i < values1.length; i++) {

				BigInteger AmtForTaxDeduct = new BigInteger("0");
				BigInteger ClaimOutOfTotTDSOnAmtPaid = new BigInteger("0");

				
				if (values1[i].getClaimOutOfTotTDSOnAmtPaid()!= null) {
					AmtForTaxDeduct = values1[i].getClaimOutOfTotTDSOnAmtPaid();

				}
				
					TDS = TDS + AmtForTaxDeduct.longValue();

			}

			
			
			List<TDSDetails26QC> list1a = (List<TDSDetails26QC>) ValidationUtil.ALL_TVC
					.get("class com.itd.efiling.offline.ITR1.ctrl.TaxDeductedFrmSource").getTableView().getItems();
			TDSDetails26QC values1a[] = list1a.toArray(new TDSDetails26QC[list1a.size()]);

			for (int i = 0; i < values1a.length; i++) {

				BigInteger AmtForTaxDeduct_QC = new BigInteger("0");
				BigInteger ClaimOutOfTotTDSOnAmtPaid_QC = new BigInteger("0");

				
				if (values1a[i].getClaimOutOfTotTDSOnAmtPaid()!= null) {
					AmtForTaxDeduct_QC = values1a[i].getClaimOutOfTotTDSOnAmtPaid();

				}
				
					TDS = TDS + AmtForTaxDeduct_QC.longValue();

			}
			
			

		// TCS Starts
		setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.tds", BigInteger.valueOf(TDS));

		long TCS = 0;

		List<TCS> list2 = (List<TCS>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxCollectedAtSource").getTableView().getItems();
		TCS values2[] = list2.toArray(new TCS[list2.size()]);

		
		for (int i = 0; i < values2.length; i++) {
			if (values2[i].getAmtTCSClaimedThisYear() == null) {
				values2[i].setAmtTCSClaimedThisYear(new BigInteger("0"));
			}

			if (values2[i].getAmtTCSClaimedThisYear().compareTo(values2[i].getTotalTCS()) == 1) {
				setElementValueByTargetName("taxCollectedAtSourceController.type.amtTCSClaimedThisYear",
						new BigInteger("0"));

				values2[i].setAmtTCSClaimedThisYear(new BigInteger("0"));
				TCS = TCS + values2[i].getAmtTCSClaimedThisYear().longValue();
				BigInteger netTCS = BigInteger.valueOf(TCS);
			} else {
				TCS = TCS + values2[i].getAmtTCSClaimedThisYear().longValue();
				BigInteger netTCS = BigInteger.valueOf(TCS);
			}

		}
		
		long totalTCS = 0;

		if (getElementValueByTargetNameBig("itr.itr1.scheduleTCS.totalSchTCS") != null) {

			totalTCS = Long.valueOf(String.valueOf(getElementValueByTargetNameBig("itr.itr1.scheduleTCS.totalSchTCS")));
		}
		TCStoDisplay = BigInteger.valueOf(totalTCS);
		setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.tcs", BigInteger.valueOf(TCS));

		TCS = totalTCS;

		Date firstdate = null;
		Date secondDate = null;
		List<TaxPayment> list5 = (List<TaxPayment>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxPaymentController").getTableView().getItems();
		TaxPayment values6[] = list5.toArray(new TaxPayment[list5.size()]);
		for (int i = 0; i < values6.length; i++) {
			Date d1 = values6[i].getDateDep();

			SimpleDateFormat format = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
			SimpleDateFormat format1 = new SimpleDateFormat("dd/MM/yyyy");

			Date dat1 = format.parse(d1.toString());
			String a9 = format1.format(dat1);
			Date selfAssm = format1.parse(a9);

			Date selfAssm1 = format1.parse("01/04/2017");
			Date selfAssm2 = format1.parse("31/03/2018");
			Date selfAssm3 = format1.parse("01/04/2018");

			if (checkFirstDateBefore(selfAssm1, selfAssm) && checkFirstDateBefore(selfAssm, selfAssm2)) {

				advanceTax = advanceTax + values6[i].getAmt().longValue();

			} else if (checkFirstDateBefore(selfAssm3, selfAssm)) {
				selfAssessmentTax = selfAssessmentTax + values6[i].getAmt().longValue();

			}
		}

		SimpleDateFormat foatter1 = new SimpleDateFormat("dd/MM/yyyy");
		SimpleDateFormat f = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
		SimpleDateFormat f1 = new SimpleDateFormat("dd/MM/yyyy");
		try {
			firstdate = foatter1.parse("01/04/2018");
			secondDate = f1.parse("31/07/2018");
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		long selfAssessmentTax234A = 0;
		for (int i = 0; i < values6.length; i++) {
			Date d1 = values6[i].getDateDep();
			Date dat1 = f.parse(d1.toString());
			String a9 = f1.format(dat1);
			Date selfAssm = f1.parse(a9);
			{
				if (checkFirstDateBefore(firstdate, selfAssm) && checkFirstDateBefore(selfAssm, secondDate)) {
					selfAssessmentTax234A = selfAssessmentTax234A + values6[i].getAmt().longValue();

				}
			}
		}

		setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.advanceTax", BigInteger.valueOf(advanceTax));
		setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.selfAssessmentTax",
				BigInteger.valueOf(selfAssessmentTax));

		long intrst234Aprinciple = 0;

		if ((balTaxPayable.longValue() - advanceTax - TDS - TCS - selfAssessmentTax234A) < 0) {

			intrst234Aprinciple = 0;

		} else {

			intrst234Aprinciple = balTaxPayable.longValue() - advanceTax - TDS - TCS - selfAssessmentTax234A;

			// Rounding off to previous hundered
			if (intrst234Aprinciple > 100) {
				intrst234Aprinciple = (long) (Math.floor(intrst234Aprinciple / 100) * 100);
			}

		}

		Date currentDate1 = (Date) ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.verification.date").getData();

		if (currentDate1 == null) {
			currentDate1 = getCurrentDate();

		} else {
			currentDate1 = (Date) ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.verification.date").getData();

		}

		SimpleDateFormat formDate = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
		Date datee1 = formDate.parse(currentDate1.toString());
		SimpleDateFormat formDate1 = new SimpleDateFormat("dd/MM/yyyy");
		String toodate = formDate1.format(datee1);
		Date currentDate = formDate1.parse(toodate);

		Date toDate1 = getCurrentDate();

		Date toDate3 = formDate.parse(toDate1.toString());
		String toDate2 = formDate1.format(toDate3);
		Date toDate = formDate1.parse(toDate2);

		int MonthsAfterDueDate;

		try {
			if (checkFirstDateBefore(currentDate, toDate)) {
				currentDate = toDate;

			}
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		Date Int_start_date_234A = null;

		SimpleDateFormat simp = new SimpleDateFormat("dd/MM/yyyy");
		String Int_start_date_234A1 = "01/08/2018";
		Int_start_date_234A = simp.parse(Int_start_date_234A1);

		MonthsAfterDueDate = calcNoOfMonths(currentDate, Int_start_date_234A);

		String returnFile = getElementValueByTargetName("itr.itr1.filingStatus.returnFileSec");
		String returntype = getElementValueByTargetName("itr.itr1.filingStatus.returnType");

		if (returnFile.equals("17") && returntype.equals("R")) {
			Date origDate = null;
			String origDate1 = null;
			origDate1 = getElementValueByTargetName("itr.itr1.filingStatus.origRetFiledDate");

			if (origDate1 != null && !origDate1.equals("empty")) {
				try {
					SimpleDateFormat form1 = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
					Date d1 = form1.parse(origDate1);
					SimpleDateFormat form = new SimpleDateFormat("dd/MM/yyyy");

					String k = form.format(d1);
					origDate = form.parse(k);
				} catch (ParseException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}

			}

			if (origDate != null) {

				MonthsAfterDueDate = calcNoOfMonths(origDate, Int_start_date_234A); // for
																					// Revised
																					// return
																					// take
																					// date
																					// of
																					// original
																					// filling

			} else {

				MonthsAfterDueDate = 0;
			}

		}

		if (returnFile.equals("18")) {

			Date origDate = null;
			String origDate1 = null;
			origDate1 = getElementValueByTargetName("itr.itr1.filingStatus.defRetOrigRetFiledDate");

			if (origDate1 != null && !origDate1.equals("empty")) {

				SimpleDateFormat form1 = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
				Date d1 = form1.parse(origDate1);
				SimpleDateFormat form = new SimpleDateFormat("dd/MM/yyyy");
				String k = form.format(d1);
				origDate = form.parse(k);

				MonthsAfterDueDate = calcNoOfMonths(origDate, Int_start_date_234A); // for
																					// Revised
																					// return
																					// take
																					// date
																					// of
																					// original
																					// filling

			} else {

				MonthsAfterDueDate = 0;
			}

		}

		long intrst234A = Math.round((long) (Math.round(intrst234Aprinciple) * 0.01 * MonthsAfterDueDate));
		long intrst234B = 0;
		long intrst234C = 0;
		long intrst234F = 0;

		long slab1 = 0;
		long slab2 = 0;
		long slab3 = 0;
		long slab4 = 0;

		String state = getElementValueByTargetName("itr.itr1.personalInfo.address.stateCode");

		SimpleDateFormat format = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
		SimpleDateFormat format1 = new SimpleDateFormat("dd/MM/yyyy");

		Date sec234c1 = format1.parse("01/04/2017");
		Date sec234c3 = format1.parse("15/06/2017");
		Date sec234c5 = format1.parse("16/06/2017");
		Date sec234c7 = format1.parse("15/09/2017");
		Date sec234c9 = format1.parse("16/09/2017");
		Date sec234c11 = format1.parse("15/12/2017");
		Date sec234c13 = format1.parse("16/12/2017");
		Date sec234c15 = format1.parse("15/03/2018");

		List<TaxPayment> list3 = (List<TaxPayment>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxPaymentController").getTableView().getItems();
		TaxPayment values4[] = list3.toArray(new TaxPayment[list3.size()]);

		for (int i = 0; i < values4.length; i++) {
			Date d1 = values4[i].getDateDep();

			Date dat1 = format.parse(d1.toString());
			String a9 = format1.format(dat1);
			Date sec234c17 = format1.parse(a9);

			if (checkFirstDateBefore(sec234c1, dat1) && checkFirstDateBefore(dat1, sec234c3)) {

				slab1 = slab1 + values4[i].getAmt().longValue();
			} else if (checkFirstDateBefore(sec234c5, dat1) && checkFirstDateBefore(dat1, sec234c7)) {
				slab2 = slab2 + values4[i].getAmt().longValue();

			} else if (checkFirstDateBefore(sec234c9, dat1) && checkFirstDateBefore(dat1, sec234c11)) {
				slab3 = slab3 + values4[i].getAmt().longValue();

			} else if (checkFirstDateBefore(sec234c13, dat1) && checkFirstDateBefore(dat1, sec234c15)) {
				slab4 = slab4 + values4[i].getAmt().longValue();

			}
		}

		long intrst234Ci = 0;
		long intrst234Cii = 0;
		long intrst234Ciii = 0;
		long intrst234Civ = 0;
		long tempintrst234Ci = 0;
		advanceTaxToDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.advanceTax");
		TDSToDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.tds");
		SATtoDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.selfAssessmentTax");
		balTaxPayable = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.netTaxLiability");

		if ((balTaxPayable.longValue() - TDS - TCS) >= 10000) {
			
			if (slab1 < ((balTaxPayable.longValue() - TDS - TCS) * 0.12)) {
				tempintrst234Ci = (long) (((balTaxPayable.longValue() - TDS - TCS) * 0.15) - slab1);
				if (tempintrst234Ci > 100) {
					tempintrst234Ci = (long) (Math.floor(tempintrst234Ci / 100) * 100);
				}
				intrst234Ci = (long) (tempintrst234Ci * 0.01 * 3);

			}

			if (slab1 + slab2 < (balTaxPayable.longValue() - TDS - TCS) * 0.36) {

				Long tempintrst234Cii = (long) (((balTaxPayable.longValue() - TDS - TCS) * 0.45) - slab1 - slab2);
				if (tempintrst234Cii > 100) {
					tempintrst234Cii = (long) (Math.floor(tempintrst234Cii / 100) * 100);
				}
				intrst234Cii = (long) (tempintrst234Cii * 0.01 * 3);

			}

			if (slab1 + slab2 + slab3 < (balTaxPayable.longValue() - TDS - TCS) * 0.75) {
				Long tempintrst234Ciii = (long) (((balTaxPayable.longValue() - TDS - TCS) * 0.75) - slab1 - slab2
						- slab3);
				if (tempintrst234Ciii > 100) {
					tempintrst234Ciii = (long) (Math.floor(tempintrst234Ciii / 100) * 100);
				}
				intrst234Ciii = (long) (tempintrst234Ciii * 0.01 * 3);

			}

			if (slab1 + slab2 + slab3 + slab4 < (balTaxPayable.longValue() - TDS - TCS) * 1) {
				Long tempintrst234Civ = (long) (((balTaxPayable.longValue() - TDS - TCS) * 1) - slab1 - slab2 - slab3
						- slab4);
				if (tempintrst234Civ > 100) {
					tempintrst234Civ = (long) (Math.floor(tempintrst234Civ / 100) * 100);
				}
				intrst234Civ = (long) (tempintrst234Civ * 0.01 * 1);

			}

		} else {

			intrst234Ci = 0;
			intrst234Cii = 0;
			intrst234Ciii = 0;
			intrst234Civ = 0;
		}

		//String residentialStatus = getElementValueByTargetName("itr.itr1.filingStatus.residentialStatus");
		intrst234C = intrst234Ci + intrst234Cii + intrst234Ciii + intrst234Civ;
		Date dob = (Date) ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.dob").getData();
		if (dob == null) {
			Calendar cal = Calendar.getInstance();
			cal.set(Calendar.HOUR_OF_DAY, 0);
			cal.set(Calendar.MINUTE, 0);
			cal.set(Calendar.SECOND, 0);
			cal.set(Calendar.MILLISECOND, 0);

			dob = cal.getTime();
		}
		// Age Calculator

		int years = 0;
		int months = 0;
		int days = 0;

		// create calendar object for birth day
		Calendar birthDay = Calendar.getInstance();
		birthDay.setTimeInMillis(dob.getTime());

		// create calendar object for current day
		long currentTime = System.currentTimeMillis();
		Calendar now = Calendar.getInstance();
		now.setTimeInMillis(currentTime);

		// Get difference between years
		years = now.get(Calendar.YEAR) - birthDay.get(Calendar.YEAR);
		int currMonth = now.get(Calendar.MONTH) + 1;
		int birthMonth = birthDay.get(Calendar.MONTH) + 1;

		// Get difference between months
		months = currMonth - birthMonth;

		// if month difference is in negative then reduce years by one and
		// calculate the number of months.
		if (months < 0) {
			//years--;
			months = 12 - birthMonth + currMonth;
			if (now.get(Calendar.DATE) < birthDay.get(Calendar.DATE))
				months--;
		} else if (months == 0 && now.get(Calendar.DATE) < birthDay.get(Calendar.DATE)) {
			//years--;
			months = 11;
		}
		// Calculate the days
		if (now.get(Calendar.DATE) > birthDay.get(Calendar.DATE))
			days = now.get(Calendar.DATE) - birthDay.get(Calendar.DATE);
		else if (now.get(Calendar.DATE) < birthDay.get(Calendar.DATE)) {
			int today = now.get(Calendar.DAY_OF_MONTH);
			now.add(Calendar.MONTH, -1);
			days = now.getActualMaximum(Calendar.DAY_OF_MONTH) - birthDay.get(Calendar.DAY_OF_MONTH) + today;
		} else {
			days = 0;
			if (months == 12) {
				years++;
				months = 0;
			}
		}

		SimpleDateFormat form1 = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
		Date date1 = form1.parse(dob.toString());
		SimpleDateFormat form = new SimpleDateFormat("dd/MM/yyyy");

		String str = form.format(date1);

		Date date2 = form.parse(str);

		Calendar calc = Calendar.getInstance();
		calc.setTime(date1);
		int month = calc.get(Calendar.MONTH);
		int date = calc.get(Calendar.DAY_OF_MONTH);
		if (month + 1 > 4) {
			years = years - 1;

		}

		else if ((month + 1 == 4) && (date > 1)) {
			years = years - 1;
		}

		if ((years > 59)) {

			intrst234C = 0;
		}

		// ===========234F fee calculations======

		String return_type=getElementValueByTargetName("itr.itr1.filingStatus.returnFileSec");
		

		if(return_type.equals("11") || return_type.equals("12") || return_type.equals("17") || return_type.equals("18"))
		{
			
			BigInteger gorss = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
			

			Date slabDate = null;
			if (return_type.equals("17")) {

				slabDate = (Date) ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.origRetFiledDate").getData();

			} else if (return_type.equals("18")) {

				slabDate = (Date) ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.defRetOrigRetFiledDate")
						.getData();
			} else if ((return_type .equals("11")) || ((return_type .equals("12")))) {

				slabDate = (Date) ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.verification.date").getData();
			}

			Date slabDate1 = null;
			

			SimpleDateFormat frmt = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
			SimpleDateFormat frmt1 = new SimpleDateFormat("dd/MM/yyyy");

			Date currDate = frmt1.parse("31/07/2018");
			Date currDate2 = frmt1.parse("31/12/2018");
			Date currDate5 = frmt1.parse("01/01/2019");

			Date dte1 = frmt.parse(currDate.toString());
			String b9 = frmt1.format(dte1);
			Date currDate1 = format1.parse(b9);

			Date dat2 = frmt.parse(currDate2.toString());
			String a10 = frmt1.format(dat2);
			Date currDate3 = frmt1.parse(a10);

			Date dat3 = frmt.parse(currDate5.toString());
			String a11 = frmt1.format(dat3);
			Date currDate4 = frmt1.parse(a11);

			if (slabDate != null) {
				slabDate1 = format1.parse(frmt1.format(frmt.parse(slabDate.toString())));
			}

			
			if ((years > 59 && years <= 79)) {
				if (gorss.compareTo(new BigInteger("300000")) == 1) {

					BigInteger totInc = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome");

					
					if (slabDate1 != null) {
						if (totInc.compareTo(new BigInteger("500000")) == -1
								|| totInc.compareTo(new BigInteger("500000")) == 0) {
							if (checkFirstDateBefore(slabDate1, currDate1)) {

								intrst234F = 0;
							} else {
								intrst234F = 1000;
							}

						} else if (totInc.compareTo(new BigInteger("500000")) == 1) {

							if (checkFirstDateBefore(slabDate1, currDate1)) {

								intrst234F = 0;
							} else if (checkFirstDateBefore(slabDate1, currDate3)) {
								intrst234F = 5000;
							} else {

								intrst234F = 10000;
							}

						}
					}
				}

			} else if (years > 79) {

				if (gorss.compareTo(new BigInteger("500000")) == 1) {

					BigInteger totInc = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome");

					if (slabDate1 != null) {
						if (totInc.compareTo(new BigInteger("500000")) == -1
								|| totInc.compareTo(new BigInteger("500000")) == 0) {
							if (checkFirstDateBefore(slabDate1, currDate1)) {

								intrst234F = 0;
							} else {
								intrst234F = 1000;
							}

						} else if (totInc.compareTo(new BigInteger("500000")) == 1) {

							if (checkFirstDateBefore(slabDate1, currDate1)) {

								intrst234F = 0;
							} else if (checkFirstDateBefore(slabDate1, currDate3)) {
								intrst234F = 5000;
							} else {

								intrst234F = 10000;
							}

						}
					}

				}
			}

			else {
				if (gorss.compareTo(new BigInteger("250000")) == 1) {

					BigInteger totInc = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.totalIncome");

					if (slabDate1 != null) {
						if (totInc.compareTo(new BigInteger("500000")) == -1
								|| totInc.compareTo(new BigInteger("500000")) == 0) {
							if (checkFirstDateBefore(slabDate1, currDate1)) {

								intrst234F = 0;
							} else {
								intrst234F = 1000;
							}

						} else if (totInc.compareTo(new BigInteger("500000")) == 1) {

							if (checkFirstDateBefore(slabDate1, currDate1)) {

								intrst234F = 0;
							} else if (checkFirstDateBefore(slabDate1, currDate3)) {
								intrst234F = 5000;
							} else {

								intrst234F = 10000;
							}

						}
					}
				}
			}
		}
					
				
		

		long intrst234Bprinciple = 0;
		long intrst234Bi = 0;
		long noOfMonthsTillSelfasst = 0;

		if (balTaxPayable.longValue() - TDS - TCS >= 10000) {
			if (advanceTax < ((balTaxPayable.longValue() - TDS - TCS) * 0.90)) {
				intrst234Bprinciple = (balTaxPayable.longValue() - advanceTax - TDS - TCS);

				// Rounding off to previous hundered

				if (intrst234Bprinciple > 100) {
					intrst234Bprinciple = (long) (Math.floor(intrst234Bprinciple / 100) * 100);
				}

				// ======== Interest 234B first part calc==========

				Date[] selfAsspaidDates = null;
				long selfAsspaidAmts[] = null;
				int x = 1;
				Date tempDate = null;
				long tempAmt = 0;

				SimpleDateFormat dd = new SimpleDateFormat("dd/MM/yyyy");
				String dt = "01/04/2018";
				Date AY_start_date = dd.parse(dt);

				List<TaxPayment> list4 = (List<TaxPayment>) ValidationUtil.ALL_TVC
						.get("class com.itd.efiling.offline.ITR1.ctrl.TaxPaymentController").getTableView().getItems();
				TaxPayment values5[] = list4.toArray(new TaxPayment[list4.size()]);

				for (int i = 0; i < values5.length; i++) {

					Date d1 = values5[i].getDateDep();
					Date dat1 = format.parse(d1.toString());
					String a9 = format1.format(dat1);
					Date selfAssm = format1.parse(a9);

					if (checkFirstDateBefore(AY_start_date, selfAssm) && checkFirstDateBefore(selfAssm, currentDate)) {
						if (values5[i].getAmt().longValue() != 0) {
							selfAsspaidDates = new Date[x];
							selfAsspaidAmts = new long[x];

							for (int y = 1; y <= selfAsspaidDates.length; y++) {
								y = y - 1;
								if (selfAsspaidDates[y] == null) {
									for (int k = 0; k < values5.length; k++) {
										Date inner = values5[k].getDateDep();
										Date inner1 = format.parse(inner.toString());
										String inner2 = format1.format(inner1);
										Date inner3 = format1.parse(inner2);
										if (checkFirstDateBefore(AY_start_date, inner3)
												&& checkFirstDateBefore(inner3, currentDate)) {
											if (y < selfAsspaidDates.length) {
												if (selfAsspaidDates[y] == null) {
													selfAsspaidDates[y] = values5[k].getDateDep();
													selfAsspaidAmts[y] = values5[k].getAmt().longValue();
												}
												y++;
											} else {
												y++;
												break;
											}
										}
									}

								}

							}

							x++;

						}

					}

				}

				int selfAsspaidAmtslen = 0;
				int selfAsspaidDateslen = 0;
				if (selfAsspaidDates != null && (selfAsspaidDates.length > 1)) {
					for (int q = 0; q < selfAsspaidDates.length - 1; q++) {
						for (int r = q + 1; r < selfAsspaidDates.length; r++) {

							if (checkFirstDateBefore(selfAsspaidDates[q], selfAsspaidDates[r])) {

							} else {
								tempDate = selfAsspaidDates[q];
								tempAmt = selfAsspaidAmts[q];

								selfAsspaidDates[q] = selfAsspaidDates[r];
								selfAsspaidAmts[q] = selfAsspaidAmts[r];

								selfAsspaidDates[r] = tempDate;
								selfAsspaidAmts[r] = tempAmt;
							}
						}
					}

					int arrLen = selfAsspaidDates.length;
					int lastMonth = 0;
					int lastIndex = -1;
					int lastYear = 0;
					for (int q = 0; q < arrLen; q++) {
						if (selfAsspaidDates[q] == null) {

						} else {
							Calendar cal = Calendar.getInstance();
							cal.setTime(selfAsspaidDates[q]);
							if (cal.get(Calendar.MONTH) == lastMonth && cal.get(Calendar.YEAR) == lastYear) {
								selfAsspaidAmts[lastIndex] = selfAsspaidAmts[lastIndex] + selfAsspaidAmts[q];
							} else {
								lastMonth = cal.get(Calendar.MONTH);
								lastYear = cal.get(Calendar.YEAR);
								selfAsspaidAmts[++lastIndex] = selfAsspaidAmts[q];
								selfAsspaidDates[lastIndex] = selfAsspaidDates[q];
							}
						}
					}

					/*
					 * selfAsspaidAmts.length = ++lastIndex;
					 * selfAsspaidDates.length = lastIndex;
					 */
					selfAsspaidAmtslen = ++lastIndex;
					selfAsspaidDateslen = lastIndex;

					bool = true;
				}

				if (bool == true) {

					if (selfAsspaidDateslen == 0) {
						noOfMonthsTillSelfasst = calcNoOfMonths(currentDate, AY_start_date);

					} else {

						noOfMonthsTillSelfasst = calcNoOfMonths(selfAsspaidDates[0], AY_start_date);

					}

					intrst234Bi = (long) (intrst234Bprinciple * 0.01 * noOfMonthsTillSelfasst);

					// ======== Interest 234B second part calc==========
					long intrst234Bprinciple2 = 0; // intrst234Bprinciple if
													// self assesment is paid
					long selfAsspart = 0;
					long noOfMonthsTillSelfasst2;
					long intrst234Bii = 0;
					long partialSelfAssPaid = 0;
					int k = 0;
					Date interestFrom;
					Date interestTill;

					balTaxPayable = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.netTaxLiability");

					if (selfAsspaidDateslen != 0) {

						for (int i = 0; i < selfAsspaidDateslen; i++) {

							partialSelfAssPaid = partialSelfAssPaid + selfAsspaidAmts[i];

							intrst234Bprinciple2 = balTaxPayable.longValue() - advanceTax - TDS - TCS + intrst234A
									+ intrst234C + intrst234F + intrst234Bi + intrst234Bii - partialSelfAssPaid;

							// Rounding off to previous hundered
							if (intrst234Bprinciple2 < 0) {
								intrst234Bprinciple2 = 0;
							}
							if (intrst234Bprinciple2 > 100) {
								intrst234Bprinciple2 = (long) (Math.floor(intrst234Bprinciple2 / 100) * 100);
							}
							// calclulating remaining months to levy interest

							interestTill = currentDate;
							interestFrom = selfAsspaidDates[i];

							if (i != (selfAsspaidDateslen) - 1) {

								for (k = i; k < (selfAsspaidDateslen) - 1; k++) {
									if (selfAsspaidDates[k] != selfAsspaidDates[k + 1]) {
										interestTill = selfAsspaidDates[k + 1];
										interestFrom = selfAsspaidDates[k];
										k = selfAsspaidDates.length;
									}
								}
							}

							SimpleDateFormat intr = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
							SimpleDateFormat intr1 = new SimpleDateFormat("dd/MM/yyyy");

							Date dat1 = intr.parse(interestTill.toString());
							String a9 = intr1.format(dat1);
							interestTill = intr1.parse(a9);

							Date dat11 = intr.parse(interestFrom.toString());
							String a91 = intr1.format(dat11);
							interestFrom = intr1.parse(a91);

							noOfMonthsTillSelfasst2 = calcNoOfMonths(interestTill, interestFrom);
							noOfMonthsTillSelfasst2 = noOfMonthsTillSelfasst2 - 1;
							if (intrst234Bprinciple2 < intrst234Bprinciple) {
								intrst234Bprinciple = intrst234Bprinciple2;
								intrst234Bii = (long) (intrst234Bii
										+ (intrst234Bprinciple2 * 0.01 * noOfMonthsTillSelfasst2));

							} else {
								intrst234Bii = (long) (intrst234Bii
										+ (intrst234Bprinciple * 0.01 * noOfMonthsTillSelfasst2));

							}
						}
					}

					intrst234B = intrst234Bi + intrst234Bii;

				} else if (bool == false) {

					if (selfAsspaidDates == null) {

						noOfMonthsTillSelfasst = calcNoOfMonths(currentDate, AY_start_date);

					} else {

						noOfMonthsTillSelfasst = calcNoOfMonths(selfAsspaidDates[0], AY_start_date);

					}
					intrst234Bi = (long) (intrst234Bprinciple * 0.01 * noOfMonthsTillSelfasst);

					// ======== Interest 234B second part calc==========
					long intrst234Bprinciple2 = 0; // intrst234Bprinciple if
													// self assesment is paid
					long selfAsspart = 0;
					long noOfMonthsTillSelfasst2;
					long intrst234Bii = 0;
					long partialSelfAssPaid = 0;
					int k = 0;
					Date interestFrom;
					Date interestTill;

					balTaxPayable = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.netTaxLiability");

					if (selfAsspaidDates != null && (selfAsspaidDates.length != 0)) {

						for (int i = 0; i < selfAsspaidDates.length; i++) {

							partialSelfAssPaid = partialSelfAssPaid + selfAsspaidAmts[i];

							intrst234Bprinciple2 = balTaxPayable.longValue() - advanceTax - TDS - TCS + intrst234A
									+ intrst234C + intrst234F + intrst234Bi + intrst234Bii - partialSelfAssPaid;

							// Rounding off to previous hundered
							if (intrst234Bprinciple2 < 0) {
								intrst234Bprinciple2 = 0;
							}
							if (intrst234Bprinciple2 > 100) {
								intrst234Bprinciple2 = (long) (Math.floor(intrst234Bprinciple2 / 100) * 100);
							}
							// calclulating remaining months to levy interest

							interestTill = currentDate;
							interestFrom = selfAsspaidDates[i];

							if (i != (selfAsspaidDates.length) - 1) {

								for (k = i; k < (selfAsspaidDates.length) - 1; k++) {
									if (selfAsspaidDates[k] != selfAsspaidDates[k + 1]) {
										interestTill = selfAsspaidDates[k + 1];
										interestFrom = selfAsspaidDates[k];
										k = selfAsspaidDates.length;
									}
								}
							}

							SimpleDateFormat intr = new SimpleDateFormat("EEE MMM d HH:mm:ss zzz yyyy");
							SimpleDateFormat intr1 = new SimpleDateFormat("dd/MM/yyyy");

							Date dat1 = intr.parse(interestTill.toString());
							String a9 = intr1.format(dat1);
							interestTill = intr1.parse(a9);

							Date dat11 = intr.parse(interestFrom.toString());
							String a91 = intr1.format(dat11);
							interestFrom = intr1.parse(a91);

							noOfMonthsTillSelfasst2 = calcNoOfMonths(interestTill, interestFrom);
							noOfMonthsTillSelfasst2 = noOfMonthsTillSelfasst2 - 1;
							if (intrst234Bprinciple2 < intrst234Bprinciple) {
								intrst234Bprinciple = intrst234Bprinciple2;
								intrst234Bii = (long) (intrst234Bii
										+ (intrst234Bprinciple2 * 0.01 * noOfMonthsTillSelfasst2));

							} else {
								intrst234Bii = (long) (intrst234Bii
										+ (intrst234Bprinciple * 0.01 * noOfMonthsTillSelfasst2));

							}
						}
					}

					intrst234B = intrst234Bi + intrst234Bii;
				}

			} else {
				intrst234B = 0;
			}

		}
		if (years > 59) {
			intrst234B = 0;
		}

		BigInteger input234A = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A");
		BigInteger input234B = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B");
		ValidationAware returnFileSec = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnFileSec");
		
		
		if (RefHolders.flag234A == true) {
			if ((returnFileSec.getData() != null)
					&& ((returnFileSec.getData().equals("11")) || (returnFileSec.getData().equals("12"))
							|| (returnFileSec.getData().equals("17")) || (returnFileSec.getData().equals("18")))) {

				setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A",BigInteger.valueOf(intrst234A));
				setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B",BigInteger.valueOf(intrst234B));

			} else {
				if (input234A.equals(intrst234A)) {
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A",BigInteger.valueOf(intrst234A));
				} else {
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A", input234A);
				}
				if (input234B.equals(intrst234B)) {
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B",BigInteger.valueOf(intrst234B));
				} else {
					setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B", input234B);
				}
			}
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234C",BigInteger.valueOf(intrst234C));
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.lateFilingFee234F",BigInteger.valueOf(intrst234F));
			
		} else {
			
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A",BigInteger.valueOf(intrst234A));
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B",BigInteger.valueOf(intrst234B));

			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234C",BigInteger.valueOf(intrst234C));
			setElementValueByTargetName("itr.itr1.itr1TaxComputation.intrstPay.lateFilingFee234F",BigInteger.valueOf(intrst234F));

		}
	
		BigInteger input234A1 = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A");
		BigInteger input234B1 = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B");

		long intrstPayable = input234A1.longValue() + input234B1.longValue() + intrst234C + intrst234F;
		
		setElementValueByTargetName("itr.itr1.itr1TaxComputation.totalIntrstPay", BigInteger.valueOf(intrstPayable));

		BigInteger totIntrstPay = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.totalIntrstPay");
		BigInteger balTaxPay = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.netTaxLiability");

		long totTaxIntrstPay = balTaxPay.longValue() + totIntrstPay.longValue();
		setElementValueByTargetName("itr.itr1.itr1TaxComputation.totTaxPlusIntrstPay",BigInteger.valueOf(totTaxIntrstPay));
		calcTotTaxPaid();

	}

	public static void calcTotTaxPaid() {

		BigInteger advanceTaxToDisplay = new BigInteger("0"), TDSToDisplay = new BigInteger("0"),
				TCStoDisplay = new BigInteger("0"), SATtoDisplay = new BigInteger("0");
		long totTaxPaid = 0;
		advanceTaxToDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.advanceTax");
		TDSToDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.tds");
		TCStoDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.tcs");

		SATtoDisplay = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.selfAssessmentTax");
		totTaxPaid = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.totalTaxesPaid").longValue();

		totTaxPaid = advanceTaxToDisplay.longValue() + TDSToDisplay.longValue() + SATtoDisplay.longValue()
				+ TCStoDisplay.longValue();

		setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.totalTaxesPaid", BigInteger.valueOf(totTaxPaid));

		calcTaxPayable15Minus17();
	}

	public static void calcIntrstPayable() {
		BigInteger balTaxPay = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.netTaxLiability");

		BigInteger totIntrstPay = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.totalIntrstPay");

		BigInteger totTaxIntrstPay = balTaxPay.add(totIntrstPay);

		setElementValueByTargetName("itr.itr1.itr1TaxComputation.totTaxPlusIntrstPay", totTaxIntrstPay);
		calcTaxPayable15Minus17();

	}

	public static void calcTaxPayable15Minus17() {
		BigInteger totTaxPaid = new BigInteger("0"), totTaxIntrstPay = new BigInteger("0");

		totTaxPaid = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.totalTaxesPaid");
		totTaxIntrstPay = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.totTaxPlusIntrstPay");
		BigInteger totTaxIntrstPay1 = getElementValueByTargetNameBig("itr.itr1.itr1TaxComputation.netTaxLiability");

		if (totTaxPaid.compareTo(totTaxIntrstPay) == -1 || totTaxPaid.compareTo(totTaxIntrstPay) == 0) {

			setElementValueByTargetName("itr.itr1.refund.refundDue", new BigInteger("0"));

			BigInteger taxPayable15M17 = (totTaxIntrstPay.subtract(totTaxPaid));
		

			setElementValueByTargetName("itr.itr1.taxPaid.balTaxPayable",
					BigInteger.valueOf(Math.round(taxPayable15M17.doubleValue() / 10) * 10));
			updateEpayTaxButtonStatus(null);

			String amountPayable = getElementValueByTargetNameBig("itr.itr1.taxPaid.balTaxPayable").toString();

		} else {

			BigInteger refund15M17 = totTaxPaid.subtract(totTaxIntrstPay);

			setElementValueByTargetName("itr.itr1.refund.refundDue",
					BigInteger.valueOf(Math.round(refund15M17.doubleValue() / 10) * 10));
			updateEpayTaxButtonStatus(null);
			setElementValueByTargetName("itr.itr1.taxPaid.balTaxPayable", new BigInteger("0"));

		}

	}

	public static boolean checkFirstDateBefore(Date firstDate, Date secondDate) {

		if (firstDate == null || secondDate == null) {
			return false;
		} else {
			Calendar cal = Calendar.getInstance();
			cal.setTime(firstDate);
			Calendar cal1 = Calendar.getInstance();
			cal1.setTime(secondDate);
			if (cal.get(Calendar.YEAR) < cal1.get(Calendar.YEAR)) {
				return true;
			} else if (cal.get(Calendar.YEAR) == cal1.get(Calendar.YEAR)) {
				if (cal.get(Calendar.MONTH) < cal1.get(Calendar.MONTH)) {
					int k = cal.get(Calendar.MONTH);
					return true;
				} else if (cal.get(Calendar.MONTH) == cal1.get(Calendar.MONTH)) {
					if (cal.get(Calendar.DAY_OF_MONTH) < cal1.get(Calendar.DAY_OF_MONTH)) {
						int k1 = cal.get(Calendar.MONTH);
						return true;

					} else if (cal.get(Calendar.DAY_OF_MONTH) == cal1.get(Calendar.DAY_OF_MONTH)) {
						int k1 = cal.get(Calendar.MONTH);
						return true;
					} else {
						return false;
					}
				} else {
					return false;

				}
			} else {
				return false;

			}
		}

	}

	public static int calcNoOfMonths(Date currentDate, Date startDate) {
		if (currentDate == null || startDate == null) {
			return 0;
		} else {
			int noOfMonths = 0;

			Calendar cal = Calendar.getInstance();
			cal.setTime(currentDate);
			Calendar cal1 = Calendar.getInstance();
			cal1.setTime(startDate);

			if ((cal.get(Calendar.YEAR) == cal1.get(Calendar.YEAR))
					&& (cal.get(Calendar.MONTH) == cal1.get(Calendar.MONTH))
					&& (cal.get(Calendar.DAY_OF_MONTH) == cal1.get(Calendar.DAY_OF_MONTH))) {
				noOfMonths = 1;
			} else if (checkFirstDateBefore(currentDate, startDate)) {

				noOfMonths = 0;

			} else {
				if (cal.get(Calendar.YEAR) == (cal1.get(Calendar.YEAR) + 1)) {
					if (cal.get(Calendar.MONTH) < cal1.get(Calendar.MONTH)) {
						noOfMonths = 12 - (cal1.get(Calendar.MONTH) - cal.get(Calendar.MONTH)) + 1;
					} else {
						noOfMonths = 12 + (cal.get(Calendar.MONTH) - cal1.get(Calendar.MONTH)) + 1;

					}
				} else if (cal.get(Calendar.YEAR) == cal1.get(Calendar.YEAR)) {
					noOfMonths = cal.get(Calendar.MONTH) - cal1.get(Calendar.MONTH) + 1;
				} else {
					if (cal.get(Calendar.MONTH) < cal1.get(Calendar.MONTH)) {
						noOfMonths = ((cal.get(Calendar.YEAR) - cal1.get(Calendar.YEAR) - 1) * 12) + 12
								- cal1.get(Calendar.MONTH) + cal.get(Calendar.MONTH) + 1;
					} else if (cal.get(Calendar.MONTH) > cal1.get(Calendar.MONTH)) {
						noOfMonths = ((cal.get(Calendar.YEAR) - cal1.get(Calendar.YEAR)) * 12) + cal.get(Calendar.MONTH)
								- cal1.get(Calendar.MONTH) + 1;

					} else {
						noOfMonths = ((cal.get(Calendar.YEAR) - cal1.get(Calendar.YEAR)) * 12) + 1;

					}

				}
			}

			return noOfMonths;
		}
	}

	public static Date getCurrentDate() throws ParseException, java.text.ParseException {

		Date date = new Date();
		SimpleDateFormat formatter = new SimpleDateFormat("dd/MM/yyyy");
		Date finalDate = formatter.parse((formatter.format(date)));
		return finalDate;
	}

	public static BigInteger getMaxLimitAmount() {
		BigInteger grossTotIncome1 = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossTotIncome");
		BigInteger maxAmount = new BigInteger("150000");

		if (grossTotIncome1.compareTo(new BigInteger("150000")) == 1
				|| grossTotIncome1.compareTo(new BigInteger("150000")) == 0) {
			return maxAmount;
		} else {
			return grossTotIncome1;
		}

	}

	public static String getElementValueByTargetName(final String target) {
		String Data = null;
		if (ValidationUtil.ALL_FIELDS_MAP.containsKey(target)) {
			if (ValidationUtil.ALL_FIELDS_MAP.get(target).getData() == null) {
				Data = "empty";
			} else {
				Data = ValidationUtil.ALL_FIELDS_MAP.get(target).getData().toString();

			}
		}
		return Data;
	}

	public static BigInteger getElementValueByTargetNameBig(final String target) {
		BigInteger Data = BigInteger.ZERO;
		if (ValidationUtil.ALL_FIELDS_MAP.containsKey(target)) {
			if (ValidationUtil.ALL_FIELDS_MAP.get(target).getData() == null) {
				Data = new BigInteger("0");
			} else {
				Data = new BigInteger(ValidationUtil.ALL_FIELDS_MAP.get(target).getData().toString());
			}

		}
		return Data;
	}

	public static void onChangeAmntClaimedSpouse(ValidationAware field) {
		if (!(field.getData().toString().equals("") || field.getData().toString().isEmpty()
				|| field.getData().toString() == "" || field.getData().toString() == null)) {
			long AmntClaimedSpouse = Integer.valueOf(field.getData().toString());
			long AmntClaimed = ValidationUtil.getNvlLongValue(
					getElementValueByTarget("taxDeductedFrmIncomeController.type.claimOutOfTotTDSOnAmtPaid"));
			long TaxDeduct = ValidationUtil
					.getNvlLongValue(getElementValueByTarget("taxDeductedFrmIncomeController.type.totTDSOnAmtPaid"));
			long sumOf = AmntClaimed + AmntClaimedSpouse;
			if (sumOf > TaxDeduct) {
				field.setData(new BigDecimal(0));
			}
		}
	}


	public static void submitEpay() {

		String form = "ITR-1";

		String itr = "itr1";
		String panPath = "itr.itr1.personalInfo.pan";

		String panAccountNo = getElementValueByTargetName(panPath);

		if (panAccountNo == "") {
			setElementValueByTargetName("itr.itr1.personalInfo.pan", null);
			MessageDialogCtrl.displayInfoDialog("ERROR", "Please enter a PAN.");

		} else {
			String amount = getElementValueByTargetName("itr.itr1.taxPaid.balTaxPayable");
			String minorHead = "300";
			String majorHead = panAccountNo.charAt(4) == 'C' ? "20" : "21";
			String ay = "2018";

			String assessmentYear = ay + "-" + String.valueOf((Long.valueOf(ay) + 1)).substring(2);

			encodeURLDataForItr(majorHead, panAccountNo, assessmentYear, minorHead, amount);

		}

	}

	public static void encodeURLDataForItr(final String majorHead, final String panAccountNo,
			final String assessmentYear, final String minorHead, final String amount) {

		String URL = "";
		String encryptdata = "";
		String encryptchecksum = "";
		String appinfo = "efile";

		final String URI_FOR_ITR = "https://onlineservices.tin.egov-nsdl.com/etaxnew/RequestPDFDataRecived?data=";

		try {

			encryptdata = encryptItrUrl("Major=00" + majorHead + "&PanNumber=" + panAccountNo + "&AY=" + assessmentYear
					+ "&Minor=" + minorHead + "&DIN=" + null + "&Amount=" + amount);
			LOG.info("Major=00" + majorHead + "&PanNumber=" + panAccountNo + "&AY=" + assessmentYear + "&Minor="
					+ minorHead + "&Amount=" + amount);
			LOG.info("encryptdata " + encryptdata);
			encryptchecksum = MD5CheckSum("00" + majorHead + "^" + panAccountNo + "^" + assessmentYear + "^" + minorHead
					+ "^" + null + "^" + amount + "^" + appinfo);
			LOG.info("encryptchecksum " + encryptchecksum);

			URL = URI_FOR_ITR + URLEncoder.encode(encryptdata, "UTF-8") + "&checksum="
					+ URLEncoder.encode(encryptchecksum, "UTF-8") + "&appinfo=" + appinfo;

			openLink(URL);

		} catch (Exception e) {
			LOG.log(Level.SEVERE, e.getLocalizedMessage(), e);
		}

	}

	public static void openLink(final String url) {
		RefHolders.hostServices.showDocument(url);
	}

	public static String encryptItrUrl(final String property)
			throws NoSuchAlgorithmException, GeneralSecurityException, UnsupportedEncodingException {
		final char[] PASSWORD = "AESPREFilling280ChallanData@$!@#".toCharArray();
		final byte[] SALT = { -34, 51, 16, 18, -34, 51, 16, 18 };
		SecretKeyFactory keyFactory = SecretKeyFactory.getInstance("PBEWithMD5AndDES");
		SecretKey key = keyFactory.generateSecret(new PBEKeySpec(PASSWORD));
		Cipher pbeCipher = Cipher.getInstance("PBEWithMD5AndDES");
		pbeCipher.init(1, key, new PBEParameterSpec(SALT, 20));
		return Base64Utils.base64Encode(pbeCipher.doFinal(property.getBytes("UTF-8")));
	}

	public static String MD5CheckSum(final String property) throws Exception {
		MessageDigest md = MessageDigest.getInstance("MD5");

		md.update(property.getBytes(), 0, property.length());

		byte[] mdbytes = md.digest();

		// convert the byte to hex format method 2
		StringBuffer hexString = new StringBuffer();
		for (byte mdbyte : mdbytes) {
			String hex = Integer.toHexString(0xff & mdbyte);
			if (hex.length() == 1)
				hexString.append('0');
			hexString.append(hex);
		}

		LOG.info("Digest(in hex format) " + hexString.toString());
		return hexString.toString();
	}

	public static void updateEpayTaxButtonStatus(ValidationAware field) {
		BigInteger balTaxPayable = getElementValueByTargetNameBig("itr.itr1.taxPaid.balTaxPayable");
		
		if (BigInteger.ZERO.compareTo(balTaxPayable) == -1) {
			// Enable button
			
			HyperLink.buttonPointer.setDisable(false);
		}

		else {
			// Disable button
			// commonButtonController.buttonPointer.setDisable(false);
			
			HyperLink.buttonPointer.setDisable(true);
		}
	}
	public static void onImportVal(ValidationAware field) throws Exception {
	

		checkPinZipOnload();
		RefHolders.flag_90 = true;
		ValidationAware grossRentReceived = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.grossRentReceived");
		ValidationAware taxPaidlocalAuth = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.taxPaidlocalAuth");
		ValidationAware typeOfHP = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.typeOfHP");
		ValidationAware flag7 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.portugeseCC5A");
		ValidationAware flag8 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.panOfSpouse");
		if (typeOfHP.getData() == null ||typeOfHP.getData().equals("-1") || typeOfHP.getData().equals("S")) {

			grossRentReceived.setDisable(true);
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossRentReceived", null);
			taxPaidlocalAuth.setDisable(true);
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.taxPaidlocalAuth", null);

		} else {
			grossRentReceived.setDisable(false);
			taxPaidlocalAuth.setDisable(false);
		}
		
		if (flag7.getData() != null && flag7.getData().equals("Y")) {
			flag8.setDisable(false);
		} else{
			flag8.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.panOfSpouse", null);
		}
	}
	
	public static void onImportReturnFileSec(ValidationAware field) throws Exception {

		ValidationAware flag = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.ackNoOriginalReturn");
		ValidationAware flag1 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.defRetOrigRetFiledDate");
		ValidationAware flag2 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.noticeNo");
		ValidationAware flag3 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.noticeDateUnderSec");
		ValidationAware flag4 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.receiptNo");
		ValidationAware flag5 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.origRetFiledDate");
		ValidationAware flag6 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.returnType");
		ValidationAware interest_234A = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234A");
		ValidationAware interest_234B = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234B");
		ValidationAware interest_234C = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1TaxComputation.intrstPay.intrstPayUs234C");

		flag4.setDisable(true);

		flag5.setDisable(true);
		flag2.setDisable(true);

		flag.setDisable(true);

		flag3.setDisable(true);

		flag1.setDisable(true);
		
		if (field.getData().toString().equals("18")) {
			flag.setDisable(false);
			flag1.setDisable(false);
			flag2.setDisable(false);
			flag3.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.receiptNo", null);
			flag4.setDisable(true);
			flag5.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.origRetFiledDate", null);
			flag5.setDisable(true);
			flag6.setData('O');
			setElementValueByTargetName("itr.itr1.filingStatus.returnType", "O");
			interest_234A.setDisable(true);
			interest_234B.setDisable(true);

		} else if (field.getData().toString().equals("20")) {
			interest_234A.setDisable(false);
			interest_234B.setDisable(false);
			MessageDialogCtrl.displayInfoDialog("INFO",
					"Sec139(4) read with section 119(2)(b) should be filed after expiry of due date mentioned in 139(1)/139(4).");
		}
		
		else if (field.getData().toString().equals("17")) {
			setElementValueByTargetName("itr.itr1.filingStatus.returnType", "R");
			flag.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.ackNoOriginalReturn", null);
			flag1.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.defRetOrigRetFiledDate", null);
			flag1.setDisable(true);
			flag2.setDisable(true);
			setElementValueByTargetName("itr.itr1.filingStatus.noticeNo", null);
			flag4.setDisable(false);
			interest_234A.setDisable(true);
			interest_234B.setDisable(true);
			flag5.setDisable(false);
			flag3.setDisable(false);
			setElementValueByTargetName("itr.itr1.filingStatus.noticeDateUnderSec", null);
			flag3.setDisable(true);
		} else {
			if (field.getData().toString().equals("13") || field.getData().toString().equals("14")
					|| field.getData().toString().equals("15") || field.getData().toString().equals("16")) {
				flag3.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.ackNoOriginalReturn", null);
				flag.setDisable(true);
				flag1.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.defRetOrigRetFiledDate", null);
				flag1.setDisable(true);
				flag2.setDisable(true);
				setElementValueByTargetName("itr.itr1.filingStatus.noticeNo", null);
				interest_234A.setDisable(false);
				interest_234B.setDisable(false);
				flag4.setDisable(true);
				setElementValueByTargetName("itr.itr1.filingStatus.receiptNo", null);
				flag5.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.origRetFiledDate", null);
				flag5.setDisable(true);
			} else {
				setElementValueByTargetName("itr.itr1.filingStatus.ackNoOriginalReturn", null);
				flag.setDisable(true);
				flag1.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.defRetOrigRetFiledDate", null);
				flag1.setDisable(true);
				flag2.setDisable(true);
				setElementValueByTargetName("itr.itr1.filingStatus.noticeNo", null);
				flag3.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.noticeDateUnderSec", null);
				flag3.setDisable(true);
				interest_234A.setDisable(true);
				interest_234B.setDisable(true);
				flag4.setDisable(true);
				setElementValueByTargetName("itr.itr1.filingStatus.receiptNo", null);
				flag5.setDisable(false);
				setElementValueByTargetName("itr.itr1.filingStatus.origRetFiledDate", null);
				flag5.setDisable(true);
			}
			setElementValueByTargetName("itr.itr1.filingStatus.returnType", "O");
		}

	}
	

	public static void setEmailIds(ValidationAware field) throws Exception {
		String email = String
				.valueOf(ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.emailAddress").getData());
		Form.getForm().getEmailIds().add(email);

	}

	public static void checkPinZipOnload() {
		ValidationAware zipcode = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.zipcode");
		ValidationAware pincode = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.pincodee");
		ValidationAware zipcodeCheck = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.zipcodeCheck");
		ValidationAware country = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.address.countryCode");
		LOG.info("country::"+country.getData());
		
		if (country.getData().equals("91") || country.getData().equals("-1")) {
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck", false);
			zipcodeCheck.setDisable(true);
			pincode.setDisable(false);
			zipcode.setDisable(true);
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcode", null);
		} else {
			setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck", false);
			zipcodeCheck.setDisable(false);
			pincode.setDisable(true);
			zipcode.setDisable(false);
			setElementValueByTargetName("itr.itr1.personalInfo.address.pincodee", null);
			if (zipcode.getData().equals("XXXXXX")) {
				zipcode.setDisable(true);
				setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck", true);
			} else {
				zipcode.setDisable(false);
				setElementValueByTargetName("itr.itr1.personalInfo.address.zipcodeCheck", false);
			}

		}
	}

	public static void onchangeGrossTotal(ValidationAware field) throws java.text.ParseException {
		
		
		
			BigInteger salary = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.salary");
			BigInteger alwnsNotExempt = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.alwnsNotExempt");
			BigInteger perquisitesValue = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.perquisitesValue");
			BigInteger profitsInSalary = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.profitsInSalary");
			BigInteger deductionUs16 = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.deductionUs16");
			
			if (salary == null || salary.compareTo(new BigInteger("0"))== 0) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.salary", new BigInteger("0"));
			}

			if (alwnsNotExempt == null || alwnsNotExempt.compareTo(new BigInteger("0"))== 0) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.alwnsNotExempt", new BigInteger("0"));
			}

			if (perquisitesValue == null || perquisitesValue.compareTo(new BigInteger("0"))== 0) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.perquisitesValue", new BigInteger("0"));
			}
			
			if (profitsInSalary == null || profitsInSalary.compareTo(new BigInteger("0"))== 0) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.profitsInSalary", new BigInteger("0"));
			}
			if (deductionUs16 == null || deductionUs16.compareTo(new BigInteger("0"))== 0) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.deductionUs16", new BigInteger("0"));
			}
			
			BigInteger sum = salary.add(alwnsNotExempt).add(perquisitesValue).add(profitsInSalary).subtract(deductionUs16);
			if ((sum == null)||(sum.compareTo(new BigInteger("0"))== -1)||(sum.compareTo(new BigInteger("0"))== 0)) {
				
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.incomeFromSal", new BigInteger("0"));
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.incomeFromSal", sum);
			}
			
		onChangeIncomeFromOther(field);
		onChangeIncome(field);
		
	}

	public static void onchangeSalary(ValidationAware field) throws java.text.ParseException {

		if (field.getData() != null) {
			BigInteger salary = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.salary");
			BigInteger TDS1Salary = getElementValueByTargetNameBig("itr.itr1.tdSonSalaries.totalTDSonSalaries");

		}
	}

	public static void onchangeHP(ValidationAware field) throws java.text.ParseException {
		if (field.getData() == null) {
			field.setData(new BigInteger("0"));
		}
		if (field.getData() != null) {

			ValidationAware grossRentReceived = ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.grossRentReceived");
			ValidationAware taxPaidlocalAuth = ValidationUtil.ALL_FIELDS_MAP
					.get("itr.itr1.itr1IncomeDeductions.taxPaidlocalAuth");
			ValidationAware typeOfHP = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.itr1IncomeDeductions.typeOfHP");

			if (typeOfHP.getData().equals("empty") || typeOfHP.getData().equals("0") || typeOfHP.getData().equals("")) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.typeOfHP", null);
			}
			if (typeOfHP.getData().equals("S")) {

				grossRentReceived.setDisable(true);
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.grossRentReceived", null);
				taxPaidlocalAuth.setDisable(true);
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.taxPaidlocalAuth", null);

			} else {
				grossRentReceived.setDisable(false);
				taxPaidlocalAuth.setDisable(false);
			}
			onchangeTypeHP(field);
		}
	}
	public static void onchangeTypeHP(ValidationAware field) throws java.text.ParseException {

		
			BigInteger grossRentReceived = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.grossRentReceived");
			BigInteger taxPaidlocalAuth = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.taxPaidlocalAuth");
			BigInteger interestPayable = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.interestPayable");
			
		
			if (taxPaidlocalAuth == null || taxPaidlocalAuth.compareTo(new BigInteger("0"))== 0) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.taxPaidlocalAuth", new BigInteger("0"));
			}
			if (interestPayable == null || interestPayable.compareTo(new BigInteger("0"))== 0) {

				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.interestPayable", new BigInteger("0"));
			}
			
			BigInteger sum = grossRentReceived.subtract(taxPaidlocalAuth);
			BigInteger mulVal=null;
			BigInteger totalHP=null;
		
			BigInteger value_Qc=getElementValueByTargetNameBig("itr.itr1.tdsDtls26QC.totalTDSDetails26QC");
			
			setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.annualValue", sum);
			
			
			if(sum.compareTo(new BigInteger("0")) == -1 || sum.compareTo(new BigInteger("0")) == 0)
			{
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.standardDeduction", new BigInteger("0"));
				BigInteger standardDeduction=getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.standardDeduction");
				 totalHP=sum.subtract(standardDeduction).subtract(interestPayable);
			}
			else
			{			
						mulVal=(sum.multiply(new BigInteger("30"))).divide(new BigInteger("100"));
						setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.standardDeduction", mulVal);
						 totalHP=sum.subtract(mulVal).subtract(interestPayable);
			}
			
			
			
			
			if(totalHP.compareTo(new BigInteger("0")) == 1){
				
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncomeOfHP", totalHP);
				
			}
		else {
			if (Long.valueOf(totalHP.toString()) < -200000) {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncomeOfHP", new BigInteger("-200000"));
			} else {
				setElementValueByTargetName("itr.itr1.itr1IncomeDeductions.totalIncomeOfHP", totalHP);
			}
		}
			
			
			
			
		onChangeIncomeFromOther(field);

	}
	
	public static void validateAadhar(ValidationAware field) {
		
		if(field.getTarget().toString().equals("itr.itr1.personalInfo.aadhaarCardNo"))
		{
			if(field.getData().toString().equals("000000000000") || field.getData().toString().equals("111111111111"))
			{
				MessageDialogCtrl.displayErrorDialog("ERROR",
						"Aadhar Number should not be all Zeros or all ones.");
				setElementValueByTargetName(field.getTarget().toString(), null);
			}
		}
		else if(field.getTarget().toString().equals("itr.itr1.personalInfo.aadhaarEnrolmentId"))
		{
			
			if(field.getData().toString().equals("0000000000000000000000000000") || field.getData().toString().equals("1111111111111111111111111111"))
			{
				MessageDialogCtrl.displayErrorDialog("ERROR",
						"Aadhar Enrollment Id should not be all Zeros or all ones.");
				setElementValueByTargetName(field.getTarget().toString(), null);
			}
		}
			

	}
	
	
	public static void ispanExist(ValidationAware field) throws java.text.ParseException {
		
		ValidationAware assess_pan = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.personalInfo.pan");
		ValidationAware spouse_pan = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.filingStatus.panOfSpouse");
		
		if(spouse_pan.getData().equals(assess_pan.getData())){
			MessageDialogCtrl.displayErrorDialog("ERROR",
					"PAN of the spouse cannot be same as assessee PAN.");
			setElementValueByTargetName(field.getTarget().toString(), null);
		}
	}
	
	public static void onChangeVerPan(ValidationAware field) {
		setElementValueByTargetName("itr.itr1.verification.declaration.assesseeVerPAN", field.getData().toString());
		RefHolders.verpan = field.getData().toString();
	}
	
	public static void onchangeNatureIncm(ValidationAware field) throws java.text.ParseException {
		if (field.getData() == null) {
			field.setData(new BigInteger("0"));
		}
		if (field.getData() != null) {
			ValidationAware othNatOfInc = ValidationUtil.ALL_FIELDS_MAP.get("natureIncomeController.type.othNatOfInc");
			
			if (field.getData().equals("OTH")) {
				othNatOfInc.setDisable(false);
			} else {
			
				othNatOfInc.setDisable(true);
				setElementValueByTargetName("natureIncomeController.type.othNatOfInc", null);
			}
		}
	}

	public static void calculateTotal_natureIncm(ValidationAware field) {
		List<OthersIncDtls> list = (List<OthersIncDtls>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.Nature_Income").getTableView().getItems();
	
		long total = 0;
		
		for (OthersIncDtls othersIncDtls : list) {

			total = total + othersIncDtls.getOthAmount().longValue();

		}
		
		ValidationAware point7 = ValidationUtil.ALL_FIELDS_MAP.get("itr.itr1.taxPaid.taxesPaid.othersInc.othersIncTotal");
		point7.setData(total);
		
		setElementValueByTargetName("itr.itr1.taxPaid.taxesPaid.othersInc.othersIncTotal", BigInteger.valueOf((long) (total)));
		onChangeChargableIncome_table1(field);
	}
	
	public static void onChangeChargableIncome90(ValidationAware field) {
		BigInteger income = getElementValueByTargetNameBig("itr.itr1.itr1IncomeDeductions.incomeFromSal");
		List<OthersIncDtls>  othrs=(List<OthersIncDtls>) getElementValueByTarget("itr.itr1.taxPaid.taxesPaid.othersInc.othersIncDtls");
		BigInteger OthersIncTotal = getElementValueByTargetNameBig("itr.itr1.taxPaid.taxesPaid.othersInc.othersIncTotal");
		long total = 0;
		
		List<TDSonSalary> list = (List<TDSonSalary>) ValidationUtil.ALL_TVC
				.get("class com.itd.efiling.offline.ITR1.ctrl.TaxDeductedFrmSal").getTableView().getItems();
	
		for (TDSonSalary tdsonSalary : list) {

			total = total + tdsonSalary.getIncChrgSal().longValue();

		}

		
		BigInteger incChrgSal = getElementValueByTargetNameBig("taxDetailsTabController.type.incChrgSal");
		
		long TDS1 = (long) (total * 0.90);
		
		BigInteger sum = income.add(OthersIncTotal);
		
		if ((sum.longValue() < TDS1)&& !othrs.isEmpty() || (RefHolders.flag_90 == true) && (sum.longValue() < TDS1) && !othrs.isEmpty()) {
			MessageDialogCtrl.displayInfoDialog("Info",
					"The amount of Salary disclosed in Income details is less than 90% of salary reported in Schedule TDS 1.Please re-check the values.");
		}
	}
	
}
